(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[    381083,      10685]*)
(*NotebookOutlinePosition[    381796,      10709]*)
(*  CellTagsIndexPosition[    381752,      10705]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Intro", "Section"],

Cell["\<\
This is a sample file for the MrvLimit package. Most of these samples are \
explained in detail in the diploma thesis \"Automatische Berechnung von \
Grenzwerten und Implementierung in Mathematica\" by Udo Richter.\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Load Package", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Needs["\<MrvLimit`\>"];\)\)], "Input",
  CellLabel->"In[1]:="],

Cell[BoxData[
    \("MrvLimit v1.0 \[Copyright] 2005 by Udo Richter\n mail: \
udo_richter(at)gmx.de\n web: http://urichter.cjb.net/MrvLimit\n Released \
under the GNU General Public License."\)], "Print",
  CellLabel->"From In[1]:="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample 6.1", "Section"],

Cell["Also Example 3.21 on page 47 of [Gru96]", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(f = 
        Hold[\((E^H\ E^\((\(-x\)/\((1 + H)\))\)\ E^\(E^\((\(-x\) + 
                          H)\)\))\)/\((H^2)\) - E^x + 
            x];\)\), "\[IndentingNewLine]", 
    \(f = ReleaseHold[f /. Power \[Rule] power]\)}], "Input",
  CellLabel->"In[2]:="],

Cell[BoxData[
    \(x - \[ExponentialE]\^x + \(\[ExponentialE]\^H\ \[ExponentialE]\^\(\
\[ExponentialE]\^\(H - x\)\)\ \[ExponentialE]\^\(-\(x\/\(1 + \
H\)\)\)\)\/H\^2\)], "Output",
  CellLabel->"Out[3]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(h = E^\((\(-x\)/\((1 + E^\(-x\))\))\)\)], "Input",
  CellLabel->"In[4]:="],

Cell[BoxData[
    \(\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\)\)], \
"Output",
  CellLabel->"Out[4]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f = f /. H \[Rule] h\)], "Input",
  CellLabel->"In[5]:="],

Cell[BoxData[
    \(x - \[ExponentialE]\^x + \(\[ExponentialE]\^\(\[ExponentialE]\^\(-\(x\/\
\(1 + \[ExponentialE]\^\(-x\)\)\)\)\)\ \[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\) - x\)\)\ \
\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\
\^\(-x\)\)\)\)\)\)\)\)\/\((\[ExponentialE]\^\(-\(x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\))\)\^2\)], "Output",
  CellLabel->"Out[5]="]
}, Open  ]],

Cell[BoxData[
    \(\($OutputProcessor = \((\((# /. {ToInternal[h, x] \[Rule] 
                    H})\) &)\);\)\)], "Input",
  CellLabel->"In[6]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, x \[Rule] \[Infinity], Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                x - \[ExponentialE]\^x + \(\[ExponentialE]\^\(\[ExponentialE]\
\^\(\(-x\) + H\)\)\ \[ExponentialE]\^H\ \[ExponentialE]\^\(-\(x\/\(1 + \
H\)\)\)\)\/H\^2, x, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Plus[ x, 
                  Times[ -1, 
                    power[ E, x]], 
                  Times[ 
                    power[ E, 
                      power[ E, 
                        Plus[ 
                          Times[ -1, x], H]]], 
                    power[ E, H], 
                    power[ E, 
                      Times[ -1, x, 
                        power[ 
                          Plus[ 1, H], -1]]], 
                    power[ 
                      power[ H, 2], -1]]], x, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(x - \
\[ExponentialE]\^x + \(\[ExponentialE]\^H\ \[ExponentialE]\^\(\[ExponentialE]\
\^\(H - x\)\)\ \[ExponentialE]\^\(-\(x\/\(1 + H\)\)\)\)\/H\^2\)\),
          SequenceForm[ "Calculating limit of ", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, H], 
                power[ E, 
                  power[ E, 
                    Plus[ H, 
                      Times[ -1, x]]]], 
                power[ E, 
                  Times[ -1, x, 
                    power[ 
                      Plus[ 1, H], -1]]], 
                power[ 
                  power[ H, 2], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(x - \
\[ExponentialE]\^x + \(\[ExponentialE]\^H\ \[ExponentialE]\^\(\[ExponentialE]\
\^\(H - x\)\)\ \[ExponentialE]\^\(-\(x\/\(1 + H\)\)\)\)\/H\^2\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, H], 
                power[ E, 
                  power[ E, 
                    Plus[ H, 
                      Times[ -1, x]]]], 
                power[ E, 
                  Times[ -1, x, 
                    power[ 
                      Plus[ 1, H], -1]]], 
                power[ H, -2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^x, 3, \[Infinity]], MrvF[\[ExponentialE]\^\(-x\), 5, 0], 
              MrvF[H, 14, 0], MrvF[\[ExponentialE]\^\(H - x\), 20, 0], 
              MrvF[\[ExponentialE]\^\(-\(x\/\(1 + H\)\)\), 23, 0]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ -1, x]], 5, 0], 
            MrvF[ H, 14, 0], 
            MrvF[ 
              power[ E, 
                Plus[ H, 
                  Times[ -1, x]]], 20, 0], 
            MrvF[ 
              power[ E, 
                Times[ -1, x, 
                  power[ 
                    Plus[ 1, H], -1]]], 23, 0]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(-\(x\/\(1 + H\)\)\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ -1, x, 
                power[ 
                  Plus[ 1, H], -1]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(x - x\/\(1 + H\)\)\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, 
              Plus[ x, 
                Times[ -1, x, 
                  power[ 
                    Plus[ 1, H], -1]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(-\
\(x\/\(1 + \
H\)\)\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(x - \
x\/\(1 + H\)\)\ \[Omega]\^1\)\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\
\[InvisibleSpace]\(x - \[ExponentialE]\^x + \(\[ExponentialE]\^H\ \
\[ExponentialE]\^\(\[ExponentialE]\^\(H - x\)\)\ \[ExponentialE]\^\(x - \
x\/\(1 + H\)\)\ \[Omega]\^1\)\/H\^2\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ -1, x, 
                power[ 
                  Plus[ 1, H], -1]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ x, 
                  Times[ -1, x, 
                    power[ 
                      Plus[ 1, H], -1]]]], 
              power[ \[Omega], 1]], "\n", "f=", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, H], 
                power[ E, 
                  power[ E, 
                    Plus[ H, 
                      Times[ -1, x]]]], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, H], -1]]]], 
                power[ H, -2], 
                power[ \[Omega], 1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(H - x\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Plus[ H, 
                Times[ -1, x]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^H\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, H]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(H \
- x\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^H\ \
\[Omega]\^1\)\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\[InvisibleSpace]\(x - \
\[ExponentialE]\^x + \(\[ExponentialE]\^H\ \[ExponentialE]\^\(x - x\/\(1 + \
H\)\)\ \[ExponentialE]\^\(\[ExponentialE]\^H\ \[Omega]\^1\)\ \[Omega]\^1\)\/H\
\^2\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Plus[ H, 
                Times[ -1, x]]], "\[Rule]", 
            Times[ 
              power[ E, H], 
              power[ \[Omega], 1]], "\n", "f=", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, H], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, H], -1]]]], 
                power[ E, 
                  Times[ 
                    power[ E, H], 
                    power[ \[Omega], 1]]], 
                power[ H, -2], 
                power[ \[Omega], 1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]H\
\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", H, " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, 
              Plus[ x, 
                Times[ -1, x, 
                  power[ 
                    Plus[ 1, 
                      power[ E, 
                        Times[ -1, x]]], -1]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]H\[InvisibleSpace]"\
\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\ \[Omega]\^1\)\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(x - \[ExponentialE]\^x + \(\
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\ \[Omega]\^1\)\ \[Omega]\^1\)\ \
\[ExponentialE]\^\(\[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\ \[Omega]\^1\)\ \[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(x - x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\ \[Omega]\^1\)\)\ \
\[Omega]\^1\)\/\((\[ExponentialE]\^\(x - x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\
\ \[Omega]\^1)\)\^2\)\),
          SequenceForm[ "Rewriting ", H, "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ x, 
                  Times[ -1, x, 
                    power[ 
                      Plus[ 1, 
                        power[ E, 
                          Times[ -1, x]]], -1]]]], 
              power[ \[Omega], 1]], "\n", "f=", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Times[ 
                        power[ E, 
                          Plus[ x, 
                            Times[ -1, x, 
                              power[ 
                                Plus[ 1, 
                                  power[ E, 
                                    Times[ -1, x]]], -1]]]], 
                        power[ \[Omega], 1]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ E, 
                                Times[ -1, x]]], -1]]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, 
                          Times[ 
                            power[ E, 
                              Plus[ x, 
                                Times[ -1, x, 
                                  power[ 
                                    Plus[ 1, 
                                      power[ E, 
                                        Times[ -1, x]]], -1]]]], 
                            power[ \[Omega], 1]]], -1]]]], 
                power[ \[Omega], 1], 
                power[ 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ E, 
                                Times[ -1, x]]], -1]]]], 
                    power[ \[Omega], 1]], -2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(-x\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ -1, x]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", 1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(-x\)\[InvisibleSpace]"\[Rule]"\
\[InvisibleSpace]\[Omega]\^1\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\
\[InvisibleSpace]\(x - \[ExponentialE]\^x + \(\[ExponentialE]\^\(\
\[ExponentialE]\^\(\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \
\[Omega]\^1\)\ \[Omega]\^1\)\ \[ExponentialE]\^\(\[ExponentialE]\^\(x - \
x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1\)\ \[ExponentialE]\^\(x - x\/\(1 + \
\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1\)\)\ \[Omega]\^1\
\)\/\((\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1)\)\^2\)\),
          
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ -1, x]], "\[Rule]", 
            power[ \[Omega], 1], "\n", "f=", 
            Plus[ x, 
              Times[ -1, 
                power[ E, x]], 
              Times[ 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Times[ 
                        power[ E, 
                          Plus[ x, 
                            Times[ -1, x, 
                              power[ 
                                Plus[ 1, 
                                  power[ \[Omega], 1]], -1]]]], 
                        power[ \[Omega], 1]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, 
                          Times[ 
                            power[ E, 
                              Plus[ x, 
                                Times[ -1, x, 
                                  power[ 
                                    Plus[ 1, 
                                      power[ \[Omega], 1]], -1]]]], 
                            power[ \[Omega], 1]]], -1]]]], 
                power[ \[Omega], 1], 
                power[ 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]], -2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(x - 
              1\/\[Omega] + \(\[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1\)\ \[Omega]\^1\)\
\ \[ExponentialE]\^\(\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \
\[Omega]\^1\)\ \[ExponentialE]\^\(x - x\/\(1 + \[ExponentialE]\^\(x - x\/\(1 \
+ \[Omega]\^1\)\)\ \[Omega]\^1\)\)\ \[Omega]\^1\)\/\((\[ExponentialE]\^\(x - \
x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1)\)\^2\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Plus[ x, 
              Times[ -1, 
                power[ \[Omega], -1]], 
              Times[ 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Times[ 
                        power[ E, 
                          Plus[ x, 
                            Times[ -1, x, 
                              power[ 
                                Plus[ 1, 
                                  power[ \[Omega], 1]], -1]]]], 
                        power[ \[Omega], 1]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, 
                          Times[ 
                            power[ E, 
                              Plus[ x, 
                                Times[ -1, x, 
                                  power[ 
                                    Plus[ 1, 
                                      power[ \[Omega], 1]], -1]]]], 
                            power[ \[Omega], 1]]], -1]]]], 
                power[ \[Omega], 1], 
                power[ 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]], -2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(x - 
              1\/\[Omega] + \(\[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1\)\ \[Omega]\^1\)\
\ \[ExponentialE]\^\(\[ExponentialE]\^\(x - x\/\(1 + \[Omega]\^1\)\)\ \
\[Omega]\^1\)\ \[ExponentialE]\^\(x - x\/\(1 + \[ExponentialE]\^\(x - x\/\(1 \
+ \[Omega]\^1\)\)\ \[Omega]\^1\)\)\ \[Omega]\^1\)\/\((\[ExponentialE]\^\(x - \
x\/\(1 + \[Omega]\^1\)\)\ \[Omega]\^1)\)\^2\)\),
          SequenceForm[ "Calculating power series: f=", 
            Plus[ x, 
              Times[ -1, 
                power[ \[Omega], -1]], 
              Times[ 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Times[ 
                        power[ E, 
                          Plus[ x, 
                            Times[ -1, x, 
                              power[ 
                                Plus[ 1, 
                                  power[ \[Omega], 1]], -1]]]], 
                        power[ \[Omega], 1]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]]], 
                power[ E, 
                  Plus[ x, 
                    Times[ -1, x, 
                      power[ 
                        Plus[ 1, 
                          Times[ 
                            power[ E, 
                              Plus[ x, 
                                Times[ -1, x, 
                                  power[ 
                                    Plus[ 1, 
                                      power[ \[Omega], 1]], -1]]]], 
                            power[ \[Omega], 1]]], -1]]]], 
                power[ \[Omega], 1], 
                power[ 
                  Times[ 
                    power[ E, 
                      Plus[ x, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, 
                              power[ \[Omega], 1]], -1]]]], 
                    power[ \[Omega], 1]], -2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{"2", "+", \(\((3 + \(3\ x\^2\)\/2)\)\ \[Omega]\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {2, 
                Plus[ 3, 
                  Times[ 
                    Rational[ 3, 2], 
                    Power[ x, 2]]]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {2, 
              Plus[ 3, 
                Times[ 
                  Rational[ 3, 2], 
                  Power[ x, 2]]]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(2\ \
\[Omega]\^0\)\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 2, 
              power[ \[Omega], 0]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant asymptotic: "\[InvisibleSpace]2\
\[InvisibleSpace]\((\[ExponentialE]\^\(-x\))\)\^0\),
          SequenceForm[ "Dominant asymptotic: ", 2, 
            power[ 
              power[ E, 
                Times[ -1, x]], 0]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                  x - \[ExponentialE]\^x + \(\[ExponentialE]\^\(\
\[ExponentialE]\^\(\(-x\) + H\)\)\ \[ExponentialE]\^H\ \
\[ExponentialE]\^\(-\(x\/\(1 + H\)\)\)\)\/H\^2, x, Debug \[Rule] 1] \[Equal] 
                2\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Plus[ x, 
                    Times[ -1, 
                      power[ E, x]], 
                    Times[ 
                      power[ E, 
                        power[ E, 
                          Plus[ 
                            Times[ -1, x], H]]], 
                      power[ E, H], 
                      power[ E, 
                        Times[ -1, x, 
                          power[ 
                            Plus[ 1, H], -1]]], 
                      power[ 
                        power[ H, 2], -1]]], x, Debug -> 1], 2]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[7]:="],

Cell[BoxData[
    \(2\)], "Output",
  CellLabel->"Out[7]="]
}, Open  ]],

Cell[BoxData[
    \(\($OutputProcessor = Identity;\)\)], "Input",
  CellLabel->"In[8]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample 6.2", "Section"],

Cell["\<\
Also example 3.5 on page 60 of [Gru96] and originally from [RSSH96]\
\>", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(f = 
      Log[Log[x\ E^\((x\ E^x)\) + 1]] - 
        E^\(E^\((Log[Log[x]] + 1/x)\)\)\)], "Input",
  CellLabel->"In[9]:="],

Cell[BoxData[
    \(\(-x\^\(\[ExponentialE]\^\(1\/x\)\)\) + 
      Log[Log[1 + \[ExponentialE]\^\(\[ExponentialE]\^x\ x\)\ x]]\)], "Output",\

  CellLabel->"Out[9]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, x \[Rule] \[Infinity], Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                Log[Log[
                      1 + x\ \[ExponentialE]\^\(x\ \[ExponentialE]\^x\)]] - \
\[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\), x, Debug \[Rule] 1]\),
              
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Plus[ 
                  log[ 
                    log[ 
                      Plus[ 1, 
                        Times[ x, 
                          power[ E, 
                            Times[ x, 
                              power[ E, x]]]]]]], 
                  Times[ -1, 
                    power[ E, 
                      Times[ 
                        log[ x], 
                        power[ E, 
                          power[ x, -1]]]]]], x, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(Log[
                Log[1 + 
                    x\ \[ExponentialE]\^\(x\ \[ExponentialE]\^x\)]] - \
\[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Calculating limit of ", 
            Plus[ 
              log[ 
                log[ 
                  Plus[ 1, 
                    Times[ x, 
                      power[ E, 
                        Times[ x, 
                          power[ E, x]]]]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(Log[
                Log[1 + 
                    x\ \[ExponentialE]\^\(x\ \[ExponentialE]\^x\)]] - \
\[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Plus[ 
              log[ 
                log[ 
                  Plus[ 1, 
                    Times[ x, 
                      power[ E, 
                        Times[ x, 
                          power[ E, x]]]]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^\(x\ \[ExponentialE]\^x\), 7, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                Times[ x, 
                  power[ E, x]]], 7, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(x\ \
\[ExponentialE]\^x\)\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              Times[ x, 
                power[ E, x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-x\)\ \[ExponentialE]\^x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x, 
                power[ E, x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(x\ \[ExponentialE]\^x\)\[InvisibleSpace]" to A*\[Omega]^c"\
\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ x, 
                power[ E, x]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(x\
\ \[ExponentialE]\^x\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\
\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\[InvisibleSpace]\(Log[
                Log[1 + 
                    x\/\[Omega]]] - \[ExponentialE]\^\(Log[x]\ \
\[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ x, 
                power[ E, x]]], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Plus[ 
              log[ 
                log[ 
                  Plus[ 1, 
                    Times[ x, 
                      power[ \[Omega], -1]]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(Log[
                Log[1 + 
                    x\/\[Omega]]] - \[ExponentialE]\^\(Log[x]\ \
\[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Plus[ 
              log[ 
                log[ 
                  Plus[ 1, 
                    Times[ x, 
                      power[ \[Omega], -1]]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              
              RowBox[{\((\(-x\^\(\[ExponentialE]\^\(1\/x\)\)\) + 
                    Log[\[ExponentialE]\^x\ x + Log[x]])\), 
                "+", \(\[Omega]\/\(\[ExponentialE]\^x\ x\^2 + x\ Log[x]\)\), 
                "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Plus[ 
                  Times[ -1, 
                    Power[ x, 
                      Power[ E, 
                        Power[ x, -1]]]], 
                  Log[ 
                    Plus[ 
                      Times[ 
                        Power[ E, x], x], 
                      Log[ x]]]], 
                Power[ 
                  Plus[ 
                    Times[ 
                      Power[ E, x], 
                      Power[ x, 2]], 
                    Times[ x, 
                      Log[ x]]], -1]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Plus[ 
                Times[ -1, 
                  Power[ x, 
                    Power[ E, 
                      Power[ x, -1]]]], 
                Log[ 
                  Plus[ 
                    Times[ 
                      Power[ E, x], x], 
                    Log[ x]]]], 
              Power[ 
                Plus[ 
                  Times[ 
                    Power[ E, x], 
                    Power[ x, 2]], 
                  Times[ x, 
                    Log[ x]]], -1]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\((Log[
                    Log[x] + 
                      x\ \[ExponentialE]\^x] - \[ExponentialE]\^\(Log[x]\ \
\[ExponentialE]\^\(1\/x\)\))\)\ \[Omega]\^0\)\[InvisibleSpace]" , \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-x\)\ \[ExponentialE]\^x\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              Plus[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    Times[ x, 
                      power[ E, x]]]], 
                Times[ -1, 
                  power[ E, 
                    Times[ 
                      log[ x], 
                      power[ E, 
                        power[ x, -1]]]]]], 
              power[ \[Omega], 0]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, x, 
                power[ E, x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(Log[
                Log[x] + 
                  x\ \[ExponentialE]\^x] - \[ExponentialE]\^\(Log[x]\ \
\[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Calculating limit of ", 
            Plus[ 
              log[ 
                Plus[ 
                  log[ x], 
                  Times[ x, 
                    power[ E, x]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(Log[
                Log[x] + 
                  x\ \[ExponentialE]\^x] - \[ExponentialE]\^\(Log[x]\ \
\[ExponentialE]\^\(1\/x\)\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Plus[ 
              log[ 
                Plus[ 
                  log[ x], 
                  Times[ x, 
                    power[ E, x]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^x, 3, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(Log[
                Log[x] + 
                  x\/\[Omega]] - \[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\
\(1\/x\)\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Plus[ 
              log[ 
                Plus[ 
                  log[ x], 
                  Times[ x, 
                    power[ \[Omega], -1]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(Log[
                Log[x] + 
                  x\/\[Omega]] - \[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\
\(1\/x\)\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Plus[ 
              log[ 
                Plus[ 
                  log[ x], 
                  Times[ x, 
                    power[ \[Omega], -1]]]], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              
              RowBox[{\((x - x\^\(\[ExponentialE]\^\(1\/x\)\) + Log[x])\), 
                "+", \(\(Log[x]\ \[Omega]\)\/x\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Plus[ x, 
                  Times[ -1, 
                    Power[ x, 
                      Power[ E, 
                        Power[ x, -1]]]], 
                  Log[ x]], 
                Times[ 
                  Power[ x, -1], 
                  Log[ x]]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Plus[ x, 
                Times[ -1, 
                  Power[ x, 
                    Power[ E, 
                      Power[ x, -1]]]], 
                Log[ x]], 
              Times[ 
                Power[ x, -1], 
                Log[ x]]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\((x + 
                  Log[x] - \[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\
\)\))\)\ \[Omega]\^0\)\[InvisibleSpace]" , \[Omega]="\[InvisibleSpace]\
\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              Plus[ x, 
                log[ x], 
                Times[ -1, 
                  power[ E, 
                    Times[ 
                      log[ x], 
                      power[ E, 
                        power[ x, -1]]]]]], 
              power[ \[Omega], 0]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(x + 
              Log[x] - \[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\)\
\)\),
          SequenceForm[ "Calculating limit of ", 
            Plus[ x, 
              log[ x], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(x + 
              Log[x] - \[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\)\
\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Plus[ x, 
              log[ x], 
              Times[ -1, 
                power[ E, 
                  Times[ 
                    log[ x], 
                    power[ E, 
                      power[ x, -1]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\), 
                10, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ 
                  log[ x], 
                  power[ E, 
                    power[ x, -1]]]], 10, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(x + \
\[ExponentialE]\^x - \[ExponentialE]\^\(x\ \[ExponentialE]\^\(1\/\
\[ExponentialE]\^x\)\)\)\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^x,\
 3, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(x\ \
\[ExponentialE]\^\(1\/\[ExponentialE]\^x\)\), 11, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Plus[ x, 
              power[ E, x], 
              Times[ -1, 
                power[ E, 
                  Times[ x, 
                    power[ E, 
                      power[ 
                        power[ E, x], -1]]]]]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ x, 
                  power[ E, 
                    power[ 
                      power[ E, x], -1]]]], 11, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(x\ \[ExponentialE]\^\(1\/\[ExponentialE]\^x\)\)\
\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ x, 
                power[ E, 
                  power[ 
                    power[ E, x], -1]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-x\) + x\ \[ExponentialE]\^\(\
\[ExponentialE]\^\(-x\)\)\)\),
          SequenceForm[ "c=", -1, " A=", 
            power[ E, 
              Plus[ 
                Times[ -1, x], 
                Times[ x, 
                  power[ E, 
                    power[ E, 
                      Times[ -1, x]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(x\
\ \[ExponentialE]\^\(1\/\[ExponentialE]\^x\)\)\[InvisibleSpace]"\[Rule]"\
\[InvisibleSpace]\[ExponentialE]\^\(\(-x\) + x\ \[ExponentialE]\^\(\
\[ExponentialE]\^\(-x\)\)\)\/\[Omega]\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\(x + \[ExponentialE]\^x - \
\[ExponentialE]\^\(\(-x\) + x\ \[ExponentialE]\^\(\[ExponentialE]\^\(-x\)\)\)\
\/\[Omega]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ x, 
                power[ E, 
                  power[ 
                    power[ E, x], -1]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ -1, x], 
                  Times[ x, 
                    power[ E, 
                      power[ E, 
                        Times[ -1, x]]]]]], 
              power[ \[Omega], -1]], "\n", "f=", 
            Plus[ x, 
              power[ E, x], 
              Times[ -1, 
                power[ E, 
                  Plus[ 
                    Times[ -1, x], 
                    Times[ x, 
                      power[ E, 
                        power[ E, 
                          Times[ -1, x]]]]]], 
                power[ \[Omega], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(x + 
              1\/\[Omega] - \[ExponentialE]\^\(\(-x\) + x\ \
\[ExponentialE]\^\(\[ExponentialE]\^\(-x\)\)\)\/\[Omega]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Plus[ x, 
              power[ \[Omega], -1], 
              Times[ -1, 
                power[ E, 
                  Plus[ 
                    Times[ -1, x], 
                    Times[ x, 
                      power[ E, 
                        power[ E, 
                          Times[ -1, x]]]]]], 
                power[ \[Omega], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(x + 
              1\/\[Omega] - \[ExponentialE]\^\(\(-x\) + x\ \
\[ExponentialE]\^\(\[ExponentialE]\^\(-x\)\)\)\/\[Omega]\)\),
          SequenceForm[ "Calculating power series: f=", 
            Plus[ x, 
              power[ \[Omega], -1], 
              Times[ -1, 
                power[ E, 
                  Plus[ 
                    Times[ -1, x], 
                    Times[ x, 
                      power[ E, 
                        power[ E, 
                          Times[ -1, x]]]]]], 
                power[ \[Omega], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{\(\((\(-\(x\/2\)\) - x\^2\/2)\)\ \[Omega]\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 1, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Plus[ 
                  Times[ 
                    Rational[ -1, 2], x], 
                  Times[ 
                    Rational[ -1, 2], 
                    Power[ x, 2]]]}, 1, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Plus[ 
                Times[ 
                  Rational[ -1, 2], x], 
                Times[ 
                  Rational[ -1, 2], 
                  Power[ x, 2]]]}, 1, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Down: f="\[InvisibleSpace]\(\(-\(Log[
                      x]\/2\)\) - 
              Log[x]\^2\/2\)\[InvisibleSpace]" , \[Omega]="\[InvisibleSpace]\
\[ExponentialE]\^\(-Log[x]\)\),
          SequenceForm[ "Scale Down: f=", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                log[ x]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  log[ x], 2]]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\[Omega]\^1\ \
\((\(-\(Log[x]\/2\)\) - 
                  Log[x]\^2\/2)\)\)\[InvisibleSpace]" , \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-Log[x]\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              power[ \[Omega], 1], 
              Plus[ 
                Times[ 
                  Rational[ -1, 2], 
                  log[ x]], 
                Times[ 
                  Rational[ -1, 2], 
                  power[ 
                    log[ x], 2]]]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of \
"\[InvisibleSpace]\(\(-\(Log[x]\/2\)\) - Log[x]\^2\/2\)\),
          SequenceForm[ "Calculating limit of ", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                log[ x]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  log[ x], 2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of \
"\[InvisibleSpace]\(\(-\(Log[x]\/2\)\) - Log[x]\^2\/2\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                log[ x]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  log[ x], 2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(\(-\(x\/2\)\) - 
              x\^2\/2\)\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], x], 
              Times[ 
                Rational[ -1, 2], 
                power[ x, 2]]], "\n", "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(\(-\(\
\[ExponentialE]\^x\/2\)\) - \
\((\[ExponentialE]\^x)\)\^2\/2\)\[InvisibleSpace]"\n"\[InvisibleSpace]"\
\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^x, 
                3, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                power[ E, x]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  power[ E, x], 2]]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(\(-\(1\/\(2\ \[Omega]\)\)\) - 
              1\/2\ \((1\/\[Omega])\)\^2\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                power[ \[Omega], -1]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  power[ \[Omega], -1], 2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\(\
\(-\(1\/\(2\ \[Omega]\)\)\) - 1\/2\ \((1\/\[Omega])\)\^2\)\),
          SequenceForm[ "Calculating power series: f=", 
            Plus[ 
              Times[ 
                Rational[ -1, 2], 
                power[ \[Omega], -1]], 
              Times[ 
                Rational[ -1, 2], 
                power[ 
                  power[ \[Omega], -1], 2]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              
              RowBox[{\(-\(1\/\(2\ \[Omega]\^2\)\)\), 
                "-", \(1\/\(2\ \[Omega]\)\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, -2, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Rational[ -1, 2], 
                Rational[ -1, 2]}, -2, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Rational[ -1, 2], 
              Rational[ -1, 2]}, -2, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Down: f="\[InvisibleSpace]\(-\(1\/2\)\)\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-Log[x]\)\),
          SequenceForm[ "Scale Down: f=", 
            Rational[ -1, 2], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Down: f="\[InvisibleSpace]\(-\(1\/2\)\)\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-Log[Log[x]]\)\),
          SequenceForm[ "Scale Down: f=", 
            Rational[ -1, 2], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(-\(1\/\(2\ \
\[Omega]\^2\)\)\)\[InvisibleSpace]" , \[Omega]="\[InvisibleSpace]\
\[ExponentialE]\^\(-Log[Log[x]]\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              Rational[ -1, 2], 
              power[ \[Omega], -2]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant asymptotic: "\[InvisibleSpace]\(-\(1\/2\
\)\)\[InvisibleSpace]\((\[ExponentialE]\^\(\(-x\)\ \[ExponentialE]\^x\))\)\^0\
\[InvisibleSpace]\((\[ExponentialE]\^\(-x\))\)\^0\[InvisibleSpace]\((\
\[ExponentialE]\^\(-Log[x]\))\)\^1\[InvisibleSpace]1\/\((\[ExponentialE]\^\(-\
Log[Log[x]]\))\)\^2\),
          SequenceForm[ "Dominant asymptotic: ", 
            Rational[ -1, 2], 
            power[ 
              power[ E, 
                Times[ -1, x, 
                  power[ E, x]]], 0], 
            power[ 
              power[ E, 
                Times[ -1, x]], 0], 
            power[ 
              power[ E, 
                Times[ -1, 
                  log[ x]]], 1], 
            power[ 
              power[ E, 
                Times[ -1, 
                  log[ 
                    log[ x]]]], -2]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                  Log[Log[
                        1 + x\ \[ExponentialE]\^\(x\ \[ExponentialE]\^x\)]] - \
\[ExponentialE]\^\(Log[x]\ \[ExponentialE]\^\(1\/x\)\), x, 
                  Debug \[Rule] 1] \[Equal] 0\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Plus[ 
                    log[ 
                      log[ 
                        Plus[ 1, 
                          Times[ x, 
                            power[ E, 
                              Times[ x, 
                                power[ E, x]]]]]]], 
                    Times[ -1, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          power[ E, 
                            power[ x, -1]]]]]], x, Debug -> 1], 0]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[10]:="],

Cell[BoxData[
    \(0\)], "Output",
  CellLabel->"Out[10]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample 6.3", "Section"],

Cell["Sample collection from [Gru96] chapter 8 page 122:", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    RowBox[{
      RowBox[{"StandardExamples", "=", 
        RowBox[{"{", "\[IndentingNewLine]", 
          RowBox[{
            RowBox[{"{", 
              RowBox[{
              "\"\<8.1\>\"", 
                ",", \(\[ExponentialE]^
                    x*\((\[ExponentialE]^\((\(-\[ExponentialE]^\((\(-x\))\)\) \
+ x^\((\(-1\))\))\) - \[ExponentialE]^\(x^\((\(-1\))\)\))\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(-1\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.2\>\"", 
                ",", \(\[ExponentialE]^
                    x \((\[ExponentialE]^\((1/
                              x + \[ExponentialE]^\((\(-x\))\) + \
\[ExponentialE]^\((\(-x^2\))\))\) - \[ExponentialE]^\((1/
                              x - \[ExponentialE]^\((\(-\[ExponentialE]^
                                    x\))\))\))\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.3\>\"", 
                ",", \(\[ExponentialE]^\((\[ExponentialE]^\((x - \
\[ExponentialE]^\((\(-x\))\))\)/\((1 - 
                            1/x)\))\) - \[ExponentialE]^\((\[ExponentialE]^
                        x)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.4\>\"", 
                ",", \(\[ExponentialE]^\((\[ExponentialE]^\((\[ExponentialE]^
                              x/\((1 - 
                                1/x)\))\))\) - \[ExponentialE]^\((\
\[ExponentialE]^\((\[ExponentialE]^
                              x/\((1 - 1/x - Log[x]^\(-Log[x]\))\))\))\)\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(-\[Infinity]\)}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.5\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^\(\[ExponentialE]^\((\
x + \[ExponentialE]^\(-x\))\)\)\)/\[ExponentialE]^\(\[ExponentialE]^\(\
\[ExponentialE]^x\)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.6\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^\(\[ExponentialE]^
                        x\)\)/\[ExponentialE]^\(\[ExponentialE]^\(\
\[ExponentialE]^\((x - \[ExponentialE]^\((\(-\[ExponentialE]^x\))\))\)\)\)\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.7\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^\(\[ExponentialE]^
                        x\)\)/\[ExponentialE]^\(\[ExponentialE]^\(\
\[ExponentialE]^\((x - \[ExponentialE]^\(-\[ExponentialE]^\(\[ExponentialE]^
                                    x\)\))\)\)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.8\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^
                      x\)/\[ExponentialE]^\(\[ExponentialE]^\((x - \
\[ExponentialE]^\(-\[ExponentialE]^\(\[ExponentialE]^x\)\))\)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.9\>\"", 
                ",", \(Log[
                      x]^2  \[ExponentialE]^\((Sqrt[Log[x]] 
                          Log[Log[x]]^2  \[ExponentialE]^\((Sqrt[Log[Log[x]]] 
                                Log[Log[Log[x]]]^3)\))\)/Sqrt[x]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "0"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.10\>\"", 
                ",", \(\((x\ Log[x] Log[x\ \[ExponentialE]^x - x^2]^2)\)/
                  Log[Log[
                      x^2 + 2  \[ExponentialE]^\(\[ExponentialE]^\((3  x^3 
                                   Log[x])\)\)]]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(1/3\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.11\>\"", 
                ",", \(\((\[ExponentialE]^\((x\ \[ExponentialE]^\(-x\)/\((\
\[ExponentialE]^\(-x\) + \[ExponentialE]^\((\(-2\) 
                                        x^2/\((x + 
                                        1)\))\))\))\) - \[ExponentialE]^x)\)/
                  x\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(-\[ExponentialE]\ ^2\)}], 
              "}"}], ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.12\>\"", ",", \(\((3^x + 5^x)\)^\((1/x)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "5"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.13\>\"", ",", \(x/Log[x^Log[x^\((Log[2]/Log[x])\)]]\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.14\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^\((2  Log[x^5 + x] 
                          Log[Log[
                              x]])\)\)/\[ExponentialE]^\(\[ExponentialE]^\((\
10  Log[x] Log[Log[x]])\)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.15\>\"", 
                ",", \(4/
                    9 \((\[ExponentialE]^\(\[ExponentialE]^\((5/2 
                                   xx^\((\(-5\)/7)\) + 21/8  xx^\((6/11)\) + 
                                2  xx^\(-8\) + 
                                54/17 
                                   xx^\((49/
                                        45)\))\)\))\)^8/\[IndentingNewLine]\((\
Log[Log[\(-Log[4/3  xx^\((\(-5\)/14)\)]\)]]^\((7/6)\))\)\), ",", 
                RowBox[{"xx", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.16\>\"", 
                ",", \(\((\[ExponentialE]^\((4  
                            x\ \[ExponentialE]^\(-x\)/\((1/\[ExponentialE]^
                                      x + 1/\[ExponentialE]^\((2 
                                         x^2/\((x + 
                                        1)\))\))\))\) - \[ExponentialE]^
                        x)\)/\((\((\[ExponentialE]^x)\)^4)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.17\>\"", 
                ",", \(\[ExponentialE]^\((x\ \[ExponentialE]^\(-x\)/\((\
\[ExponentialE]^\(-x\) + \[ExponentialE]^\((\(-2\) 
                                    x^2/\((x + 1)\))\))\))\)/\[ExponentialE]^
                    x\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.18\>\"", 
                ",", \(\((\[ExponentialE]^\((\[ExponentialE]^\((\(-x\)/\((1 + \
\[ExponentialE]^\(-x\))\))\))\)\ \[ExponentialE]^\((\(-x\)/\((1 + \((\
\[ExponentialE]^\((\(-x\)/\((1 + \[ExponentialE]^\(-x\))\))\))\))\))\) \
\[ExponentialE]^\(\[ExponentialE]^\((\(-x\) + \
\((\[ExponentialE]^\((\(-x\)/\((1 + \
\[ExponentialE]^\(-x\))\))\))\))\)\))\)/\((\((\[ExponentialE]^\((\(-x\)/\((1 \
+ \[ExponentialE]^\(-x\))\))\))\)^2)\) - \[ExponentialE]^x + x\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "2"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.19\>\"", 
                ",", \(\((Log[Log[x] + Log[Log[x]]] - Log[Log[x]])\)/
                    Log[Log[x] + Log[Log[Log[x]]]]*Log[x]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.20\>\"", 
                ",", \(\[ExponentialE]^\((Log[
                        Log[x + \[ExponentialE]^\((Log[x] Log[Log[x]])\)]]/
                      Log[Log[Log[\[ExponentialE]^x + x + Log[x]]]])\)\), ",",
                 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[ExponentialE]"}], "}"}], 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.21\>\"", 
                ",", \(\[ExponentialE]^
                    x \((Sin[1/x + \[ExponentialE]^\(-x\)] - 
                      Sin[1/x + \[ExponentialE]^\((\(-x^2\))\)])\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.22\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^
                      x\) \((\[ExponentialE]^
                        Sin[1/x + \[ExponentialE]^\(-\[ExponentialE]^
                                  x\)] - \[ExponentialE]^Sin[1/x])\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", \({"\<8.23\>", "\<\>", "\<\>", "\<\>"}\), 
            ",", "\[IndentingNewLine]", \({"\<8.24\>", "\<\>", "\<\>", \
"\<\>"}\), ",", 
            "\[IndentingNewLine]", \({"\<8.25\>", "\<\>", "\<\>", "\<\>"}\), 
            ",", "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.26\>\"", 
                ",", \(\[ExponentialE]^
                    x \((Gamma[x + \[ExponentialE]^\(-x\)] - Gamma[x])\)\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.27\>\"", 
                ",", \(\[ExponentialE]^\((Gamma[
                          x - \[ExponentialE]^\(-x\)] \[ExponentialE]^\((1/
                              x)\))\) - \[ExponentialE]^Gamma[x]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.28\>\"", 
                ",", \(\((Gamma[x + 1/Gamma[x]] - Gamma[x])\)/Log[x]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "1"}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.29\>\"", 
                ",", \(x \((Gamma[x - 1/Gamma[x]] - Gamma[x] + Log[x])\)\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(1/2\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.30\>\"", 
                ",", \(\((\((Gamma[x + 1/Gamma[x]] - Gamma[x])\)/Log[x] - 
                      Cos[1/x])\) x\ Log[x]\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", \(\(-1\)/2\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.31\>\"", 
                ",", \(Gamma[x + 1]/
                    Sqrt[2  Pi] - \[ExponentialE]^\(-x\) \((x^\((x + 1/2)\) + 
                        x^\((x - 1/2)\)/12)\)\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.32\>\"", ",", \(Log[Gamma[Gamma[x]]]/\[ExponentialE]^x\),
                 ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "\[Infinity]"}], "}"}], ",",
             "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.33\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^
                      PolyGamma[0, PolyGamma[0, x]]\)/x\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], 
                ",", \(\[ExponentialE]^\((\(-1\)/2)\)\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.34\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^
                      PolyGamma[0, Log[x]]\)/x\), ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], 
                ",", \(\[ExponentialE]^\((\(-1\)/2)\)\)}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"{", 
              RowBox[{
              "\"\<8.35\>\"", 
                ",", \(\[ExponentialE]^\(\[ExponentialE]^\(\[ExponentialE]^
                        PolyGamma[0, PolyGamma[0, PolyGamma[0, x]]]\)\)/x\), 
                ",", 
                RowBox[{"x", "\[Rule]", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], ",", "0"}], "}"}], ",", 
            "\[IndentingNewLine]", \({"\<8.36\>", "\<\>", "\<\>", "\<\>"}\), 
            ",", "\[IndentingNewLine]", \({"\<8.37\>", "\<\>", "\<\>", \
"\<\>"}\)}], "\[IndentingNewLine]", "}"}]}], 
      ";"}], "\[IndentingNewLine]", \(\(StandardExamples // 
        TraditionalForm\) // TableForm\)}], "Input",
  CellLabel->"In[11]:="],

Cell[BoxData[
    TagBox[
      TagBox[
        FormBox[
          RowBox[{"(", "\[NoBreak]", GridBox[{
                {"\<\"8.1\"\>", \(\[ExponentialE]\^x\ \((\[ExponentialE]\^\(1\
\/x - \[ExponentialE]\^\(-x\)\) - \[ExponentialE]\^\(1\/x\))\)\), \(x \[Rule] \
\[Infinity]\), \(-1\)},
                {"\<\"8.2\"\>", \(\[ExponentialE]\^x\ \((\(-\[ExponentialE]\^\
\(1\/x - \[ExponentialE]\^\(-\[ExponentialE]\^x\)\)\) + \[ExponentialE]\^\(\
\[ExponentialE]\^\(-x\) + \[ExponentialE]\^\(-x\^2\) + 1\/x\))\)\), \(x \
\[Rule] \[Infinity]\), "1"},
                {"\<\"8.3\"\>", \
\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\
\[ExponentialE]\^\(x - \[ExponentialE]\^\(-x\)\)\/\(1 - 1\/x\)\)\), \(x \
\[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.4\"\>", \(\[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^x\/\(1 - 1\/x\)\)\) - \[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^x\/\(\(-\(\(log\^\(-\(log(x)\)\)\)(x)\)\) - 1\/x + \
1\)\)\)\), \(x \[Rule] \[Infinity]\), \(-\[Infinity]\)},
                {"\<\"8.5\"\>", \(\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\)\), \(x \[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.6\"\>", \(\[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^x\) - \[ExponentialE]\^\(\[ExponentialE]\^\(x - \
\[ExponentialE]\^\(-\[ExponentialE]\^x\)\)\)\)\), \(x \[Rule] \[Infinity]\), 
                  "\[Infinity]"},
                {"\<\"8.7\"\>", \(\[ExponentialE]\^\(\[ExponentialE]\^\(\
\[ExponentialE]\^x\) - \[ExponentialE]\^\(\[ExponentialE]\^\(x - \
\[ExponentialE]\^\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\)\)\)\)\), \(x \
\[Rule] \[Infinity]\), "1"},
                {"\<\"8.8\"\>", \(\[ExponentialE]\^\(\[ExponentialE]\^x - \
\[ExponentialE]\^\(x - \[ExponentialE]\^\(-\[ExponentialE]\^\(\[ExponentialE]\
\^x\)\)\)\)\), \(x \[Rule] \[Infinity]\), "1"},
                {"\<\"8.9\"\>", \
\(\(\[ExponentialE]\^\(\[ExponentialE]\^\(\(\(log\^\(1\/2\)\)(log(x))\)\ \
\(\(log\^3\)(log(log(x)))\)\)\ \(\(log\^\(1\/2\)\)(x)\)\ \(\(log\^2\)(log(x))\
\)\)\ \(\(log\^2\)(x)\)\)\/\@x\), \(x \[Rule] \[Infinity]\), "0"},
                {"\<\"8.10\"\>", \(\(x\ \(log(
                          x)\)\ \(\(log\^2\)(\[ExponentialE]\^x\ x - 
                            x\^2)\)\)\/\(log(
                        log(x\^2 + 
                            2\ \[ExponentialE]\^\(x\^\(3\ x\^3\)\)))\)\), \(x \
\[Rule] \[Infinity]\), \(1\/3\)},
                {"\<\"8.11\"\>", \(\(\(-\[ExponentialE]\^x\) + \
\[ExponentialE]\^\(\(\[ExponentialE]\^\(-x\)\ x\)\/\(\[ExponentialE]\^\(-x\) \
+ \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + 1\)\)\)\)\)\)\/x\), \(x \[Rule] \
\[Infinity]\), \(-\[ExponentialE]\^2\)},
                {"\<\"8.12\"\>", \(\((3\^x + 
                          5\^x)\)\^\(1\/x\)\), \(x \[Rule] \[Infinity]\), 
                  "5"},
                {"\<\"8.13\"\>", \(x\/\(log(
                        x\^\(log(2)\))\)\), \(x \[Rule] \[Infinity]\), 
                  "\[Infinity]"},
                {"\<\"8.14\"\>", \
\(\[ExponentialE]\^\(\(-\[ExponentialE]\^\(10\ \(log(x)\)\ \
\(log(log(x))\)\)\) + \[ExponentialE]\^\(2\ \(log(x\^5 + x)\)\ \
\(log(log(x))\)\)\)\), \(x \[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.15\"\>", \(\(4\ \[ExponentialE]\^\(8\ \[ExponentialE]\
\^\(\(54\ xx\^\(49/45\)\)\/17 + \(21\ xx\^\(6/11\)\)\/8 + 5\/\(2\ xx\^\(5/7\)\
\) + 2\/xx\^8\)\)\)\/\(9\ \(\(log\^\(7\/6\)\)(
                          log(\(-\(log(
                                4\/\(3\ xx\^\(5/14\)\))\)\)))\)\)\), \(xx \
\[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.16\"\>", \(\[ExponentialE]\^\(\(-4\)\ x\)\ \((\(-\
\[ExponentialE]\^x\) + \[ExponentialE]\^\(\(4\ \[ExponentialE]\^\(-x\)\ x\)\/\
\(\[ExponentialE]\^\(-x\) + \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + \
1\)\)\)\)\))\)\), \(x \[Rule] \[Infinity]\), "1"},
                {"\<\"8.17\"\>", \(\[ExponentialE]\^\(\(\[ExponentialE]\^\(-x\
\)\ x\)\/\(\[ExponentialE]\^\(-x\) + \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + \
1\)\)\)\) - x\)\), \(x \[Rule] \[Infinity]\), "1"},
                {"\<\"8.18\"\>", \(x - \[ExponentialE]\^x + \[ExponentialE]\^\
\(\(2\ x\)\/\(1 + \[ExponentialE]\^\(-x\)\) - x\/\(1 + \
\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\
\) - x\) + \[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\)\)\), \
\(x \[Rule] \[Infinity]\), "2"},
                {"\<\"8.19\"\>", \(\(\(log(
                          x)\)\ \((log(log(x) + log(log(x))) - 
                            log(log(x)))\)\)\/\(log(
                        log(x) + 
                          log(log(log(x))))\)\), \(x \[Rule] \[Infinity]\), 
                  "1"},
                {"\<\"8.20\"\>", \(\(log\^\(1\/\(log(
                              log(log(
                                  x + \[ExponentialE]\^x + log(x))))\)\)\)(
                    x + \[ExponentialE]\^\(\(log(x)\)\ \(log(log(x))\)\))\), \
\(x \[Rule] \[Infinity]\), "\[ExponentialE]"},
                {"\<\"8.21\"\>", \(\[ExponentialE]\^x\ \((sin(\[ExponentialE]\
\^\(-x\) + 1\/x) - sin(\[ExponentialE]\^\(-x\^2\) + 
                            1\/x))\)\), \(x \[Rule] \[Infinity]\), "1"},
                {"\<\"8.22\"\>", \(\[ExponentialE]\^\(\[ExponentialE]\^x\)\ \
\((\[ExponentialE]\^\(sin(\[ExponentialE]\^\(-\[ExponentialE]\^x\) + 1\/x)\) \
- \[ExponentialE]\^\(sin(1\/x)\))\)\), \(x \[Rule] \[Infinity]\), "1"},
                {"\<\"8.23\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
                {"\<\"8.24\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
                {"\<\"8.25\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
                {"\<\"8.26\"\>", \(\[ExponentialE]\^x\ \((\[CapitalGamma](
                          x + \[ExponentialE]\^\(-x\)) - \[CapitalGamma](
                          x))\)\), \(x \[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.27\"\>", \(\(-\[ExponentialE]\^\(\[CapitalGamma](x)\)\
\) + \[ExponentialE]\^\(\[ExponentialE]\^\(1\/x\)\ \(\[CapitalGamma](x - \
\[ExponentialE]\^\(-x\))\)\)\), \(x \[Rule] \[Infinity]\), "\[Infinity]"},
                {"\<\"8.28\"\>", \(\(\[CapitalGamma](
                          x + 1\/\(\[CapitalGamma](x)\)) - \[CapitalGamma](
                          x)\)\/\(log(x)\)\), \(x \[Rule] \[Infinity]\), 
                  "1"},
                {"\<\"8.29\"\>", \(x\ \((\(-\(\[CapitalGamma](
                            x)\)\) + \[CapitalGamma](
                          x - 1\/\(\[CapitalGamma](x)\)) + 
                        log(x))\)\), \(x \[Rule] \[Infinity]\), \(1\/2\)},
                {"\<\"8.30\"\>", \(x\ \((\(\[CapitalGamma](x + 1\/\(\
\[CapitalGamma](x)\)) - \[CapitalGamma](x)\)\/\(log(x)\) - 
                        cos(1\/x))\)\ \(log(
                      x)\)\), \(x \[Rule] \[Infinity]\), \(-\(1\/2\)\)},
                {"\<\"8.31\"\>", \(\(\[CapitalGamma](x + 1)\)\/\@\(2\ \[Pi]\) \
- \[ExponentialE]\^\(-x\)\ \((1\/12\ x\^\(x - 1\/2\) + 
                          x\^\(x + 1\/2\))\)\), \(x \[Rule] \[Infinity]\), 
                  "\[Infinity]"},
                {"\<\"8.32\"\>", \(\[ExponentialE]\^\(-x\)\ \(log(\
\[CapitalGamma](\[CapitalGamma](x)))\)\), \(x \[Rule] \[Infinity]\), 
                  "\[Infinity]"},
                {"\<\"8.33\"\>", 
                  FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                      SuperscriptBox["\[ExponentialE]", 
                        RowBox[{
                          SuperscriptBox[
                            TagBox["\[Psi]",
                              PolyGamma], \((0)\)], "(", 
                          RowBox[{
                            SuperscriptBox[
                              TagBox["\[Psi]",
                                PolyGamma], \((0)\)], "(", "x", ")"}], 
                          ")"}]]], 
                    "x"], \(x \[Rule] \[Infinity]\), \
\(1\/\@\[ExponentialE]\)},
                {"\<\"8.34\"\>", 
                  FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                      SuperscriptBox["\[ExponentialE]", 
                        RowBox[{
                          SuperscriptBox[
                            TagBox["\[Psi]",
                              PolyGamma], \((0)\)], "(", \(log(x)\), ")"}]]], 
                    "x"], \(x \[Rule] \[Infinity]\), \
\(1\/\@\[ExponentialE]\)},
                {"\<\"8.35\"\>", 
                  FractionBox[
                    SuperscriptBox["\[ExponentialE]", 
                      SuperscriptBox["\[ExponentialE]", 
                        SuperscriptBox["\[ExponentialE]", 
                          RowBox[{
                            SuperscriptBox[
                              TagBox["\[Psi]",
                                PolyGamma], \((0)\)], "(", 
                            RowBox[{
                              SuperscriptBox[
                                TagBox["\[Psi]",
                                  PolyGamma], \((0)\)], "(", 
                              RowBox[{
                                SuperscriptBox[
                                  TagBox["\[Psi]",
                                    PolyGamma], \((0)\)], "(", "x", ")"}], 
                              ")"}], ")"}]]]], 
                    "x"], \(x \[Rule] \[Infinity]\), "0"},
                {"\<\"8.36\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
                {"\<\"8.37\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"}
                }], "\[NoBreak]", ")"}],
          "TraditionalForm"],
        TraditionalForm,
        Editable->True],
      Function[ BoxForm`e$, 
        TableForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[12]//TableForm="]
}, Open  ]],

Cell["\<\
Missing samples are based on functions that are not supported by current \
implementation
(that is, Erf[#], ExpIntegralEi[#], Zeta[#], BesselJ[#,#], Min[#,#] and \
Max[#,#])\
\>", "Text"],

Cell[BoxData[{
    \(\(Clear[TestExample];\)\), "\[IndentingNewLine]", 
    \(\(TestExample[{Name_, f_, x_ \[Rule] lim_, result_}, Options___] := 
        Module[{res, restext}, \[IndentingNewLine]res = 
            TimeConstrained[MrvLimit[f, x \[Rule] lim, Options], 60, 
              Timeout]; \[IndentingNewLine]If[
            Head[res] === 
              HoldForm\[IndentingNewLine] (*then*) , \
\[IndentingNewLine]restext = "\<Not found.\>"; \[IndentingNewLine]res = \
"\<\>";\[IndentingNewLine] (*else*) , \[IndentingNewLine]\(If[
                res === 
                  result\[IndentingNewLine] (*then*) , \
\[IndentingNewLine]restext = "\<Ok.\>"; \[IndentingNewLine]res = "\<\>";\
\[IndentingNewLine] (*else*) , \[IndentingNewLine]\(restext = "\<Failed. \>";\
\)\[IndentingNewLine]];\)\[IndentingNewLine]]; \[IndentingNewLine]Print[
            Name, "\<: \>", restext]; \[IndentingNewLine]{Name, 
            TraditionalForm[HoldForm[Limit[f, x \[Rule] lim] = result]], 
            restext, res}\[IndentingNewLine]];\)\), "\[IndentingNewLine]", 
    \(\(TestExample[{Name_, "\<\>", "\<\>", "\<\>"}, 
          Options___] = {Name, "\<\>", "\<\>", "\<\>"};\)\)}], "Input",
  CellLabel->"In[13]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(Map[TestExample, StandardExamples] // TableForm\)], "Input",
  CellLabel->"In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.1"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.1", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.2"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.2", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.3"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.3", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.4"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.4", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.5"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.5", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.6"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.6", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.7"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.7", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.8"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.8", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.9"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.9", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.10"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.10", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.11"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.11", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.12"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.12", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.13"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.13", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.14"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.14", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.15"\[InvisibleSpace]": "\[InvisibleSpace]"Failed. \
"\),
      SequenceForm[ "8.15", ": ", "Failed. "],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.16"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.16", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.17"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.17", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.18"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.18", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.19"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.19", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \
\!\(\[ExponentialE]\^\(\(Log[\(\(x\/\[Omega]\)\)]\)\/x\)\)"\)], "Message",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.20"\[InvisibleSpace]": "\[InvisibleSpace]"Not \
found."\),
      SequenceForm[ "8.20", ": ", "Not found."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.21"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.21", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.22"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.22", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.26"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.26", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.27"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.27", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.28"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.28", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.29"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.29", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.30"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.30", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.31"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.31", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.32"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.32", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.33"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.33", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.34"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.34", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    InterpretationBox[\("8.35"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.35", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[16]:="],

Cell[BoxData[
    TagBox[GridBox[{
          {"\<\"8.1\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^x\ \((\[ExponentialE]\^\(1\/x - \[ExponentialE]\^\(-x\)\) - \
\[ExponentialE]\^\(1\/x\))\) = \(-1\)\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.2\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^x\ \((\(-\[ExponentialE]\^\(1\/x - \[ExponentialE]\^\(-\
\[ExponentialE]\^x\)\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(-x\) + \
\[ExponentialE]\^\(-x\^2\) + 1\/x\))\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.3\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((\(-\
\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x - \[ExponentialE]\^\(-x\)\)\/\(1 - \
1\/x\)\))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.4\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((\
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^x\/\(1 - 1\/x\)\)\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^x\/\(\(-\(\(log\^\(-\(\
log(x)\)\)\)(x)\)\) - 1\/x + 1\)\)\))\) = \(-\[Infinity]\)\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.5\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\) = \
\[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.6\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x - \[ExponentialE]\^\(-\[ExponentialE]\
\^x\)\)\)\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.7\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x - \[ExponentialE]\^\(-\[ExponentialE]\
\^\(\[ExponentialE]\^x\)\)\)\)\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.8\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\[ExponentialE]\^x - \[ExponentialE]\^\(x - \
\[ExponentialE]\^\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\)\)\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.9\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(\
\[ExponentialE]\^\(\[ExponentialE]\^\(\(\(log\^\(1\/2\)\)(log(x))\)\ \
\(\(log\^3\)(log(log(x)))\)\)\ \(\(log\^\(1\/2\)\)(x)\)\ \(\(log\^2\)(log(x))\
\)\)\ \(\(log\^2\)(x)\)\)\/\@x = 0\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.10\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(x\ \
\(log(x)\)\ \(\(log\^2\)(\[ExponentialE]\^x\ x - x\^2)\)\)\/\(log(log(x\^2 + \
2\ \[ExponentialE]\^\(x\^\(3\ x\^3\)\)))\) = 1\/3\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.11\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(\(-\
\[ExponentialE]\^x\) + \[ExponentialE]\^\(\(\[ExponentialE]\^\(-x\)\ x\)\/\(\
\[ExponentialE]\^\(-x\) + \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + \
1\)\)\)\)\)\)\/x = \(-\[ExponentialE]\^2\)\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.12\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((3\^x + \
5\^x)\)\^\(1\/x\) = 5\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.13\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]x\/\(log(x\
\^\(log(2)\))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.14\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(10\ \(log(x)\)\ \(log(log(x))\)\)\) \
+ \[ExponentialE]\^\(2\ \(log(x\^5 + x)\)\ \(log(log(x))\)\)\) = \
\[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.15\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(xx \[Rule] \[Infinity]\)\[ThinSpace]\(4\ \
\[ExponentialE]\^\(8\ \[ExponentialE]\^\(\(54\ xx\^\(49/45\)\)\/17 + \(21\ xx\
\^\(6/11\)\)\/8 + 5\/\(2\ xx\^\(5/7\)\) + 2\/xx\^8\)\)\)\/\(9\ \
\(\(log\^\(7\/6\)\)(log(\(-\(log(4\/\(3\ xx\^\(5/14\)\))\)\)))\)\) = \
\[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Failed. \"\>", "Timeout"},
          {"\<\"8.16\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\(-4\)\ x\)\ \((\(-\[ExponentialE]\^x\) + \
\[ExponentialE]\^\(\(4\ \[ExponentialE]\^\(-x\)\ x\)\/\(\[ExponentialE]\^\(-x\
\) + \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + 1\)\)\)\)\))\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.17\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\(\[ExponentialE]\^\(-x\)\ x\)\/\(\[ExponentialE]\^\(-x\) \
+ \[ExponentialE]\^\(-\(\(2\ x\^2\)\/\(x + 1\)\)\)\) - x\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.18\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((x - \
\[ExponentialE]\^x + \[ExponentialE]\^\(\(2\ x\)\/\(1 + \[ExponentialE]\^\(-x\
\)\) - x\/\(1 + \[ExponentialE]\^\(-\(x\/\(1 + \
\[ExponentialE]\^\(-x\)\)\)\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\
\) - x\) + \[ExponentialE]\^\(-\(x\/\(1 + \[ExponentialE]\^\(-x\)\)\)\)\))\) \
= 2\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.19\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(\(log(x)\
\)\ \((log(log(x) + log(log(x))) - log(log(x)))\)\)\/\(log(log(x) + \
log(log(log(x))))\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.20\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(log\^\(1\
\/\(log(log(log(x + \[ExponentialE]\^x + log(x))))\)\)\)(
                        x + \[ExponentialE]\^\(\(log(x)\)\ \(log(log(x))\)\)) \
= \[ExponentialE]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Not found.\"\>", "\<\"\"\>"},
          {"\<\"8.21\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^x\ \((sin(\[ExponentialE]\^\(-x\) + 1\/x) - 
                            sin(\[ExponentialE]\^\(-x\^2\) + 1\/x))\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.22\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(\[ExponentialE]\^x\)\ \((\[ExponentialE]\^\(sin(\
\[ExponentialE]\^\(-\[ExponentialE]\^x\) + 1\/x)\) - \[ExponentialE]\^\(sin(1\
\/x)\))\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.23\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
          {"\<\"8.24\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
          {"\<\"8.25\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
          {"\<\"8.26\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^x\ \((\[CapitalGamma](
                              x + \[ExponentialE]\^\(-x\)) - \[CapitalGamma](
                              x))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.27\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((\(-\
\[ExponentialE]\^\(\[CapitalGamma](x)\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(1\/x\)\ \(\[CapitalGamma](x - \
\[ExponentialE]\^\(-x\))\)\))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.28\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\(\
\[CapitalGamma](x + 1\/\(\[CapitalGamma](x)\)) - \
\[CapitalGamma](x)\)\/\(log(x)\) = 1\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.29\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]x\ \
\((\(-\(\[CapitalGamma](x)\)\) + \[CapitalGamma](
                              x - 1\/\(\[CapitalGamma](x)\)) + log(x))\) = 
                    1\/2\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.30\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]x\ \((\(\
\[CapitalGamma](x + 1\/\(\[CapitalGamma](x)\)) - \
\[CapitalGamma](x)\)\/\(log(x)\) - cos(1\/x))\)\ \(log(x)\) = \(-\(1\/2\)\)\),
                  
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.31\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\((\(\
\[CapitalGamma](x + 1)\)\/\@\(2\ \[Pi]\) - \[ExponentialE]\^\(-x\)\ \((1\/12\ \
x\^\(x - 1\/2\) + x\^\(x + 1\/2\))\))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.32\"\>", 
            TagBox[
              FormBox[
                
                TagBox[\(lim\+\(x \[Rule] \[Infinity]\)\[ThinSpace]\
\[ExponentialE]\^\(-x\)\ \(log(\[CapitalGamma](\[CapitalGamma](
                              x)))\) = \[Infinity]\),
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.33\"\>", 
            TagBox[
              FormBox[
                TagBox[
                  RowBox[{
                    
                    RowBox[{\(lim\+\(x \[Rule] \[Infinity]\)\), 
                      "\[ThinSpace]", 
                      FractionBox[
                        SuperscriptBox["\[ExponentialE]", 
                          SuperscriptBox["\[ExponentialE]", 
                            RowBox[{
                              SuperscriptBox[
                                TagBox["\[Psi]",
                                  PolyGamma], \((0)\)], "(", 
                              RowBox[{
                                SuperscriptBox[
                                  TagBox["\[Psi]",
                                    PolyGamma], \((0)\)], "(", "x", ")"}], 
                              ")"}]]], "x"]}], 
                    "=", \(1\/\@\[ExponentialE]\)}],
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.34\"\>", 
            TagBox[
              FormBox[
                TagBox[
                  RowBox[{
                    
                    RowBox[{\(lim\+\(x \[Rule] \[Infinity]\)\), 
                      "\[ThinSpace]", 
                      FractionBox[
                        SuperscriptBox["\[ExponentialE]", 
                          SuperscriptBox["\[ExponentialE]", 
                            RowBox[{
                              SuperscriptBox[
                                TagBox["\[Psi]",
                                  PolyGamma], \((0)\)], "(", \(log(x)\), 
                              ")"}]]], "x"]}], 
                    "=", \(1\/\@\[ExponentialE]\)}],
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.35\"\>", 
            TagBox[
              FormBox[
                TagBox[
                  RowBox[{
                    
                    RowBox[{\(lim\+\(x \[Rule] \[Infinity]\)\), 
                      "\[ThinSpace]", 
                      FractionBox[
                        SuperscriptBox["\[ExponentialE]", 
                          SuperscriptBox["\[ExponentialE]", 
                            SuperscriptBox["\[ExponentialE]", 
                              RowBox[{
                                SuperscriptBox[
                                  TagBox["\[Psi]",
                                    PolyGamma], \((0)\)], "(", 
                                RowBox[{
                                  SuperscriptBox[
                                    TagBox["\[Psi]",
                                      PolyGamma], \((0)\)], "(", 
                                  RowBox[{
                                    SuperscriptBox[
                                      TagBox["\[Psi]",
                                        PolyGamma], \((0)\)], "(", "x", ")"}],
                                   ")"}], ")"}]]]], "x"]}], "=", "0"}],
                  HoldForm],
                "TraditionalForm"],
              TraditionalForm,
              Editable->True], "\<\"Ok.\"\>", "\<\"\"\>"},
          {"\<\"8.36\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"},
          {"\<\"8.37\"\>", "\<\"\"\>", "\<\"\"\>", "\<\"\"\>"}
          },
        RowSpacings->1,
        ColumnSpacings->3,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      Function[ BoxForm`e$, 
        TableForm[ BoxForm`e$]]]], "Output",
  CellLabel->"Out[16]//TableForm="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Error 6.4.1", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TimeConstrained[
      TestExample[StandardExamples[\([15]\)], Debug \[Rule] \[Infinity]], 
      10]\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(4\ \[ExponentialE]\^\(8\ \[ExponentialE]\^\
\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 + \(54\ \
xx\^\(49/45\)\)\/17\)\)\)\/\(9\ Log[Log[\(-Log[4\/\(3\ \
xx\^\(5/14\)\)]\)]]\^\(7/6\)\), xx, Debug \[Rule] \[Infinity]]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  Rational[ 4, 9], 
                  power[ E, 
                    Times[ 8, 
                      power[ E, 
                        Plus[ 
                          Times[ 2, 
                            power[ xx, -8]], 
                          Times[ 
                            Rational[ 5, 2], 
                            power[ xx, 
                              Rational[ -5, 7]]], 
                          Times[ 
                            Rational[ 21, 8], 
                            power[ xx, 
                              Rational[ 6, 11]]], 
                          Times[ 
                            Rational[ 54, 17], 
                            power[ xx, 
                              Rational[ 49, 45]]]]]]], 
                  power[ 
                    log[ 
                      log[ 
                        Times[ -1, 
                          log[ 
                            Times[ 
                              Rational[ 4, 3], 
                              power[ xx, 
                                Rational[ -5, 14]]]]]]], 
                    Rational[ -7, 6]]], xx, Debug -> DirectedInfinity[ 1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(4\ \
\[ExponentialE]\^\(8\ \[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \
\(21\ xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\)\)\/\(9\ \
Log[Log[\(-Log[4\/\(3\ xx\^\(5/14\)\)]\)]]\^\(7/6\)\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              Rational[ 4, 9], 
              power[ E, 
                Times[ 8, 
                  power[ E, 
                    Plus[ 
                      Times[ 2, 
                        power[ xx, -8]], 
                      Times[ 
                        Rational[ 5, 2], 
                        power[ xx, 
                          Rational[ -5, 7]]], 
                      Times[ 
                        Rational[ 21, 8], 
                        power[ xx, 
                          Rational[ 6, 11]]], 
                      Times[ 
                        Rational[ 54, 17], 
                        power[ xx, 
                          Rational[ 49, 45]]]]]]], 
              power[ 
                log[ 
                  log[ 
                    Times[ -1, 
                      log[ 
                        Times[ 
                          Rational[ 4, 3], 
                          power[ xx, 
                            Rational[ -5, 14]]]]]]], 
                Rational[ -7, 6]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(4\ \
\[ExponentialE]\^\(8\ \[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \
\(21\ xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\)\)\/\(9\ \
Log[Log[\(-Log[4\/\(3\ xx\^\(5/14\)\)]\)]]\^\(7/6\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              Rational[ 4, 9], 
              power[ E, 
                Times[ 8, 
                  power[ E, 
                    Plus[ 
                      Times[ 2, 
                        power[ xx, -8]], 
                      Times[ 
                        Rational[ 5, 2], 
                        power[ xx, 
                          Rational[ -5, 7]]], 
                      Times[ 
                        Rational[ 21, 8], 
                        power[ xx, 
                          Rational[ 6, 11]]], 
                      Times[ 
                        Rational[ 54, 17], 
                        power[ xx, 
                          Rational[ 49, 45]]]]]]], 
              power[ 
                log[ 
                  log[ 
                    Times[ -1, 
                      log[ 
                        Times[ 
                          Rational[ 4, 3], 
                          power[ xx, 
                            Rational[ -5, 14]]]]]]], 
                Rational[ -7, 6]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "2", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                8\ \[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\
\ xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\), xx]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 2, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 8, 
                  power[ E, 
                    Plus[ 
                      Times[ 2, 
                        power[ xx, -8]], 
                      Times[ 
                        Rational[ 5, 2], 
                        power[ xx, 
                          Rational[ -5, 7]]], 
                      Times[ 
                        Rational[ 21, 8], 
                        power[ xx, 
                          Rational[ 6, 11]]], 
                      Times[ 
                        Rational[ 54, 17], 
                        power[ xx, 
                          Rational[ 49, 45]]]]]], xx]]],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(8\ \
\[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 \
+ \(54\ xx\^\(49/45\)\)\/17\)\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 8, 
              power[ E, 
                Plus[ 
                  Times[ 2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ 5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ 21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ 54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]]]]],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(8\ \
\[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 \
+ \(54\ xx\^\(49/45\)\)\/17\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 8, 
              power[ E, 
                Plus[ 
                  Times[ 2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ 5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ 21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ 54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]]]]],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "3", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                2\/xx\^8 + 
                  5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 + \(54\ \
xx\^\(49/45\)\)\/17, xx]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 3, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Plus[ 
                  Times[ 2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ 5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ 21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ 54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]], xx]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox["\<\"Taking cached result\"\>",
          SequenceForm[ "Taking cached result"],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "3", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[
                  2\/xx\^8 + 
                    5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 + \(54\ \
xx\^\(49/45\)\)\/17, xx] \[Equal] \[Infinity]\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 3, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Plus[ 
                    Times[ 2, 
                      power[ xx, -8]], 
                    Times[ 
                      Rational[ 5, 2], 
                      power[ xx, 
                        Rational[ -5, 7]]], 
                    Times[ 
                      Rational[ 21, 8], 
                      power[ xx, 
                        Rational[ 6, 11]]], 
                    Times[ 
                      Rational[ 54, 17], 
                      power[ xx, 
                        Rational[ 49, 45]]]], xx], 
                DirectedInfinity[ 1]]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "3", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ \
xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\/Log[xx], xx]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 3, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  Plus[ 
                    Times[ 2, 
                      power[ xx, -8]], 
                    Times[ 
                      Rational[ 5, 2], 
                      power[ xx, 
                        Rational[ -5, 7]]], 
                    Times[ 
                      Rational[ 21, 8], 
                      power[ xx, 
                        Rational[ 6, 11]]], 
                    Times[ 
                      Rational[ 54, 17], 
                      power[ xx, 
                        Rational[ 49, 45]]]], 
                  power[ 
                    log[ xx], -1]], xx]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox["\<\"Taking cached result\"\>",
          SequenceForm[ "Taking cached result"],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "3", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ \
xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\/Log[xx], 
                  xx] \[Equal] \[Infinity]\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 3, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Times[ 
                    Plus[ 
                      Times[ 2, 
                        power[ xx, -8]], 
                      Times[ 
                        Rational[ 5, 2], 
                        power[ xx, 
                          Rational[ -5, 7]]], 
                      Times[ 
                        Rational[ 21, 8], 
                        power[ xx, 
                          Rational[ 6, 11]]], 
                      Times[ 
                        Rational[ 54, 17], 
                        power[ xx, 
                          Rational[ 49, 45]]]], 
                    power[ 
                      log[ xx], -1]], xx], 
                DirectedInfinity[ 1]]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 \
+ \(54\ xx\^\(49/45\)\)\/17\), 35, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                Plus[ 
                  Times[ 2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ 5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ 21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ 54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]]], 35, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(2\/\
xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\
\)\/17\)\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              Plus[ 
                Times[ 2, 
                  power[ xx, -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ xx, 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ xx, 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ xx, 
                    Rational[ 49, 45]]]]]],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-\(2\/xx\^8\)\) - 5\/\(2\ xx\^\(5/7\)\) \
- \(21\ xx\^\(6/11\)\)\/8 - \(54\ xx\^\(49/45\)\)\/17\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Plus[ 
                Times[ -2, 
                  power[ xx, -8]], 
                Times[ 
                  Rational[ -5, 2], 
                  power[ xx, 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ -21, 8], 
                  power[ xx, 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ -54, 17], 
                  power[ xx, 
                    Rational[ 49, 45]]]]]],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 \
+ \(54\ xx\^\(49/45\)\)\/17\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Plus[ 
                Times[ 2, 
                  power[ xx, -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ xx, 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ xx, 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ xx, 
                    Rational[ 49, 45]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{1, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "3", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ \
xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\/\(\(-\(2\/xx\^8\)\) - 5\/\(2\
\ xx\^\(5/7\)\) - \(21\ xx\^\(6/11\)\)\/8 - \(54\ xx\^\(49/45\)\)\/17\), 
                xx]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 3, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  Plus[ 
                    Times[ 2, 
                      power[ xx, -8]], 
                    Times[ 
                      Rational[ 5, 2], 
                      power[ xx, 
                        Rational[ -5, 7]]], 
                    Times[ 
                      Rational[ 21, 8], 
                      power[ xx, 
                        Rational[ 6, 11]]], 
                    Times[ 
                      Rational[ 54, 17], 
                      power[ xx, 
                        Rational[ 49, 45]]]], 
                  power[ 
                    Plus[ 
                      Times[ -2, 
                        power[ xx, -8]], 
                      Times[ 
                        Rational[ -5, 2], 
                        power[ xx, 
                          Rational[ -5, 7]]], 
                      Times[ 
                        Rational[ -21, 8], 
                        power[ xx, 
                          Rational[ 6, 11]]], 
                      Times[ 
                        Rational[ -54, 17], 
                        power[ xx, 
                          Rational[ 49, 45]]]], -1]], xx]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of \
"\[InvisibleSpace]\(2\/xx\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ \
xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\/17\)\/\(\(-\(2\/xx\^8\)\) - 5\/\(2\
\ xx\^\(5/7\)\) - \(21\ xx\^\(6/11\)\)\/8 - \(54\ xx\^\(49/45\)\)\/17\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              Plus[ 
                Times[ 2, 
                  power[ xx, -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ xx, 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ xx, 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ xx, 
                    Rational[ 49, 45]]]], 
              power[ 
                Plus[ 
                  Times[ -2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ -5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ -21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ -54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]], -1]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(2\/xx\
\^8 + 5\/\(2\ xx\^\(5/7\)\) + \(21\ xx\^\(6/11\)\)\/8 + \(54\ xx\^\(49/45\)\)\
\/17\)\/\(\(-\(2\/xx\^8\)\) - 5\/\(2\ xx\^\(5/7\)\) - \(21\ xx\^\(6/11\)\)\/8 \
- \(54\ xx\^\(49/45\)\)\/17\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              Plus[ 
                Times[ 2, 
                  power[ xx, -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ xx, 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ xx, 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ xx, 
                    Rational[ 49, 45]]]], 
              power[ 
                Plus[ 
                  Times[ -2, 
                    power[ xx, -8]], 
                  Times[ 
                    Rational[ -5, 2], 
                    power[ xx, 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ -21, 8], 
                    power[ xx, 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ -54, 17], 
                    power[ xx, 
                      Rational[ 49, 45]]]], -1]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[xx, 
                1, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ xx, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(2\/\((\
\[ExponentialE]\^xx)\)\^8 + 5\/\(2\ \((\[ExponentialE]\^xx)\)\^\(5/7\)\) + 21\
\/8\ \((\[ExponentialE]\^xx)\)\^\(6/11\) + 54\/17\ \
\((\[ExponentialE]\^xx)\)\^\(49/45\)\)\/\(\(-\(2\/\((\[ExponentialE]\^xx)\)\^\
8\)\) - 5\/\(2\ \((\[ExponentialE]\^xx)\)\^\(5/7\)\) - 21\/8\ \((\
\[ExponentialE]\^xx)\)\^\(6/11\) - 54\/17\ \((\[ExponentialE]\^xx)\)\^\(49/45\
\)\)\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^\
xx, 3, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Times[ 
              Plus[ 
                Times[ 2, 
                  power[ 
                    power[ E, xx], -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ 
                    power[ E, xx], 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ 
                    power[ E, xx], 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ 
                    power[ E, xx], 
                    Rational[ 49, 45]]]], 
              power[ 
                Plus[ 
                  Times[ -2, 
                    power[ 
                      power[ E, xx], -8]], 
                  Times[ 
                    Rational[ -5, 2], 
                    power[ 
                      power[ E, xx], 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ -21, 8], 
                    power[ 
                      power[ E, xx], 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ -54, 17], 
                    power[ 
                      power[ E, xx], 
                      Rational[ 49, 45]]]], -1]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, xx], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^xx\),
          
          SequenceForm[ "\[Omega]=", 
            power[ E, xx]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-xx\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, xx]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^xx\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, xx], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^xx\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(2\/\((1\/\[Omega])\)\^8 + 5\/\(2\ \
\((1\/\[Omega])\)\^\(5/7\)\) + 21\/8\ \((1\/\[Omega])\)\^\(6/11\) + 54\/17\ \
\((1\/\[Omega])\)\^\(49/45\)\)\/\(\(-\(2\/\((1\/\[Omega])\)\^8\)\) - 5\/\(2\ \
\((1\/\[Omega])\)\^\(5/7\)\) - 21\/8\ \((1\/\[Omega])\)\^\(6/11\) - 54\/17\ \
\((1\/\[Omega])\)\^\(49/45\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, xx], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              Plus[ 
                Times[ 2, 
                  power[ 
                    power[ \[Omega], -1], -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ 49, 45]]]], 
              power[ 
                Plus[ 
                  Times[ -2, 
                    power[ 
                      power[ \[Omega], -1], -8]], 
                  Times[ 
                    Rational[ -5, 2], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ -21, 8], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ -54, 17], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ 49, 45]]]], -1]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(2\/\((1\/\[Omega])\)\^8 + 5\/\(2\ \
\((1\/\[Omega])\)\^\(5/7\)\) + 21\/8\ \((1\/\[Omega])\)\^\(6/11\) + 54\/17\ \
\((1\/\[Omega])\)\^\(49/45\)\)\/\(\(-\(2\/\((1\/\[Omega])\)\^8\)\) - 5\/\(2\ \
\((1\/\[Omega])\)\^\(5/7\)\) - 21\/8\ \((1\/\[Omega])\)\^\(6/11\) - 54\/17\ \
\((1\/\[Omega])\)\^\(49/45\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              Plus[ 
                Times[ 2, 
                  power[ 
                    power[ \[Omega], -1], -8]], 
                Times[ 
                  Rational[ 5, 2], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ -5, 7]]], 
                Times[ 
                  Rational[ 21, 8], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ 6, 11]]], 
                Times[ 
                  Rational[ 54, 17], 
                  power[ 
                    power[ \[Omega], -1], 
                    Rational[ 49, 45]]]], 
              power[ 
                Plus[ 
                  Times[ -2, 
                    power[ 
                      power[ \[Omega], -1], -8]], 
                  Times[ 
                    Rational[ -5, 2], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ -5, 7]]], 
                  Times[ 
                    Rational[ -21, 8], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ 6, 11]]], 
                  Times[ 
                    Rational[ -54, 17], 
                    power[ 
                      power[ \[Omega], -1], 
                      Rational[ 49, 45]]]], -1]]],
          Editable->False],
        BoxMargins->{{2, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    \($Aborted\)], "Output",
  CellLabel->"Out[17]="]
}, Open  ]],

Cell[BoxData[{
    \(\(Unprotect[Series];\)\), "\[IndentingNewLine]", 
    \(\(Series[\(2\/\((1\/\[Omega]_)\)\^8 + 5\/\(2\ \((1\/\[Omega]_)\)\^\(5/7\
\)\) + 21\/8\ \((1\/\[Omega]_)\)\^\(6/11\) + 54\/17\ \
\((1\/\[Omega]_)\)\^\(49/45\)\)\/\(\(-\(2\/\((1\/\[Omega]_)\)\^8\)\) - 5\/\(2\
\ \((1\/\[Omega]_)\)\^\(5/7\)\) - 21\/8\ \((1\/\[Omega]_)\)\^\(6/11\) - \
54\/17\ \((1\/\[Omega]_)\)\^\(49/45\)\), {\[Omega]_, 
            0, _}] = \(-1\);\)\), "\[IndentingNewLine]", 
    \(\(Protect[Series];\)\)}], "Input",
  CellLabel->"In[18]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(TestExample[StandardExamples[\([15]\)]]\)], "Input",
  CellLabel->"In[21]:="],

Cell[BoxData[
    InterpretationBox[\("8.15"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.15", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[21]:="],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"\<\"8.15\"\>", ",", 
        TagBox[
          FormBox[
            
            TagBox[\(lim\+\(xx \[Rule] \[Infinity]\)\[ThinSpace]\(4\ \
\[ExponentialE]\^\(8\ \[ExponentialE]\^\(\(54\ xx\^\(49/45\)\)\/17 + \(21\ xx\
\^\(6/11\)\)\/8 + 5\/\(2\ xx\^\(5/7\)\) + 2\/xx\^8\)\)\)\/\(9\ \
\(\(log\^\(7\/6\)\)(log(\(-\(log(4\/\(3\ xx\^\(5/14\)\))\)\)))\)\) = \
\[Infinity]\),
              HoldForm],
            "TraditionalForm"],
          TraditionalForm,
          Editable->True], ",", "\<\"Ok.\"\>", ",", "\<\"\"\>"}], 
      "}"}]], "Output",
  CellLabel->"Out[21]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Error 6.4.2", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TestExample[StandardExamples[\([20]\)], Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(Log[Log[x + \
\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + \
\[ExponentialE]\^x]]]\), x, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                power[ E, 
                  Times[ 
                    log[ 
                      log[ 
                        Plus[ x, 
                          power[ E, 
                            Times[ 
                              log[ x], 
                              log[ 
                                log[ x]]]]]]], 
                    power[ 
                      log[ 
                        log[ 
                          log[ 
                            Plus[ x, 
                              log[ x], 
                              power[ E, x]]]]], -1]]], x, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + \[ExponentialE]\^x]]]\)\),
          SequenceForm[ "Calculating limit of ", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ 
                      log[ 
                        Plus[ x, 
                          log[ x], 
                          power[ E, x]]]]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + \[ExponentialE]\^x]]]\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ 
                      log[ 
                        Plus[ x, 
                          log[ x], 
                          power[ E, x]]]]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^x, 3, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\[ExponentialE]\^\(Log[Log[x + \
\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + 1\/\
\[Omega]]]]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ 
                      log[ 
                        Plus[ x, 
                          log[ x], 
                          power[ \[Omega], -1]]]]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + 1\/\[Omega]]]]\)\),
          SequenceForm[ "Calculating power series: f=", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ 
                      log[ 
                        Plus[ x, 
                          log[ x], 
                          power[ \[Omega], -1]]]]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              
              RowBox[{\(Log[\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\) + 
                        x]\^\(1\/Log[Log[x]]\)\), 
                "+", \(Log[\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\) + x]\^\(1\
\/Log[Log[x]]\)\ \((\(-\(1\/\(x\ Log[Log[x]]\^2\)\)\) - 
                      1\/\(Log[x]\ Log[Log[x]]\^2\))\)\ Log[
                    Log[\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\) + 
                        x]]\ \[Omega]\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Power[ 
                  Log[ 
                    Plus[ 
                      Power[ E, 
                        Times[ 
                          Log[ x], 
                          Log[ 
                            Log[ x]]]], x]], 
                  Power[ 
                    Log[ 
                      Log[ x]], -1]], 
                Times[ 
                  Power[ 
                    Log[ 
                      Plus[ 
                        Power[ E, 
                          Times[ 
                            Log[ x], 
                            Log[ 
                              Log[ x]]]], x]], 
                    Power[ 
                      Log[ 
                        Log[ x]], -1]], 
                  Plus[ 
                    Times[ -1, 
                      Power[ x, -1], 
                      Power[ 
                        Log[ 
                          Log[ x]], -2]], 
                    Times[ -1, 
                      Power[ 
                        Log[ x], -1], 
                      Power[ 
                        Log[ 
                          Log[ x]], -2]]], 
                  Log[ 
                    Log[ 
                      Plus[ 
                        Power[ E, 
                          Times[ 
                            Log[ x], 
                            Log[ 
                              Log[ x]]]], x]]]]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Power[ 
                Log[ 
                  Plus[ 
                    Power[ E, 
                      Times[ 
                        Log[ x], 
                        Log[ 
                          Log[ x]]]], x]], 
                Power[ 
                  Log[ 
                    Log[ x]], -1]], 
              Times[ 
                Power[ 
                  Log[ 
                    Plus[ 
                      Power[ E, 
                        Times[ 
                          Log[ x], 
                          Log[ 
                            Log[ x]]]], x]], 
                  Power[ 
                    Log[ 
                      Log[ x]], -1]], 
                Plus[ 
                  Times[ -1, 
                    Power[ x, -1], 
                    Power[ 
                      Log[ 
                        Log[ x]], -2]], 
                  Times[ -1, 
                    Power[ 
                      Log[ x], -1], 
                    Power[ 
                      Log[ 
                        Log[ x]], -2]]], 
                Log[ 
                  Log[ 
                    Plus[ 
                      Power[ E, 
                        Times[ 
                          Log[ x], 
                          Log[ 
                            Log[ x]]]], x]]]]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[x]]\)\ \[Omega]\^0\)\[InvisibleSpace]" , \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              power[ E, 
                Times[ 
                  log[ 
                    log[ 
                      Plus[ x, 
                        power[ E, 
                          Times[ 
                            log[ x], 
                            log[ 
                              log[ x]]]]]]], 
                  power[ 
                    log[ 
                      log[ x]], -1]]], 
              power[ \[Omega], 0]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[x]]\)\),
          SequenceForm[ "Calculating limit of ", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + \[ExponentialE]\^\(Log[x]\ \
Log[Log[x]]\)]]\/Log[Log[x]]\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ E, 
                        Times[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\), 8, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                Times[ 
                  log[ x], 
                  log[ 
                    log[ x]]]], 8, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(\
Log[x]\ Log[Log[x]]\)\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              Times[ 
                log[ x], 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-Log[x]\)\ Log[Log[x]]\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x], 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ 
                log[ x], 
                log[ 
                  log[ x]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\)\[InvisibleSpace]"\
\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\[ExponentialE]\^\(Log[Log[x + 1\/\
\[Omega]]]\/Log[Log[x]]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ 
                log[ x], 
                log[ 
                  log[ x]]]], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ \[Omega], -1]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x + 1\/\[Omega]]]\/Log[Log[x]]\)\),
          SequenceForm[ "Calculating power series: f=", 
            power[ E, 
              Times[ 
                log[ 
                  log[ 
                    Plus[ x, 
                      power[ \[Omega], -1]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              
              RowBox[{\(\((Log[x]\ Log[Log[x]])\)\^\(1\/Log[Log[x]]\)\), 
                "+", \(\(x\ \((Log[x]\ Log[Log[x]])\)\^\(\(-1\) + \
1\/Log[Log[x]]\)\ \[Omega]\)\/Log[Log[x]]\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {
                Power[ 
                  Times[ 
                    Log[ x], 
                    Log[ 
                      Log[ x]]], 
                  Power[ 
                    Log[ 
                      Log[ x]], -1]], 
                Times[ x, 
                  Power[ 
                    Log[ 
                      Log[ x]], -1], 
                  Power[ 
                    Times[ 
                      Log[ x], 
                      Log[ 
                        Log[ x]]], 
                    Plus[ -1, 
                      Power[ 
                        Log[ 
                          Log[ x]], -1]]]]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {
              Power[ 
                Times[ 
                  Log[ x], 
                  Log[ 
                    Log[ x]]], 
                Power[ 
                  Log[ 
                    Log[ x]], -1]], 
              Times[ x, 
                Power[ 
                  Log[ 
                    Log[ x]], -1], 
                Power[ 
                  Times[ 
                    Log[ x], 
                    Log[ 
                      Log[ x]]], 
                  Plus[ -1, 
                    Power[ 
                      Log[ 
                        Log[ x]], -1]]]]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\
\[ExponentialE]\^\(Log[Log[x]\ Log[Log[x]]]\/Log[Log[x]]\)\ \[Omega]\^0\)\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(\(-Log[x]\)\ Log[Log[x]]\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              power[ E, 
                Times[ 
                  log[ 
                    Times[ 
                      log[ x], 
                      log[ 
                        log[ x]]]], 
                  power[ 
                    log[ 
                      log[ x]], -1]]], 
              power[ \[Omega], 0]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x], 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x]\ Log[Log[x]]]\/Log[Log[x]]\)\),
          SequenceForm[ "Calculating limit of ", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ 
                    log[ x], 
                    log[ 
                      log[ x]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[Log[x]\ Log[Log[x]]]\/Log[Log[x]]\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ 
                    log[ x], 
                    log[ 
                      log[ x]]]], 
                power[ 
                  log[ 
                    log[ x]], -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: \
f="\[InvisibleSpace]\[ExponentialE]\^\(Log[x\ Log[x]]\/Log[x]\)\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ x, 
                    log[ x]]], 
                power[ 
                  log[ x], -1]]], "\n", "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: \
f="\[InvisibleSpace]\[ExponentialE]\^\(Log[x\ \[ExponentialE]\^x]\/x\)\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^x,\
 3, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ x, 
                    power[ E, x]]], 
                power[ x, -1]]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\[ExponentialE]\^\(Log[x\/\[Omega]]\/x\)\
\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ x, 
                    power[ \[Omega], -1]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\
\[ExponentialE]\^\(Log[x\/\[Omega]]\/x\)\),
          SequenceForm[ "Calculating power series: f=", 
            power[ E, 
              Times[ 
                log[ 
                  Times[ x, 
                    power[ \[Omega], -1]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Series expansion: "\[InvisibleSpace]\((x\/\
\[Omega])\)\^\(1\/x\)\),
          SequenceForm[ "Series expansion: ", 
            Power[ 
              Times[ x, 
                Power[ \[Omega], -1]], 
              Power[ x, -1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \
\!\(\[ExponentialE]\^\(\(Log[\(\(x\/\[Omega]\)\)]\)\/x\)\)"\)], "Message",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(Log[Log[x + \
\[ExponentialE]\^\(Log[x]\ Log[Log[x]]\)]]\/Log[Log[Log[x + Log[x] + \
\[ExponentialE]\^x]]]\), x, Debug \[Rule] 1] \[Equal] Null\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  power[ E, 
                    Times[ 
                      log[ 
                        log[ 
                          Plus[ x, 
                            power[ E, 
                              Times[ 
                                log[ x], 
                                log[ 
                                  log[ x]]]]]]], 
                      power[ 
                        log[ 
                          log[ 
                            log[ 
                              Plus[ x, 
                                log[ x], 
                                power[ E, x]]]]], -1]]], x, Debug -> 1], 
                Null]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    InterpretationBox[\("8.20"\[InvisibleSpace]": "\[InvisibleSpace]"Not \
found."\),
      SequenceForm[ "8.20", ": ", "Not found."],
      Editable->False]], "Print",
  CellLabel->"From In[22]:="],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"\<\"8.20\"\>", ",", 
        TagBox[
          FormBox[
            
            TagBox[\(lim\+\(x \[Rule] \
\[Infinity]\)\[ThinSpace]\(log\^\(1\/\(log(
                              log(log(
                                  x + \[ExponentialE]\^x + log(x))))\)\)\)(
                    x + \[ExponentialE]\^\(\(log(x)\)\ \(log(log(x))\)\)) = \
\[ExponentialE]\),
              HoldForm],
            "TraditionalForm"],
          TraditionalForm,
          Editable->True], ",", "\<\"Not found.\"\>", ",", "\<\"\"\>"}], 
      "}"}]], "Output",
  CellLabel->"Out[22]="]
}, Open  ]],

Cell[BoxData[{
    \(\(Unprotect[Series];\)\), "\[IndentingNewLine]", 
    \(\(Series[\[ExponentialE]\^\(Log[x\/\[Omega]_]\/x\), {\[Omega]_, 0, 
            n_}] := E^
          Series[Log[x\/\[Omega]]\/x, {\[Omega], 0, 
              n}];\)\), "\[IndentingNewLine]", 
    \(\(Protect[Series];\)\)}], "Input",
  CellLabel->"In[23]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(TestExample[StandardExamples[\([20]\)]]\)], "Input",
  CellLabel->"In[26]:="],

Cell[BoxData[
    InterpretationBox[\("8.20"\[InvisibleSpace]": "\[InvisibleSpace]"Ok."\),
      SequenceForm[ "8.20", ": ", "Ok."],
      Editable->False]], "Print",
  CellLabel->"From In[26]:="],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"\<\"8.20\"\>", ",", 
        TagBox[
          FormBox[
            
            TagBox[\(lim\+\(x \[Rule] \
\[Infinity]\)\[ThinSpace]\(log\^\(1\/\(log(
                              log(log(
                                  x + \[ExponentialE]\^x + log(x))))\)\)\)(
                    x + \[ExponentialE]\^\(\(log(x)\)\ \(log(log(x))\)\)) = \
\[ExponentialE]\),
              HoldForm],
            "TraditionalForm"],
          TraditionalForm,
          Editable->True], ",", "\<\"Ok.\"\>", ",", "\<\"\"\>"}], 
      "}"}]], "Output",
  CellLabel->"Out[26]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Error 6.4.3", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TestExample[StandardExamples[\([5]\)], Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\), x, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                power[ E, 
                  Plus[ 
                    Times[ -1, 
                      power[ E, 
                        power[ E, x]]], 
                    power[ E, 
                      power[ E, 
                        Plus[ x, 
                          power[ E, 
                            Times[ -1, x]]]]]]], x, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\),
          SequenceForm[ "Calculating limit of ", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"\[CapitalOmega]=\"\>", "\[InvisibleSpace]", 
            RowBox[{"{", 
              RowBox[{"MrvF", "[", 
                
                RowBox[{\(\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\)\), ",", "21", ",", 
                  InterpretationBox["\[Infinity]",
                    DirectedInfinity[ 1]]}], "]"}], "}"}]}],
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    power[ E, 
                      power[ E, x]]], 
                  power[ E, 
                    power[ E, 
                      Plus[ x, 
                        power[ E, 
                          Times[ -1, x]]]]]]], 21, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(\(-\
\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Plus[ 
                power[ E, 
                  power[ E, x]], 
                Times[ -1, 
                  power[ E, 
                    power[ E, 
                      Plus[ x, 
                        power[ E, 
                          Times[ -1, x]]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\
\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(\(-1\) + \[ExponentialE]\)\
\/\(1 - \[ExponentialE]\)\[InvisibleSpace]" A="\[InvisibleSpace]\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) - \(\((\(-1\) \
+ \[ExponentialE])\)\ \((\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\))\)\)\/\(1 - \[ExponentialE]\) + \[ExponentialE]\^\
\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\),
          SequenceForm[ "c=", 
            Times[ 
              Power[ 
                Plus[ 1, 
                  Times[ -1, E]], -1], 
              Plus[ -1, E]], " A=", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                Times[ -1, 
                  Power[ 
                    Plus[ 1, 
                      Times[ -1, E]], -1], 
                  Plus[ -1, E], 
                  Plus[ 
                    power[ E, 
                      power[ E, x]], 
                    Times[ -1, 
                      power[ E, 
                        power[ E, 
                          Plus[ x, 
                            power[ E, 
                              Times[ -1, x]]]]]]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\
\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) - \(\((\(-1\) \
+ \[ExponentialE])\)\ \((\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\))\)\)\/\(1 - \[ExponentialE]\) + \[ExponentialE]\^\
\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\ \[Omega]\^\(\(\(-1\) \
+ \[ExponentialE]\)\/\(1 - \[ExponentialE]\)\)\)\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(\[ExponentialE]\^\(\(-\[ExponentialE]\
\^\(\[ExponentialE]\^x\)\) - \(\((\(-1\) + \[ExponentialE])\)\ \((\
\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\))\)\)\/\(1 - \[ExponentialE]\) + \[ExponentialE]\^\
\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\ \[Omega]\^\(\(\(-1\) \
+ \[ExponentialE]\)\/\(1 - \[ExponentialE]\)\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  power[ E, 
                    power[ E, x]]], 
                power[ E, 
                  power[ E, 
                    Plus[ x, 
                      power[ E, 
                        Times[ -1, x]]]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    power[ E, 
                      power[ E, x]]], 
                  Times[ -1, 
                    Power[ 
                      Plus[ 1, 
                        Times[ -1, E]], -1], 
                    Plus[ -1, E], 
                    Plus[ 
                      power[ E, 
                        power[ E, x]], 
                      Times[ -1, 
                        power[ E, 
                          power[ E, 
                            Plus[ x, 
                              power[ E, 
                                Times[ -1, x]]]]]]]], 
                  power[ E, 
                    power[ E, 
                      Plus[ x, 
                        power[ E, 
                          Times[ -1, x]]]]]]], 
              power[ \[Omega], 
                Times[ 
                  Power[ 
                    Plus[ 1, 
                      Times[ -1, E]], -1], 
                  Plus[ -1, E]]]], "\n", "f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    power[ E, 
                      power[ E, x]]], 
                  Times[ -1, 
                    Power[ 
                      Plus[ 1, 
                        Times[ -1, E]], -1], 
                    Plus[ -1, E], 
                    Plus[ 
                      power[ E, 
                        power[ E, x]], 
                      Times[ -1, 
                        power[ E, 
                          power[ E, 
                            Plus[ x, 
                              power[ E, 
                                Times[ -1, x]]]]]]]], 
                  power[ E, 
                    power[ E, 
                      Plus[ x, 
                        power[ E, 
                          Times[ -1, x]]]]]]], 
              power[ \[Omega], 
                Times[ 
                  Power[ 
                    Plus[ 1, 
                      Times[ -1, E]], -1], 
                  Plus[ -1, E]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\(\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) - \(\((\(-1\) \
+ \[ExponentialE])\)\ \((\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\))\)\)\/\(1 - \[ExponentialE]\) + \[ExponentialE]\^\
\(\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\ \[Omega]\^\(\(\(-1\) \
+ \[ExponentialE]\)\/\(1 - \[ExponentialE]\)\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    power[ E, 
                      power[ E, x]]], 
                  Times[ -1, 
                    Power[ 
                      Plus[ 1, 
                        Times[ -1, E]], -1], 
                    Plus[ -1, E], 
                    Plus[ 
                      power[ E, 
                        power[ E, x]], 
                      Times[ -1, 
                        power[ E, 
                          power[ E, 
                            Plus[ x, 
                              power[ E, 
                                Times[ -1, x]]]]]]]], 
                  power[ E, 
                    power[ E, 
                      Plus[ x, 
                        power[ E, 
                          Times[ -1, x]]]]]]], 
              power[ \[Omega], 
                Times[ 
                  Power[ 
                    Plus[ 1, 
                      Times[ -1, E]], -1], 
                  Plus[ -1, E]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Series expansion: "\[InvisibleSpace]Series[\
\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\[ExponentialE]\^x\)\) + \
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^\(-x\) + x\)\) - \(\((\
\(-1\) + \[ExponentialE])\)\ \((\[ExponentialE]\^\(\[ExponentialE]\^x\) - \
\[ExponentialE]\^\(\[ExponentialE]\^\(\[ExponentialE]\^\(-x\) + \
x\)\))\)\)\/\(1 - \[ExponentialE]\)\)\ \[Omega]\^\(\(\(-1\) + \[ExponentialE]\
\)\/\(1 - \[ExponentialE]\)\), {\[Omega], 0, 1}]\),
          SequenceForm[ "Series expansion: ", 
            Series[ 
              Times[ 
                Power[ E, 
                  Plus[ 
                    Times[ -1, 
                      Power[ E, 
                        Power[ E, x]]], 
                    Power[ E, 
                      Power[ E, 
                        Plus[ 
                          Power[ E, 
                            Times[ -1, x]], x]]], 
                    Times[ -1, 
                      Power[ 
                        Plus[ 1, 
                          Times[ -1, E]], -1], 
                      Plus[ -1, E], 
                      Plus[ 
                        Power[ E, 
                          Power[ E, x]], 
                        Times[ -1, 
                          Power[ E, 
                            Power[ E, 
                              Plus[ 
                                Power[ E, 
                                  Times[ -1, x]], x]]]]]]]], 
                Power[ \[Omega], 
                  Times[ 
                    Power[ 
                      Plus[ 1, 
                        Times[ -1, E]], -1], 
                    Plus[ -1, E]]]], {\[Omega], 0, 1}]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \!\(\[ExponentialE]\^\(\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\)\) - \(\(\((\(\(-1\)\) + \[ExponentialE])\)\)\\ \(\((\
\[ExponentialE]\^\(\[ExponentialE]\^x\) - \[ExponentialE]\^\(\[LeftSkeleton] \
1 \[RightSkeleton]\))\)\)\)\/\(1 - \[ExponentialE]\) + \[ExponentialE]\^\(\
\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\)\)\)\\ \[Omega]\^\(\(\(\(-1\)\
\) + \[ExponentialE]\)\/\(1 - \[ExponentialE]\)\)\)"\)], "Message",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\), x, Debug \[Rule] 1] == Null\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  power[ E, 
                    Plus[ 
                      Times[ -1, 
                        power[ E, 
                          power[ E, x]]], 
                      power[ E, 
                        power[ E, 
                          Plus[ x, 
                            power[ E, 
                              Times[ -1, x]]]]]]], x, Debug -> 1], Null]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    InterpretationBox[\("8.5"\[InvisibleSpace]": "\[InvisibleSpace]"Not \
found."\),
      SequenceForm[ "8.5", ": ", "Not found."],
      Editable->False]], "Print",
  CellLabel->"From In[17]:="],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"\<\"8.5\"\>", ",", 
        TagBox[
          FormBox[
            TagBox[
              RowBox[{
                RowBox[{
                  UnderscriptBox["lim", 
                    RowBox[{"x", "\[Rule]", 
                      InterpretationBox["\[Infinity]",
                        DirectedInfinity[ 1]]}]], 
                  "\[ThinSpace]", \(\[ExponentialE]\^\(\(-\[ExponentialE]\^\(\
\[ExponentialE]\^x\)\) + \[ExponentialE]\^\(\[ExponentialE]\^\(x + \
\[ExponentialE]\^\(-x\)\)\)\)\)}], "=", 
                InterpretationBox["\[Infinity]",
                  DirectedInfinity[ 1]]}],
              HoldForm],
            "TraditionalForm"],
          TraditionalForm,
          Editable->True], ",", "\<\"Not found.\"\>", ",", "\<\"\"\>"}], 
      "}"}]], "Output",
  CellLabel->"Out[17]="]
}, Open  ]],

Cell["\<\
This works fine in Mathematica 5.0, but fails in Mathematica 4.2\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Error 6.4.4", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(TestExample[StandardExamples[\([12]\)], Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(Log[\[ExponentialE]\^\(x\ \
Log[3]\) + \[ExponentialE]\^\(x\ Log[5]\)]\/x\), x, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                power[ E, 
                  Times[ 
                    log[ 
                      Plus[ 
                        power[ E, 
                          Times[ x, 
                            log[ 3]]], 
                        power[ E, 
                          Times[ x, 
                            log[ 5]]]]], 
                    power[ x, -1]]], x, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[\[ExponentialE]\^\(x\ Log[3]\) + \[ExponentialE]\^\(x\ \
Log[5]\)]\/x\)\),
          SequenceForm[ "Calculating limit of ", 
            power[ E, 
              Times[ 
                log[ 
                  Plus[ 
                    power[ E, 
                      Times[ x, 
                        log[ 3]]], 
                    power[ E, 
                      Times[ x, 
                        log[ 5]]]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\
\[ExponentialE]\^\(Log[\[ExponentialE]\^\(x\ Log[3]\) + \[ExponentialE]\^\(x\ \
Log[5]\)]\/x\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            power[ E, 
              Times[ 
                log[ 
                  Plus[ 
                    power[ E, 
                      Times[ x, 
                        log[ 3]]], 
                    power[ E, 
                      Times[ x, 
                        log[ 5]]]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"\[CapitalOmega]=\"\>", "\[InvisibleSpace]", 
            RowBox[{"{", 
              RowBox[{
                RowBox[{"MrvF", "[", 
                  RowBox[{\(\[ExponentialE]\^\(x\ Log[5]\)\), ",", "6", ",", 
                    InterpretationBox["\[Infinity]",
                      DirectedInfinity[ 1]]}], "]"}], ",", 
                RowBox[{"MrvF", "[", 
                  RowBox[{\(\[ExponentialE]\^\(x\ Log[3]\)\), ",", "6", ",", 
                    InterpretationBox["\[Infinity]",
                      DirectedInfinity[ 1]]}], "]"}]}], "}"}]}],
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                Times[ x, 
                  log[ 5]]], 6, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ x, 
                  log[ 3]]], 6, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(x\ \
Log[5]\)\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              Times[ x, 
                log[ 5]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-x\)\ Log[5]\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x, 
                log[ 5]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(x\ Log[3]\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ x, 
                log[ 3]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-\(Log[3]\/Log[
                    5]\)\)\[InvisibleSpace]" A="\[InvisibleSpace]\
\[ExponentialE]\^\(x\ Log[3] - \(x\ Log[5]\ Log[3]\)\/Log[5]\)\),
          SequenceForm[ "c=", 
            Times[ -1, 
              Log[ 3], 
              Power[ 
                Log[ 5], -1]], " A=", 
            power[ E, 
              Plus[ 
                Times[ x, 
                  log[ 3]], 
                Times[ -1, x, 
                  log[ 5], 
                  Log[ 3], 
                  Power[ 
                    Log[ 5], -1]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(x\
\ Log[3]\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(x\ \
Log[3] - \(x\ Log[5]\ Log[3]\)\/Log[5]\)\ \[Omega]\^\(-\(Log[3]\/Log[5]\)\)\)\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\[ExponentialE]\^\(Log[\[ExponentialE]\
\^\(x\ Log[5]\) + \[ExponentialE]\^\(x\ Log[3] - \(x\ Log[5]\ \
Log[3]\)\/Log[5]\)\ \[Omega]\^\(-\(Log[3]\/Log[5]\)\)]\/x\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ x, 
                log[ 3]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ x, 
                    log[ 3]], 
                  Times[ -1, x, 
                    log[ 5], 
                    Log[ 3], 
                    Power[ 
                      Log[ 5], -1]]]], 
              power[ \[Omega], 
                Times[ -1, 
                  Log[ 3], 
                  Power[ 
                    Log[ 5], -1]]]], "\n", "f=", 
            power[ E, 
              Times[ 
                log[ 
                  Plus[ 
                    power[ E, 
                      Times[ x, 
                        log[ 5]]], 
                    Times[ 
                      power[ E, 
                        Plus[ 
                          Times[ x, 
                            log[ 3]], 
                          Times[ -1, x, 
                            log[ 5], 
                            Log[ 3], 
                            Power[ 
                              Log[ 5], -1]]]], 
                      power[ \[Omega], 
                        Times[ -1, 
                          Log[ 3], 
                          Power[ 
                            Log[ 5], -1]]]]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(x\ Log[5]\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ x, 
                log[ 5]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^\(x\
\ Log[5]\)\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\[ExponentialE]\^\(Log[1\/\[Omega] + \
\[ExponentialE]\^\(x\ Log[3] - \(x\ Log[5]\ Log[3]\)\/Log[5]\)\ \[Omega]\^\(-\
\(Log[3]\/Log[5]\)\)]\/x\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ x, 
                log[ 5]]], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            power[ E, 
              Times[ 
                log[ 
                  Plus[ 
                    power[ \[Omega], -1], 
                    Times[ 
                      power[ E, 
                        Plus[ 
                          Times[ x, 
                            log[ 3]], 
                          Times[ -1, x, 
                            log[ 5], 
                            Log[ 3], 
                            Power[ 
                              Log[ 5], -1]]]], 
                      power[ \[Omega], 
                        Times[ -1, 
                          Log[ 3], 
                          Power[ 
                            Log[ 5], -1]]]]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\
\[ExponentialE]\^\(Log[1\/\[Omega] + \[ExponentialE]\^\(x\ Log[3] - \(x\ \
Log[5]\ Log[3]\)\/Log[5]\)\ \[Omega]\^\(-\(Log[3]\/Log[5]\)\)]\/x\)\),
          SequenceForm[ "Calculating power series: f=", 
            power[ E, 
              Times[ 
                log[ 
                  Plus[ 
                    power[ \[Omega], -1], 
                    Times[ 
                      power[ E, 
                        Plus[ 
                          Times[ x, 
                            log[ 3]], 
                          Times[ -1, x, 
                            log[ 5], 
                            Log[ 3], 
                            Power[ 
                              Log[ 5], -1]]]], 
                      power[ \[Omega], 
                        Times[ -1, 
                          Log[ 3], 
                          Power[ 
                            Log[ 5], -1]]]]]], 
                power[ x, -1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Series expansion: \
"\[InvisibleSpace]Series[\((3\^x + 1\/\[Omega])\)\^\(1\/x\), {\[Omega], 0, 
                1}]\),
          SequenceForm[ "Series expansion: ", 
            Series[ 
              Power[ 
                Plus[ 
                  Power[ 3, x], 
                  Power[ \[Omega], -1]], 
                Power[ x, -1]], {\[Omega], 0, 1}]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \!\(\[ExponentialE]\^\(\(Log[\(\(1\/\[Omega] + \(\(\
\[ExponentialE]\^\(\[LeftSkeleton] 1 \[RightSkeleton]\)\\ \[Omega]\^\(-\(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\)\)\)\)\)\)]\)\/x\)\)"\)], "Message",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\[ExponentialE]\^\(Log[\[ExponentialE]\^\(x\ \
Log[3]\) + \[ExponentialE]\^\(x\ Log[5]\)]\/x\), x, Debug \[Rule] 1] == 
                Null\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  power[ E, 
                    Times[ 
                      log[ 
                        Plus[ 
                          power[ E, 
                            Times[ x, 
                              log[ 3]]], 
                          power[ E, 
                            Times[ x, 
                              log[ 5]]]]], 
                      power[ x, -1]]], x, Debug -> 1], Null]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    InterpretationBox[\("8.12"\[InvisibleSpace]": "\[InvisibleSpace]"Not \
found."\),
      SequenceForm[ "8.12", ": ", "Not found."],
      Editable->False]], "Print",
  CellLabel->"From In[18]:="],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{"\<\"8.12\"\>", ",", 
        TagBox[
          FormBox[
            TagBox[
              RowBox[{
                RowBox[{
                  UnderscriptBox["lim", 
                    RowBox[{"x", "\[Rule]", 
                      InterpretationBox["\[Infinity]",
                        DirectedInfinity[ 1]]}]], 
                  "\[ThinSpace]", \(\((3\^x + 5\^x)\)\^\(1\/x\)\)}], "=", 
                "5"}],
              HoldForm],
            "TraditionalForm"],
          TraditionalForm,
          Editable->True], ",", "\<\"Not found.\"\>", ",", "\<\"\"\>"}], 
      "}"}]], "Output",
  CellLabel->"Out[18]="]
}, Open  ]],

Cell["\<\
This works fine in Mathematica 5.0, but fails in Mathematica 4.2\
\>", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Statistics until here", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimitGetCacheStats[]\)], "Input",
  CellLabel->"In[27]:="],

Cell[BoxData[
    \({CacheHits \[Rule] 2135, CacheMisses \[Rule] 355}\)], "Output",
  CellLabel->"Out[27]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample 6.5", "Section"],

Cell[BoxData[
    \(\(\[CapitalDelta] = \@\(b\^2 - 4\ a\ c\);\)\)], "Input",
  CellLabel->"In[28]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(f = \[CapitalDelta]^n*
        Pochhammer[d/\((2*a)\) - \((2*a*e - b*d)\)/\((2*a*\[CapitalDelta])\), 
            n]/\((\((\(-a\))\)^n*Pochhammer[n - 1 + d/a, n])\)\)], "Input",
  CellLabel->"In[29]:="],

Cell[BoxData[
    \(\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ \
Pochhammer[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\ \@\(b\^2 - 4\ a\ \
c\)\), n]\)\/Pochhammer[\(-1\) + d\/a + n, n]\)], "Output",
  CellLabel->"Out[29]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(f = f /. Pochhammer[x_, n_] \[Rule] Gamma[x + n]/Gamma[x]\)], "Input",
  CellLabel->"In[30]:="],

Cell[BoxData[
    \(\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ Gamma[\(-1\) + d\
\/a + n]\ Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\ \@\(b\^2 - 4\ \
a\ c\)\) + n]\)\/\(Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\ \@\(b\
\^2 - 4\ a\ c\)\)]\ Gamma[\(-1\) + d\/a + 2\ n]\)\)], "Output",
  CellLabel->"Out[30]="]
}, Open  ]],

Cell["\<\
Task: calculate limit for a\[Rule]0, a>0, d>0.\
\>", "Text"],

Cell[BoxData[
    \(Unprotect[Sign]; Sign[d] = 1; Protect[Sign];\)], "Input",
  CellLabel->"In[31]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, a \[Rule] 0, Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[32]:="],

Cell[BoxData[
    \(MrvLimit::"UnsupportedArgument" \(\(:\)\(\ \)\) 
      "MrvLimit does not support \!\(Gamma[a]\) for \!\(a \[Rule] \(\(\
\[Infinity]\\ \(\(Sign[\(\(d\/2 + \(\@\(b\^2\)\\ d\)\/\(2\\ \
b\)\)\)]\)\)\)\)\), appearing in \!\(Gamma[\(\(\(a\\ d\)\/2 + n - \(a\\ \(\((\
\(\(\(\(-b\)\)\\ d\)\) + \(2\\ e\)\/a)\)\)\)\/\(2\\ \@\(b\^2 - \(4\\ c\)\/a\)\
\)\)\)]\)"\)], "Message",
  CellLabel->"From In[32]:="],

Cell[BoxData[
    \(MrvLimit::"UnsupportedArgument" \(\(:\)\(\ \)\) 
      "MrvLimit does not support \!\(Gamma[a]\) for \!\(a \[Rule] \(\(\
\[Infinity]\\ \(\(Sign[\(\(d\/2 + \(\@\(b\^2\)\\ d\)\/\(2\\ \
b\)\)\)]\)\)\)\)\), appearing in \!\(Gamma[\(\(\(a\\ d\)\/2 - \(a\\ \(\((\(\(\
\(\(-b\)\)\\ d\)\) + \(2\\ e\)\/a)\)\)\)\/\(2\\ \@\(b\^2 - \(4\\ c\)\/a\)\)\)\
\)]\)"\)], "Message",
  CellLabel->"From In[32]:="],

Cell[BoxData[
    TagBox[\(MrvLimit[\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ \
Gamma[\(-1\) + d\/a + n]\ Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\
\ \@\(b\^2 - 4\ a\ c\)\) + n]\)\/\(Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ \
e\)\/\(2\ a\ \@\(b\^2 - 4\ a\ c\)\)]\ Gamma[\(-1\) + d\/a + 2\ n]\), 
        a \[Rule] 0, Direction \[Rule] \(-1\)]\),
      HoldForm]], "Output",
  CellLabel->"Out[32]="]
}, Open  ]],

Cell["Check the case b>0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] = 1; 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 = b; Protect[Power];\)}], "Input",
  CellLabel->"In[33]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, a \[Rule] 0, Direction \[Rule] \(-1\), 
      Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\), a, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  gamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  gamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]], 
                  power[ 
                    gamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]], -1], 
                  power[ 
                    gamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]], -1], 
                  power[ 
                    Times[ -1, 
                      power[ a, -1]], 
                    Times[ -1, n]], 
                  power[ 
                    Plus[ 
                      Power[ b, 2], 
                      Times[ -4, c, 
                        power[ a, -1]]], 
                    Times[ 
                      Rational[ 1, 2], n]]], a, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of \
"\[InvisibleSpace]\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ d\)\/2 + n - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              gamma[ 
                Plus[ -1, 
                  Times[ a, d], n]], 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ 
                gamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]], -1], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(\
\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\ \
\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\ \
\[ExponentialE]\^\(-LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\
\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \[ExponentialE]\^LogGamma[\(a\ d\)\/2 \
+ n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ E, 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], n, 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n], 9, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\), 13, 
                0], MrvF[\[ExponentialE]\^LogGamma[\(a\ d\)\/2 + n - \(a\ \((\
\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)], 
                41, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(-LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ \
d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\), 42, 0]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 9, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 13, 0], 
            MrvF[ 
              power[ E, 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], n, 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]], 41, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 42, 0]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\
LogGamma[\(-1\) + a\ d + n]\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + n]\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(-LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\
\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \
\(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, 
              Plus[ 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ \
d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\[InvisibleSpace]"\
\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \
\(4\ c\)\/a\)\)]\)\ \[Omega]\^1\)\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\
\[InvisibleSpace]\(\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\ \
\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(a\ d\)\/2 - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\[ExponentialE]\^LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \[Omega]\^1\ \((\(-\(1\/a\)\))\
\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ \[Omega], 1]], "\n", "f=", 
            Times[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ E, 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], n, 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]], 
              power[ \[Omega], 1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\[InvisibleSpace]" to \
A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              loggamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + n]\) + \
LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "c=", -1, " A=", 
            power[ E, 
              Plus[ 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]]], 
                loggamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], n, 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ \
d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\[InvisibleSpace]"\
\[Rule]"\[InvisibleSpace]\[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + n]\) \
+ LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\
\^2 - \(4\ c\)\/a\)\)]\)\/\[Omega]\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\
\[InvisibleSpace]\(\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\ \
\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(a\ d\)\/2 - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + n]\) + LogGamma[\(a\ d\)\/2 + \
n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\[Omega]\^1\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\/\[Omega]\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              loggamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ \[Omega], -1]], "\n", "f=", 
            Times[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ \[Omega], -1], 
              power[ \[Omega], 1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\[InvisibleSpace]" to A*\
\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(-1\) + a\ d + 2\ n]\)\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, 
              Plus[ 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\
\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ n]\)\ \[Omega]\^1\)\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\(\(1\/\[Omega]\)\((\[ExponentialE]\^\
LogGamma[\(-1\) + a\ d + n]\ \[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(-1\) + a\ d + 2\ n]\)\ \[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + \
n] - LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + \
n]\) + LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \((\[Omega]\^1)\)\^2\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\))\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], 1]], "\n", "f=", 
            Times[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ \[Omega], -1], 
              Power[ 
                power[ \[Omega], 1], 2], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\[InvisibleSpace]" to \
A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\) + \
a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ n]\)\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(a\ d\)\/2 - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + n]\) + LogGamma[\(a\ d\)\/2 + \
n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\((1\/\[Omega])\)\^2\ \((\[Omega]\^1)\)\^2\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\
\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              Power[ 
                power[ \[Omega], -1], 2], 
              Power[ 
                power[ \[Omega], 1], 2], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\(\
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(a\ d\)\/2 - \
\(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\[ExponentialE]\^\(\(-LogGamma[\(-1\) + a\ d + n]\) + LogGamma[\(a\ d\)\/2 + \
n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\((1\/\[Omega])\)\^2\ \((\[Omega]\^1)\)\^2\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\
\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]]]], 
              power[ E, 
                Plus[ 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              Power[ 
                power[ \[Omega], -1], 2], 
              Power[ 
                power[ \[Omega], 1], 2], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Series expansion: \
"\[InvisibleSpace]\(\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\ \[ExponentialE]\^\(\(-LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\
\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\) + \
LogGamma[\(-1\) + a\ d + n] + LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\) + n] - LogGamma[\(-1\) + a\ d + \
2\ n]\)\)\),
          SequenceForm[ "Series expansion: ", 
            Times[ 
              Power[ 
                Times[ -1, 
                  Power[ a, -1]], 
                Times[ -1, n]], 
              Power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, 
                    Power[ a, -1], c]], 
                Times[ 
                  Rational[ 1, 2], n]], 
              Power[ E, 
                Plus[ 
                  Times[ -1, 
                    LogGamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, 
                                Power[ a, -1], c]], 
                            Rational[ -1, 2]], 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, 
                              Power[ a, -1], e]]]]]], 
                  LogGamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  LogGamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, 
                              Power[ a, -1], c]], 
                          Rational[ -1, 2]], 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, 
                            Power[ a, -1], e]]], n]], 
                  Times[ -1, 
                    LogGamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(\
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n] - LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)] + LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \
\(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \[Omega]\^0\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\[InvisibleSpace]" , \[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\
\(-1\) + a\ d + n]\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ \[Omega], 0], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(\
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n] - LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)] + LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \
\(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of "\[InvisibleSpace]\(\
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n] - LogGamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/a\)\)] + LogGamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \
\(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[a, 
                1, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ a, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: \
f="\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\ \
\[ExponentialE]\^a] - LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a] - \
LogGamma[\(d\ \[ExponentialE]\^a\)\/2 - \(\[ExponentialE]\^a\ \((\(-b\)\ d + \
\(2\ e\)\/\[ExponentialE]\^a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/\[ExponentialE]\^a\)\)] + LogGamma[n + \(d\ \[ExponentialE]\^a\)\/2 - \(\
\[ExponentialE]\^a\ \((\(-b\)\ d + \(2\ e\)\/\[ExponentialE]\^a)\)\)\/\(2\ \@\
\(b\^2 - \(4\ c\)\/\[ExponentialE]\^a\)\)]\)\ \((\(-\(1\/\[ExponentialE]\^a\)\
\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/\[ExponentialE]\^a)\)\^\(n/2\)\)\
\[InvisibleSpace]"\n\
"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^a,\
 3, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ E, a]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ E, a]]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], d, 
                          power[ E, a]], 
                        Times[ 
                          Rational[ -1, 2], 
                          power[ E, a], 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ 
                                power[ E, a], -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ 
                                  power[ E, a], -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ n, 
                      Times[ 
                        Rational[ 1, 2], d, 
                        power[ E, a]], 
                      Times[ 
                        Rational[ -1, 2], 
                        power[ E, a], 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ 
                              power[ E, a], -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ 
                                power[ E, a], -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ E, a], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ E, a], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, a], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^a\),
          SequenceForm[ "\[Omega]=", 
            power[ E, a]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-a\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, a]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^a\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, a], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^a\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\) + \
n + d\/\[Omega]] - LogGamma[\(-1\) + 2\ n + d\/\[Omega]] - LogGamma[d\/\(2\ \
\[Omega]\) - \(\(-b\)\ d + \(2\ e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \
\@\(b\^2 - \(4\ c\)\/\(1\/\[Omega]\)\)\)] + LogGamma[n + d\/\(2\ \[Omega]\) - \
\(\(-b\)\ d + \(2\ e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ c\)\
\/\(1\/\[Omega]\)\)\)]\)\ \((\(-\(1\/\(1\/\[Omega]\)\)\))\)\^\(-n\)\ \((b\^2 \
- \(4\ c\)\/\(1\/\[Omega]\))\)\^\(n/2\)\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, a], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ \[Omega], -1]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ \[Omega], -1]]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], d, 
                          power[ \[Omega], -1]], 
                        Times[ 
                          Rational[ -1, 2], 
                          power[ \[Omega], -1], 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ 
                                power[ \[Omega], -1], -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ 
                                  power[ \[Omega], -1], -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ n, 
                      Times[ 
                        Rational[ 1, 2], d, 
                        power[ \[Omega], -1]], 
                      Times[ 
                        Rational[ -1, 2], 
                        power[ \[Omega], -1], 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ 
                              power[ \[Omega], -1], -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ 
                                power[ \[Omega], -1], -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ \[Omega], -1], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ \[Omega], -1], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\(\
\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\/\[Omega]] - LogGamma[\(-1\) + 2\ \
n + d\/\[Omega]] - LogGamma[d\/\(2\ \[Omega]\) - \(\(-b\)\ d + \(2\ \
e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ c\)\/\(1\/\[Omega]\)\)\
\)] + LogGamma[n + d\/\(2\ \[Omega]\) - \(\(-b\)\ d + \(2\ e\)\/\(1\/\[Omega]\
\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ c\)\/\(1\/\[Omega]\)\)\)]\)\ \((\(-\(1\/\
\(1\/\[Omega]\)\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/\(1\/\[Omega]\))\)\^\(n/2\
\)\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ \[Omega], -1]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ \[Omega], -1]]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], d, 
                          power[ \[Omega], -1]], 
                        Times[ 
                          Rational[ -1, 2], 
                          power[ \[Omega], -1], 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ 
                                power[ \[Omega], -1], -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ 
                                  power[ \[Omega], -1], -1]]], 
                            Rational[ -1, 2]]]]]], 
                  loggamma[ 
                    Plus[ n, 
                      Times[ 
                        Rational[ 1, 2], d, 
                        power[ \[Omega], -1]], 
                      Times[ 
                        Rational[ -1, 2], 
                        power[ \[Omega], -1], 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ 
                              power[ \[Omega], -1], -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ 
                                power[ \[Omega], -1], -1]]], 
                          Rational[ -1, 2]]]]]]], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ \[Omega], -1], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ \[Omega], -1], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            RowBox[{\(\((\(-\[Omega]\))\)\^\(-n\)\), " ", 
              RowBox[{"(", 
                InterpretationBox[
                  
                  RowBox[{\(\((b\^2)\)\^\(n/2\)\), 
                    "+", \(\((\(-2\)\ \((b\^2)\)\^\(\(-1\) + n\/2\)\ c\ n + \
\((b\^2)\)\^\(n/2\)\ \((\(c\ n\)\/b\^2 + n\/d - \(e\ n\)\/\(b\ d\) - 
                                n\^2\/d)\))\)\ \[Omega]\), "+", 
                    InterpretationBox[\(O[\[Omega]]\^2\),
                      SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                      Editable->False]}],
                  SeriesData[ \[Omega], 0, {
                    Power[ 
                      Power[ b, 2], 
                      Times[ 
                        Rational[ 1, 2], n]], 
                    Plus[ 
                      Times[ -2, 
                        Power[ 
                          Power[ b, 2], 
                          Plus[ -1, 
                            Times[ 
                              Rational[ 1, 2], n]]], c, n], 
                      Times[ 
                        Power[ 
                          Power[ b, 2], 
                          Times[ 
                            Rational[ 1, 2], n]], 
                        Plus[ 
                          Times[ 
                            Power[ b, -2], c, n], 
                          Times[ 
                            Power[ d, -1], n], 
                          Times[ -1, 
                            Power[ b, -1], 
                            Power[ d, -1], e, n], 
                          Times[ -1, 
                            Power[ d, -1], 
                            Power[ n, 2]]]]]}, 0, 2, 1],
                  Editable->False], ")"}]}]}],
          SequenceForm[ "Series expansion: ", 
            Times[ 
              Power[ 
                Times[ -1, \[Omega]], 
                Times[ -1, n]], 
              SeriesData[ \[Omega], 0, {
                Power[ 
                  Power[ b, 2], 
                  Times[ 
                    Rational[ 1, 2], n]], 
                Plus[ 
                  Times[ -2, 
                    Power[ 
                      Power[ b, 2], 
                      Plus[ -1, 
                        Times[ 
                          Rational[ 1, 2], n]]], c, n], 
                  Times[ 
                    Power[ 
                      Power[ b, 2], 
                      Times[ 
                        Rational[ 1, 2], n]], 
                    Plus[ 
                      Times[ 
                        Power[ b, -2], c, n], 
                      Times[ 
                        Power[ d, -1], n], 
                      Times[ -1, 
                        Power[ b, -1], 
                        Power[ d, -1], e, n], 
                      Times[ -1, 
                        Power[ d, -1], 
                        Power[ n, 2]]]]]}, 0, 2, 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \!\(\[ExponentialE]\^\(\(\(LogGamma[\(\(\(\(-1\)\) + \
n + d\/\[Omega]\)\)]\)\) - \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) - \(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\) + \(\(LogGamma[\(\(n + d\/\(\
\[LeftSkeleton] 1 \[RightSkeleton]\) - \(\(\(\(\(-b\)\)\\ d\)\) + \(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\/\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)\/\(2\\ \[Omega]\\ \@\(\(\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\) - \(\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)\)\)\)\)]\)\)\)\\ \((\(-\(\(1\/\(1\/\[Omega]\)\)\)\))\)\^\
\(-n\)\\ \((b\^2 - \(4\\ c\)\/\(1\/\[Omega]\))\)\^\(n/2\)\)"\)], "Message",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\), a, Debug \[Rule] 1] \[Equal] 
                Null\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Times[ 
                    gamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]], 
                    gamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], n, 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]], 
                    power[ 
                      gamma[ 
                        Plus[ -1, 
                          Times[ a, d], 
                          Times[ 2, n]]], -1], 
                    power[ 
                      gamma[ 
                        Plus[ 
                          Times[ 
                            Rational[ 1, 2], a, d], 
                          Times[ 
                            Rational[ -1, 2], a, 
                            Plus[ 
                              Times[ -1, b, d], 
                              Times[ 2, e, 
                                power[ a, -1]]], 
                            power[ 
                              Plus[ 
                                Power[ b, 2], 
                                Times[ -4, c, 
                                  power[ a, -1]]], 
                              Rational[ -1, 2]]]]], -1], 
                    power[ 
                      Times[ -1, 
                        power[ a, -1]], 
                      Times[ -1, n]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Times[ 
                        Rational[ 1, 2], n]]], a, Debug -> 1], Null]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[35]:="],

Cell[BoxData[
    TagBox[\(MrvLimit[\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ \
Gamma[\(-1\) + d\/a + n]\ Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\
\ \@\(b\^2 - 4\ a\ c\)\) + n]\)\/\(Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ \
e\)\/\(2\ a\ \@\(b\^2 - 4\ a\ c\)\)]\ Gamma[\(-1\) + d\/a + 2\ n]\), 
        a \[Rule] 0, Direction \[Rule] \(-1\), Debug \[Rule] 1]\),
      HoldForm]], "Output",
  CellLabel->"Out[35]="]
}, Open  ]],

Cell[TextData[{
  "Pre-compensate ",
  Cell[BoxData[
      \(\(\(\[InvisibleSpace]\)\(\((\(-\[Omega]\))\)\^\(-n\)\)\)\)]],
  "factor:"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f*\((\(-a\))\)^n, a \[Rule] 0, 
      Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[36]:="],

Cell[BoxData[
    \(\((b\^2)\)\^\(n/2\)\)], "Output",
  CellLabel->"Out[36]="]
}, Open  ]],

Cell["Now check case b<0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] = \(-1\); 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 = \(-b\); 
    Protect[Power];\), "\[IndentingNewLine]", 
    \(\(MrvLimitClearCache[];\)\)}], "Input",
  CellLabel->"In[37]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, a \[Rule] 0, Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[40]:="],

Cell[BoxData[
    \(MrvLimit::"UnknownSign" \(\(:\)\(\ \)\) 
      "Cannot determine sign: \!\(n\\ \(\((\(-\[Infinity]\))\)\)\)"\)], \
"Message",
  CellLabel->"From In[40]:="],

Cell[BoxData[
    TagBox[\(MrvLimit[\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ \
Gamma[\(-1\) + d\/a + n]\ Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\
\ \@\(b\^2 - 4\ a\ c\)\) + n]\)\/\(Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ \
e\)\/\(2\ a\ \@\(b\^2 - 4\ a\ c\)\)]\ Gamma[\(-1\) + d\/a + 2\ n]\), 
        a \[Rule] 0, Direction \[Rule] \(-1\)]\),
      HoldForm]], "Output",
  CellLabel->"Out[40]="]
}, Open  ]],

Cell["Specialize to case b<0, n>0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] = \(-1\); Sign[n] = 1; 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 = \(-b\); 
    Protect[Power];\), "\[IndentingNewLine]", 
    \(\(MrvLimitClearCache[];\)\)}], "Input",
  CellLabel->"In[41]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f, a \[Rule] 0, Direction \[Rule] \(-1\), 
      Debug \[Rule] 1]\)], "Input",
  CellLabel->"In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\), a, Debug \[Rule] 1]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  gamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  gamma[ 
                    Plus[ 
                      Times[ 
                        Rational[ 1, 2], a, d], n, 
                      Times[ 
                        Rational[ -1, 2], a, 
                        Plus[ 
                          Times[ -1, b, d], 
                          Times[ 2, e, 
                            power[ a, -1]]], 
                        power[ 
                          Plus[ 
                            Power[ b, 2], 
                            Times[ -4, c, 
                              power[ a, -1]]], 
                          Rational[ -1, 2]]]]], 
                  power[ 
                    gamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]], -1], 
                  power[ 
                    gamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]], -1], 
                  power[ 
                    Times[ -1, 
                      power[ a, -1]], 
                    Times[ -1, n]], 
                  power[ 
                    Plus[ 
                      Power[ b, 2], 
                      Times[ -4, c, 
                        power[ a, -1]]], 
                    Times[ 
                      Rational[ 1, 2], n]]], a, Debug -> 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of \
"\[InvisibleSpace]\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ d\)\/2 + n - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              gamma[ 
                Plus[ -1, 
                  Times[ a, d], n]], 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ 
                gamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]], -1], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of \
"\[InvisibleSpace]\(Gamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \[ExponentialE]\^LogGamma[\(-1\
\) + a\ d + n]\ \[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\ \
\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\/Gamma[\(a\ \
d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[\
\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n], 9, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\), 13, 
                0]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 9, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]], 13, 0]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\
LogGamma[\(-1\) + a\ d + n]\),
          SequenceForm[ "\[Omega]=", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + n]\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\[InvisibleSpace]" to A*\
\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]1\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(-1\) + a\ d + 2\ n]\)\),
          SequenceForm[ "c=", 1, " A=", 
            power[ E, 
              Plus[ 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], 
                      Times[ 2, n]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + 2\ n]\)\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(LogGamma[\(-1\
\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ n]\)\ \[Omega]\^1\)\
\[InvisibleSpace]"\n"\[InvisibleSpace]"f="\[InvisibleSpace]\(Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \[Omega]\^1\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], 
                    Times[ 2, n]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], 1]], "\n", "f=", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], 1], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\[InvisibleSpace]" to \
A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^LogGamma[\(-1\) + a\ d + n]\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(Gamma[\(a\ d\)\/2 + n - \(a\ \
\((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \[Omega]\^1\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/\(\[Omega]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\
\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              loggamma[ 
                Plus[ -1, 
                  Times[ a, d], n]]], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], -1], 
              power[ \[Omega], 1], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(Gamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \[Omega]\^1\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/\(\[Omega]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\
\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], -1], 
              power[ \[Omega], 1], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Series expansion: \
"\[InvisibleSpace]\(\((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\ \[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - \
LogGamma[\(-1\) + a\ d + 2\ n]\)\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\
\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\) + n]\)\/Gamma[\(a\ d\)\/2 - \
\(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\),
          SequenceForm[ "Series expansion: ", 
            Times[ 
              Power[ 
                Times[ -1, 
                  Power[ a, -1]], 
                Times[ -1, n]], 
              Power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, 
                    Power[ a, -1], c]], 
                Times[ 
                  Rational[ 1, 2], n]], 
              Power[ E, 
                Plus[ 
                  LogGamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    LogGamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              Power[ 
                Gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, 
                            Power[ a, -1], c]], 
                        Rational[ -1, 2]], 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, 
                          Power[ a, -1], e]]]]], -1], 
              Gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, 
                          Power[ a, -1], c]], 
                      Rational[ -1, 2]], 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, 
                        Power[ a, -1], e]]], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\(Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) \
+ a\ d + 2\ n]\)\ \[Omega]\^0\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\[InvisibleSpace]" , \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-LogGamma[\(-1\) + a\ d + n]\)\),
          SequenceForm[ "Dominant term: ", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ \[Omega], 0], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                loggamma[ 
                  Plus[ -1, 
                    Times[ a, d], n]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of \
"\[InvisibleSpace]\(Gamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of \
"\[InvisibleSpace]\(Gamma[\(a\ d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\(-1\) + a\ d + 2\ \
n]\)\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/a)\)\^\(n/2\)\)\/Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              gamma[ 
                Plus[ 
                  Times[ 
                    Rational[ 1, 2], a, d], n, 
                  Times[ 
                    Rational[ -1, 2], a, 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ a, -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], a, d], 
                    Times[ 
                      Rational[ -1, 2], a, 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ a, -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ a, -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ a, -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ a, -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[a, 
                1, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(LogGamma[\(-1\) + a\ d + n] - LogGamma[\
\(-1\) + a\ d + 2\ n]\), 21, 0]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ a, 1, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ a, d], n]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ a, d], 
                        Times[ 2, n]]]]]], 21, 0]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(Gamma[n + \(d\ \
\[ExponentialE]\^a\)\/2 - \(\[ExponentialE]\^a\ \((\(-b\)\ d + \(2\ e\)\/\
\[ExponentialE]\^a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/\[ExponentialE]\^a\)\)]\ \
\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\ \[ExponentialE]\^a] - \
LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\ \((\(-\(1\/\[ExponentialE]\
\^a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/\[ExponentialE]\^a)\)\^\(n/2\)\)\/Gamma[\(d\ \[ExponentialE]\^a\)\/2 - \
\(\[ExponentialE]\^a\ \((\(-b\)\ d + \(2\ e\)\/\[ExponentialE]\^a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/\[ExponentialE]\^a\)\)]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[\[ExponentialE]\^a, 
                3, \[Infinity]], 
              MrvF[\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\ \
\[ExponentialE]\^a] - LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\), 25, 
                0]}\),
          SequenceForm[ "Scale Up: f=", 
            Times[ 
              gamma[ 
                Plus[ n, 
                  Times[ 
                    Rational[ 1, 2], d, 
                    power[ E, a]], 
                  Times[ 
                    Rational[ -1, 2], 
                    power[ E, a], 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ 
                          power[ E, a], -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ 
                            power[ E, a], -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ E, a]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ E, a]]]]]]], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], d, 
                      power[ E, a]], 
                    Times[ 
                      Rational[ -1, 2], 
                      power[ E, a], 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ 
                            power[ E, a], -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ 
                              power[ E, a], -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ E, a], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ E, a], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, a], 3, 
              DirectedInfinity[ 1]], 
            MrvF[ 
              power[ E, 
                Plus[ 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ E, a]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ E, a]]]]]]], 25, 0]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^a\),
          SequenceForm[ "\[Omega]=", 
            power[ E, a]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-a\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, a]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\ \[ExponentialE]\^a] - \
LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\[InvisibleSpace]" to A*\
\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, 
              Plus[ 
                loggamma[ 
                  Plus[ -1, n, 
                    Times[ d, 
                      power[ E, a]]]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ 2, n], 
                      Times[ d, 
                        power[ E, a]]]]]]], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]n\[InvisibleSpace]" A="\
\[InvisibleSpace]\[ExponentialE]\^\(a\ n + LogGamma[\(-1\) + n + d\ \
\[ExponentialE]\^a] - LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\),
          SequenceForm[ "c=", n, " A=", 
            power[ E, 
              Plus[ 
                Times[ a, n], 
                loggamma[ 
                  Plus[ -1, n, 
                    Times[ d, 
                      power[ E, a]]]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ 2, n], 
                      Times[ d, 
                        power[ E, a]]]]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting \
"\[InvisibleSpace]\[ExponentialE]\^\(LogGamma[\(-1\) + n + d\ \[ExponentialE]\
\^a] - LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\[InvisibleSpace]"\
\[Rule]"\[InvisibleSpace]\(\[ExponentialE]\^\(a\ n + LogGamma[\(-1\) + n + d\ \
\[ExponentialE]\^a] - LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\ \
\[Omega]\^n\)\[InvisibleSpace]"\n\
"\[InvisibleSpace]"f="\[InvisibleSpace]\(Gamma[n + \(d\ \
\[ExponentialE]\^a\)\/2 - \(\[ExponentialE]\^a\ \((\(-b\)\ d + \(2\ e\)\/\
\[ExponentialE]\^a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/\[ExponentialE]\^a\)\)]\ \
\[ExponentialE]\^\(a\ n + LogGamma[\(-1\) + n + d\ \[ExponentialE]\^a] - \
LogGamma[\(-1\) + 2\ n + d\ \[ExponentialE]\^a]\)\ \[Omega]\^n\ \((\(-\(1\/\
\[ExponentialE]\^a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/\[ExponentialE]\^a)\)\^\(n/2\)\)\/Gamma[\(d\ \[ExponentialE]\^a\)\/2 - \
\(\[ExponentialE]\^a\ \((\(-b\)\ d + \(2\ e\)\/\[ExponentialE]\^a)\)\)\/\(2\ \
\@\(b\^2 - \(4\ c\)\/\[ExponentialE]\^a\)\)]\),
          SequenceForm[ "Rewriting ", 
            power[ E, 
              Plus[ 
                loggamma[ 
                  Plus[ -1, n, 
                    Times[ d, 
                      power[ E, a]]]], 
                Times[ -1, 
                  loggamma[ 
                    Plus[ -1, 
                      Times[ 2, n], 
                      Times[ d, 
                        power[ E, a]]]]]]], "\[Rule]", 
            Times[ 
              power[ E, 
                Plus[ 
                  Times[ a, n], 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ E, a]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ E, a]]]]]]], 
              power[ \[Omega], n]], "\n", "f=", 
            Times[ 
              gamma[ 
                Plus[ n, 
                  Times[ 
                    Rational[ 1, 2], d, 
                    power[ E, a]], 
                  Times[ 
                    Rational[ -1, 2], 
                    power[ E, a], 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ 
                          power[ E, a], -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ 
                            power[ E, a], -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  Times[ a, n], 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ E, a]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ E, a]]]]]]], 
              power[ \[Omega], n], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], d, 
                      power[ E, a]], 
                    Times[ 
                      Rational[ -1, 2], 
                      power[ E, a], 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ 
                            power[ E, a], -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ 
                              power[ E, a], -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ E, a], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ E, a], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^a\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, a], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^a\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(Gamma[n + d\/\(2\ \[Omega]\) - \(\(-b\
\)\ d + \(2\ e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ \
c\)\/\(1\/\[Omega]\)\)\)]\ \[ExponentialE]\^\(a\ n + LogGamma[\(-1\) + n + \
d\/\[Omega]] - LogGamma[\(-1\) + 2\ n + d\/\[Omega]]\)\ \[Omega]\^n\ \
\((\(-\(1\/\(1\/\[Omega]\)\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/\(1\/\[Omega]\))\)\^\(n/2\)\)\/Gamma[d\/\(2\ \[Omega]\) - \(\(-b\)\ d + \
\(2\ e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ \
c\)\/\(1\/\[Omega]\)\)\)]\),
          SequenceForm[ "Rewriting ", 
            power[ E, a], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              gamma[ 
                Plus[ n, 
                  Times[ 
                    Rational[ 1, 2], d, 
                    power[ \[Omega], -1]], 
                  Times[ 
                    Rational[ -1, 2], 
                    power[ \[Omega], -1], 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ 
                          power[ \[Omega], -1], -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ 
                            power[ \[Omega], -1], -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  Times[ a, n], 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ \[Omega], -1]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ \[Omega], -1]]]]]]], 
              power[ \[Omega], n], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], d, 
                      power[ \[Omega], -1]], 
                    Times[ 
                      Rational[ -1, 2], 
                      power[ \[Omega], -1], 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ 
                            power[ \[Omega], -1], -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ 
                              power[ \[Omega], -1], -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ \[Omega], -1], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ \[Omega], -1], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: \
f="\[InvisibleSpace]\(Gamma[n + d\/\(2\ \[Omega]\) - \(\(-b\)\ d + \(2\ e\)\/\
\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ c\)\/\(1\/\[Omega]\)\)\)]\ \
\[ExponentialE]\^\(a\ n + LogGamma[\(-1\) + n + d\/\[Omega]] - \
LogGamma[\(-1\) + 2\ n + d\/\[Omega]]\)\ \[Omega]\^n\ \
\((\(-\(1\/\(1\/\[Omega]\)\)\))\)\^\(-n\)\ \((b\^2 - \(4\ \
c\)\/\(1\/\[Omega]\))\)\^\(n/2\)\)\/Gamma[d\/\(2\ \[Omega]\) - \(\(-b\)\ d + \
\(2\ e\)\/\(1\/\[Omega]\)\)\/\(2\ \[Omega]\ \@\(b\^2 - \(4\ \
c\)\/\(1\/\[Omega]\)\)\)]\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              gamma[ 
                Plus[ n, 
                  Times[ 
                    Rational[ 1, 2], d, 
                    power[ \[Omega], -1]], 
                  Times[ 
                    Rational[ -1, 2], 
                    power[ \[Omega], -1], 
                    Plus[ 
                      Times[ -1, b, d], 
                      Times[ 2, e, 
                        power[ 
                          power[ \[Omega], -1], -1]]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ 
                            power[ \[Omega], -1], -1]]], 
                      Rational[ -1, 2]]]]], 
              power[ E, 
                Plus[ 
                  Times[ a, n], 
                  loggamma[ 
                    Plus[ -1, n, 
                      Times[ d, 
                        power[ \[Omega], -1]]]], 
                  Times[ -1, 
                    loggamma[ 
                      Plus[ -1, 
                        Times[ 2, n], 
                        Times[ d, 
                          power[ \[Omega], -1]]]]]]], 
              power[ \[Omega], n], 
              power[ 
                gamma[ 
                  Plus[ 
                    Times[ 
                      Rational[ 1, 2], d, 
                      power[ \[Omega], -1]], 
                    Times[ 
                      Rational[ -1, 2], 
                      power[ \[Omega], -1], 
                      Plus[ 
                        Times[ -1, b, d], 
                        Times[ 2, e, 
                          power[ 
                            power[ \[Omega], -1], -1]]], 
                      power[ 
                        Plus[ 
                          Power[ b, 2], 
                          Times[ -4, c, 
                            power[ 
                              power[ \[Omega], -1], -1]]], 
                        Rational[ -1, 2]]]]], -1], 
              power[ 
                Times[ -1, 
                  power[ 
                    power[ \[Omega], -1], -1]], 
                Times[ -1, n]], 
              power[ 
                Plus[ 
                  Power[ b, 2], 
                  Times[ -4, c, 
                    power[ 
                      power[ \[Omega], -1], -1]]], 
                Times[ 
                  Rational[ 1, 2], n]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            
            RowBox[{\(\((\(-\[Omega]\))\)\^\(-n\)\), " ", \(\[Omega]\^n\), 
              " ", 
              RowBox[{"(", 
                InterpretationBox[
                  
                  RowBox[{\(\(\((b\^2)\)\^\(n/2\)\ d\^\(-n\)\ Gamma[\(-\(\(c\ \
d\)\/b\^2\)\) + e\/b + n]\)\/Gamma[\(\(-c\)\ d + b\ e\)\/b\^2]\), 
                    "+", \(\((Gamma[\(-\(\(c\ d\)\/b\^2\)\) + e\/b + 
                                n]\ \((\(\(-2\)\ \((b\^2)\)\^\(\(-1\) + \
n\/2\)\ c\ d\^\(-n\)\ n + \((b\^2)\)\^\(n/2\)\ \((3\/2\ d\^\(\(-1\) - n\)\ n \
- 3\/2\ d\^\(\(-1\) - n\)\ n\^2)\)\)\/Gamma[\(\(-c\)\ d + b\ e\)\/b\^2] - \
\(\((b\^2)\)\^\(n/2\)\ d\^\(-n\)\ \((\(-\(\(3\ c\^2\ d\)\/b\^4\)\) + \(2\ c\ \
e\)\/b\^3)\)\ PolyGamma[0, \(\(-c\)\ d + b\ e\)\/b\^2]\)\/Gamma[\(\(-c\)\ d + \
b\ e\)\/b\^2])\) + \(\((b\^2)\)\^\(n/2\)\ d\^\(-n\)\ \((\(-\(\(3\ c\^2\ \
d\)\/b\^4\)\) + \(2\ c\ e\)\/b\^3)\)\ Gamma[\(-\(\(c\ d\)\/b\^2\)\) + e\/b + \
n]\ PolyGamma[0, \(-\(\(c\ d\)\/b\^2\)\) + e\/b + n]\)\/Gamma[\(\(-c\)\ d + b\
\ e\)\/b\^2])\)\ \[Omega]\), "+", 
                    InterpretationBox[\(O[\[Omega]]\^2\),
                      SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                      Editable->False]}],
                  SeriesData[ \[Omega], 0, {
                    Times[ 
                      Power[ 
                        Power[ b, 2], 
                        Times[ 
                          Rational[ 1, 2], n]], 
                      Power[ d, 
                        Times[ -1, n]], 
                      Power[ 
                        Gamma[ 
                          Times[ 
                            Power[ b, -2], 
                            Plus[ 
                              Times[ -1, c, d], 
                              Times[ b, e]]]], -1], 
                      Gamma[ 
                        Plus[ 
                          Times[ -1, 
                            Power[ b, -2], c, d], 
                          Times[ 
                            Power[ b, -1], e], n]]], 
                    Plus[ 
                      Times[ 
                        Gamma[ 
                          Plus[ 
                            Times[ -1, 
                              Power[ b, -2], c, d], 
                            Times[ 
                              Power[ b, -1], e], n]], 
                        Plus[ 
                          Times[ 
                            Plus[ 
                              Times[ -2, 
                                Power[ 
                                  Power[ b, 2], 
                                  Plus[ -1, 
                                    Times[ 
                                      Rational[ 1, 2], n]]], c, 
                                Power[ d, 
                                  Times[ -1, n]], n], 
                              Times[ 
                                Power[ 
                                  Power[ b, 2], 
                                  Times[ 
                                    Rational[ 1, 2], n]], 
                                Plus[ 
                                  Times[ 
                                    Rational[ 3, 2], 
                                    Power[ d, 
                                      Plus[ -1, 
                                        Times[ -1, n]]], n], 
                                  Times[ 
                                    Rational[ -3, 2], 
                                    Power[ d, 
                                      Plus[ -1, 
                                        Times[ -1, n]]], 
                                    Power[ n, 2]]]]], 
                            Power[ 
                              Gamma[ 
                                Times[ 
                                  Power[ b, -2], 
                                  Plus[ 
                                    Times[ -1, c, d], 
                                    Times[ b, e]]]], -1]], 
                          Times[ -1, 
                            Power[ 
                              Power[ b, 2], 
                              Times[ 
                                Rational[ 1, 2], n]], 
                            Power[ d, 
                              Times[ -1, n]], 
                            Plus[ 
                              Times[ -3, 
                                Power[ b, -4], 
                                Power[ c, 2], d], 
                              Times[ 2, 
                                Power[ b, -3], c, e]], 
                            Power[ 
                              Gamma[ 
                                Times[ 
                                  Power[ b, -2], 
                                  Plus[ 
                                    Times[ -1, c, d], 
                                    Times[ b, e]]]], -1], 
                            PolyGamma[ 0, 
                              Times[ 
                                Power[ b, -2], 
                                Plus[ 
                                  Times[ -1, c, d], 
                                  Times[ b, e]]]]]]], 
                      Times[ 
                        Power[ 
                          Power[ b, 2], 
                          Times[ 
                            Rational[ 1, 2], n]], 
                        Power[ d, 
                          Times[ -1, n]], 
                        Plus[ 
                          Times[ -3, 
                            Power[ b, -4], 
                            Power[ c, 2], d], 
                          Times[ 2, 
                            Power[ b, -3], c, e]], 
                        Power[ 
                          Gamma[ 
                            Times[ 
                              Power[ b, -2], 
                              Plus[ 
                                Times[ -1, c, d], 
                                Times[ b, e]]]], -1], 
                        Gamma[ 
                          Plus[ 
                            Times[ -1, 
                              Power[ b, -2], c, d], 
                            Times[ 
                              Power[ b, -1], e], n]], 
                        PolyGamma[ 0, 
                          Plus[ 
                            Times[ -1, 
                              Power[ b, -2], c, d], 
                            Times[ 
                              Power[ b, -1], e], n]]]]}, 0, 2, 1],
                  Editable->False], ")"}]}]}],
          SequenceForm[ "Series expansion: ", 
            Times[ 
              Power[ 
                Times[ -1, \[Omega]], 
                Times[ -1, n]], 
              Power[ \[Omega], n], 
              SeriesData[ \[Omega], 0, {
                Times[ 
                  Power[ 
                    Power[ b, 2], 
                    Times[ 
                      Rational[ 1, 2], n]], 
                  Power[ d, 
                    Times[ -1, n]], 
                  Power[ 
                    Gamma[ 
                      Times[ 
                        Power[ b, -2], 
                        Plus[ 
                          Times[ -1, c, d], 
                          Times[ b, e]]]], -1], 
                  Gamma[ 
                    Plus[ 
                      Times[ -1, 
                        Power[ b, -2], c, d], 
                      Times[ 
                        Power[ b, -1], e], n]]], 
                Plus[ 
                  Times[ 
                    Gamma[ 
                      Plus[ 
                        Times[ -1, 
                          Power[ b, -2], c, d], 
                        Times[ 
                          Power[ b, -1], e], n]], 
                    Plus[ 
                      Times[ 
                        Plus[ 
                          Times[ -2, 
                            Power[ 
                              Power[ b, 2], 
                              Plus[ -1, 
                                Times[ 
                                  Rational[ 1, 2], n]]], c, 
                            Power[ d, 
                              Times[ -1, n]], n], 
                          Times[ 
                            Power[ 
                              Power[ b, 2], 
                              Times[ 
                                Rational[ 1, 2], n]], 
                            Plus[ 
                              Times[ 
                                Rational[ 3, 2], 
                                Power[ d, 
                                  Plus[ -1, 
                                    Times[ -1, n]]], n], 
                              Times[ 
                                Rational[ -3, 2], 
                                Power[ d, 
                                  Plus[ -1, 
                                    Times[ -1, n]]], 
                                Power[ n, 2]]]]], 
                        Power[ 
                          Gamma[ 
                            Times[ 
                              Power[ b, -2], 
                              Plus[ 
                                Times[ -1, c, d], 
                                Times[ b, e]]]], -1]], 
                      Times[ -1, 
                        Power[ 
                          Power[ b, 2], 
                          Times[ 
                            Rational[ 1, 2], n]], 
                        Power[ d, 
                          Times[ -1, n]], 
                        Plus[ 
                          Times[ -3, 
                            Power[ b, -4], 
                            Power[ c, 2], d], 
                          Times[ 2, 
                            Power[ b, -3], c, e]], 
                        Power[ 
                          Gamma[ 
                            Times[ 
                              Power[ b, -2], 
                              Plus[ 
                                Times[ -1, c, d], 
                                Times[ b, e]]]], -1], 
                        PolyGamma[ 0, 
                          Times[ 
                            Power[ b, -2], 
                            Plus[ 
                              Times[ -1, c, d], 
                              Times[ b, e]]]]]]], 
                  Times[ 
                    Power[ 
                      Power[ b, 2], 
                      Times[ 
                        Rational[ 1, 2], n]], 
                    Power[ d, 
                      Times[ -1, n]], 
                    Plus[ 
                      Times[ -3, 
                        Power[ b, -4], 
                        Power[ c, 2], d], 
                      Times[ 2, 
                        Power[ b, -3], c, e]], 
                    Power[ 
                      Gamma[ 
                        Times[ 
                          Power[ b, -2], 
                          Plus[ 
                            Times[ -1, c, d], 
                            Times[ b, e]]]], -1], 
                    Gamma[ 
                      Plus[ 
                        Times[ -1, 
                          Power[ b, -2], c, d], 
                        Times[ 
                          Power[ b, -1], e], n]], 
                    PolyGamma[ 0, 
                      Plus[ 
                        Times[ -1, 
                          Power[ b, -2], c, d], 
                        Times[ 
                          Power[ b, -1], e], n]]]]}, 0, 2, 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \!\(\(\(\(Gamma[\(\(n + d\/\(2\\ \[Omega]\) - \
\(\(\(\(\(-b\)\)\\ d\)\) + \(2\\ e\)\/\(1\/\[Omega]\)\)\/\(2\\ \[Omega]\\ \
\@\(b\^2 - \(4 \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) \(\(\[LeftSkeleton] \
1 \[RightSkeleton]\)\)\)\/\(\[LeftSkeleton] 1 \[RightSkeleton]\)\)\)\)\)]\)\)\
\\ \[ExponentialE]\^\(\[LeftSkeleton] 1 \[RightSkeleton]\)\\ \(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\)\\ \(\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)\\ \((\(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) - \(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\))\)\^\(n/2\)\)\/\(Gamma[\(\(d\/\(2\\ \
\[Omega]\) - \(\(\(\(\(-b\)\)\\ d\)\) + \(2\\ e\)\/\(1\/\[Omega]\)\)\/\(2\\ \
\[Omega]\\ \@\(b\^2 - \(4 \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) \(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\)\)\/\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)\)\)\)]\)\)"\)], "Message",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Gamma[\(-1\) + a\ d + n]\ Gamma[\(a\ \
d\)\/2 + n - \(a\ \((\(-b\)\ d + \(2\ e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ \
c\)\/a\)\)]\ \((\(-\(1\/a\)\))\)\^\(-n\)\ \((b\^2 - \(4\ c\)\/a)\)\^\(n/2\)\)\
\/\(Gamma[\(-1\) + a\ d + 2\ n]\ Gamma[\(a\ d\)\/2 - \(a\ \((\(-b\)\ d + \(2\ \
e\)\/a)\)\)\/\(2\ \@\(b\^2 - \(4\ c\)\/a\)\)]\), a, Debug \[Rule] 1] \[Equal] 
                Null\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Times[ 
                    gamma[ 
                      Plus[ -1, 
                        Times[ a, d], n]], 
                    gamma[ 
                      Plus[ 
                        Times[ 
                          Rational[ 1, 2], a, d], n, 
                        Times[ 
                          Rational[ -1, 2], a, 
                          Plus[ 
                            Times[ -1, b, d], 
                            Times[ 2, e, 
                              power[ a, -1]]], 
                          power[ 
                            Plus[ 
                              Power[ b, 2], 
                              Times[ -4, c, 
                                power[ a, -1]]], 
                            Rational[ -1, 2]]]]], 
                    power[ 
                      gamma[ 
                        Plus[ -1, 
                          Times[ a, d], 
                          Times[ 2, n]]], -1], 
                    power[ 
                      gamma[ 
                        Plus[ 
                          Times[ 
                            Rational[ 1, 2], a, d], 
                          Times[ 
                            Rational[ -1, 2], a, 
                            Plus[ 
                              Times[ -1, b, d], 
                              Times[ 2, e, 
                                power[ a, -1]]], 
                            power[ 
                              Plus[ 
                                Power[ b, 2], 
                                Times[ -4, c, 
                                  power[ a, -1]]], 
                              Rational[ -1, 2]]]]], -1], 
                    power[ 
                      Times[ -1, 
                        power[ a, -1]], 
                      Times[ -1, n]], 
                    power[ 
                      Plus[ 
                        Power[ b, 2], 
                        Times[ -4, c, 
                          power[ a, -1]]], 
                      Times[ 
                        Rational[ 1, 2], n]]], a, Debug -> 1], Null]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[44]:="],

Cell[BoxData[
    TagBox[\(MrvLimit[\(\((\(-a\))\)\^\(-n\)\ \((b\^2 - 4\ a\ c)\)\^\(n/2\)\ \
Gamma[\(-1\) + d\/a + n]\ Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ e\)\/\(2\ a\
\ \@\(b\^2 - 4\ a\ c\)\) + n]\)\/\(Gamma[d\/\(2\ a\) - \(\(-b\)\ d + 2\ a\ \
e\)\/\(2\ a\ \@\(b\^2 - 4\ a\ c\)\)]\ Gamma[\(-1\) + d\/a + 2\ n]\), 
        a \[Rule] 0, Direction \[Rule] \(-1\), Debug \[Rule] 1]\),
      HoldForm]], "Output",
  CellLabel->"Out[44]="]
}, Open  ]],

Cell[TextData[{
  "Pre-compensate factor ",
  Cell[BoxData[
      \(\((\(-\[Omega]\))\)\^\(-n\)\ \[Omega]\^n\)]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f*\((\(-a\))\)^n*a^\((\(-n\))\), a \[Rule] 0, 
      Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[45]:="],

Cell[BoxData[
    \(\(\((b\^2)\)\^\(n/2\)\ d\^\(-n\)\ Gamma[\(-\(\(c\ d\)\/b\^2\)\) + e\/b \
+ n]\)\/Gamma[\(\(-c\)\ d + b\ e\)\/b\^2]\)], "Output",
  CellLabel->"Out[45]="]
}, Open  ]],

Cell["Check case b<0,n<0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] = \(-1\); Sign[n] = \(-1\); 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 = \(-b\); 
    Protect[Power];\), "\[IndentingNewLine]", 
    \(\(MrvLimitClearCache[];\)\)}], "Input",
  CellLabel->"In[46]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f*\((\(-a\))\)^n*a^\((\(-n\))\), a \[Rule] 0, 
      Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[49]:="],

Cell[BoxData[
    \(\(\((b\^2)\)\^\(n/2\)\ d\^\(-n\)\ Gamma[\(-\(\(c\ d\)\/b\^2\)\) + e\/b \
+ n]\)\/Gamma[\(\(-c\)\ d + b\ e\)\/b\^2]\)], "Output",
  CellLabel->"Out[49]="]
}, Open  ]],

Cell["Check case b<0, n=0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] = \(-1\); Sign[n] =. ; 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 = \(-b\); 
    Protect[Power];\), "\[IndentingNewLine]", 
    \(\(MrvLimitClearCache[];\)\)}], "Input",
  CellLabel->"In[50]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f /. n \[Rule] 0, a \[Rule] 0, 
      Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[53]:="],

Cell[BoxData[
    \(1\)], "Output",
  CellLabel->"Out[53]="]
}, Open  ]],

Cell["Check case b=0:", "Text"],

Cell[BoxData[{
    \(Unprotect[Sign]; Sign[d] = 1; Sign[b] =. ; 
    Protect[Sign];\), "\[IndentingNewLine]", 
    \(Unprotect[Power]; \@b\^2 =. ; 
    Protect[Power];\), "\[IndentingNewLine]", 
    \(\(MrvLimitClearCache[];\)\)}], "Input",
  CellLabel->"In[54]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[f /. b \[Rule] 0, a \[Rule] 0, 
      Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[57]:="],

Cell[BoxData[
    \(MrvLimit::"SeriesFail" \(\(:\)\(\ \)\) 
      "Series failed at \!\(2\^n\\ \[ExponentialE]\^\(\(\(LogGamma[\(\(\(\(-1\
\)\) + n + d\/\[Omega]\)\)]\)\) - \(\(LogGamma[\(\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)]\)\) \(\(\[LeftSkeleton] 1 \[RightSkeleton]\)\) \(\(\
\[LeftSkeleton] 1 \[RightSkeleton]\)\) + \(\(LogGamma[\(\(n + d\/\(2\\ \
\[Omega]\) - e\/\(2\\ \@\(-\(\(\[LeftSkeleton] 1 \
\[RightSkeleton]\)\)\)\)\)\)]\)\)\)\\ \((\(-\(\(1\/\(1\/\[Omega]\)\)\)\))\)\^\
\(-n\)\\ \((\(-\(\(c\/\(1\/\[Omega]\)\)\)\))\)\^\(n/2\)\)"\)], "Message",
  CellLabel->"From In[57]:="],

Cell[BoxData[
    TagBox[\(MrvLimit[\(2\^n\ \((\(-a\))\)\^\(-n\)\ \((\(-a\)\ c)\)\^\(n/2\)\ \
Gamma[\(-1\) + d\/a + n]\ Gamma[d\/\(2\ a\) - e\/\(2\ \@\(\(-a\)\ c\)\) + \
n]\)\/\(Gamma[d\/\(2\ a\) - e\/\(2\ \@\(\(-a\)\ c\)\)]\ Gamma[\(-1\) + d\/a + \
2\ n]\), a \[Rule] 0, Direction \[Rule] \(-1\)]\),
      HoldForm]], "Output",
  CellLabel->"Out[57]="]
}, Open  ]],

Cell[TextData[{
  "Compensate  ",
  Cell[BoxData[
      \(\((\(-\[Omega]\))\)\^\(-n\)\ \((\(-c\)\ \[Omega])\)\^\(n/2\)\)]],
  ":"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[
      f*\(\((\(-a\))\)\^n\) \((\(-\ c\)\ a)\)\^\(\(-n\)/2\) /. b \[Rule] 0, 
      a \[Rule] 0, Direction \[Rule] \(-1\)]\)], "Input",
  CellLabel->"In[58]:="],

Cell[BoxData[
    \(1\)], "Output",
  CellLabel->"Out[58]="]
}, Open  ]],

Cell["Done evaluating all cases.", "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sample 3.25 from [Gru96] page 51", "Section"],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvLimit[\((log[log[x] + log[log[x]]] - log[log[x]])\)/
          log[log[x] + log[log[log[x]]]]*log[x], x \[Rule] \[Infinity], 
      Debug \[Rule] \[Infinity]]\)], "Input",
  CellLabel->"In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Enter Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Log[x]\ \((\(-Log[Log[x]]\) + Log[Log[x] + \
Log[Log[x]]])\)\)\/Log[Log[x] + Log[Log[Log[x]]]], x, 
                Debug \[Rule] \[Infinity]]\),
              HoldForm]}],
          SequenceForm[ "Enter Level ", 1, " Call ", 
            HoldForm[ 
              MrvLimitInf[ 
                Times[ 
                  log[ x], 
                  Plus[ 
                    Times[ -1, 
                      log[ 
                        log[ x]]], 
                    log[ 
                      Plus[ 
                        log[ x], 
                        log[ 
                          log[ x]]]]], 
                  power[ 
                    log[ 
                      Plus[ 
                        log[ x], 
                        log[ 
                          log[ 
                            log[ x]]]]], -1]], x, Debug -> DirectedInfinity[ 
                1]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating limit of "\[InvisibleSpace]\(Log[x]\ \
\((\(-Log[Log[x]]\) + Log[Log[x] + Log[Log[x]]])\)\)\/Log[Log[x] + \
Log[Log[Log[x]]]]\),
          SequenceForm[ "Calculating limit of ", 
            Times[ 
              log[ x], 
              Plus[ 
                Times[ -1, 
                  log[ 
                    log[ x]]], 
                log[ 
                  Plus[ 
                    log[ x], 
                    log[ 
                      log[ x]]]]], 
              power[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    log[ 
                      log[ 
                        log[ x]]]]], -1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating Mrv set of \
"\[InvisibleSpace]\(Log[x]\ \((\(-Log[Log[x]]\) + Log[Log[x] + \
Log[Log[x]]])\)\)\/Log[Log[x] + Log[Log[Log[x]]]]\),
          SequenceForm[ "Calculating Mrv set of ", 
            Times[ 
              log[ x], 
              Plus[ 
                Times[ -1, 
                  log[ 
                    log[ x]]], 
                log[ 
                  Plus[ 
                    log[ x], 
                    log[ 
                      log[ x]]]]], 
              power[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    log[ 
                      log[ 
                        log[ x]]]]], -1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(x\ \
\((\(-Log[x]\) + Log[x + Log[x]])\)\)\/Log[x + Log[Log[x]]]\[InvisibleSpace]"\
\n"\[InvisibleSpace]"\[CapitalOmega]="\[InvisibleSpace]{MrvF[x, 
                1, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Times[ x, 
              Plus[ 
                Times[ -1, 
                  log[ x]], 
                log[ 
                  Plus[ x, 
                    log[ x]]]], 
              power[ 
                log[ 
                  Plus[ x, 
                    log[ 
                      log[ x]]]], -1]], "\n", "\[CapitalOmega]=", {
            MrvF[ x, 1, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Up: f="\[InvisibleSpace]\(\((\(-x\) + \
Log[x + \[ExponentialE]\^x])\)\ \[ExponentialE]\^x\)\/Log[Log[x] + \
\[ExponentialE]\^x]\[InvisibleSpace]"\n"\[InvisibleSpace]"\[CapitalOmega]="\
\[InvisibleSpace]{MrvF[\[ExponentialE]\^x, 3, \[Infinity]]}\),
          SequenceForm[ "Scale Up: f=", 
            Times[ 
              Plus[ 
                Times[ -1, x], 
                log[ 
                  Plus[ x, 
                    power[ E, x]]]], 
              power[ E, x], 
              power[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    power[ E, x]]], -1]], "\n", "\[CapitalOmega]=", {
            MrvF[ 
              power[ E, x], 3, 
              DirectedInfinity[ 1]]}],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("\[Omega]="\[InvisibleSpace]\[ExponentialE]\^x\),
          SequenceForm[ "\[Omega]=", 
            power[ E, x]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]="\
\[InvisibleSpace]\[ExponentialE]\^\(-x\)\),
          SequenceForm[ "Replacing \[Omega]\[Rule]1/\[Omega]: \[Omega]=", 
            power[ E, 
              Times[ -1, x]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Prepare to rewrite g="\[InvisibleSpace]\
\[ExponentialE]\^x\[InvisibleSpace]" to A*\[Omega]^c"\),
          SequenceForm[ "Prepare to rewrite g=", 
            power[ E, x], " to A*\[Omega]^c"],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("c="\[InvisibleSpace]\(-1\)\[InvisibleSpace]" A="\
\[InvisibleSpace]1\),
          SequenceForm[ "c=", -1, " A=", 1],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Rewriting "\[InvisibleSpace]\[ExponentialE]\^x\
\[InvisibleSpace]"\[Rule]"\[InvisibleSpace]1\/\[Omega]\[InvisibleSpace]"\n"\
\[InvisibleSpace]"f="\[InvisibleSpace]\(\(-x\) + Log[x + 1\/\[Omega]]\)\/\(\
\[Omega]\ Log[Log[x] + 1\/\[Omega]]\)\),
          SequenceForm[ "Rewriting ", 
            power[ E, x], "\[Rule]", 
            power[ \[Omega], -1], "\n", "f=", 
            Times[ 
              Plus[ 
                Times[ -1, x], 
                log[ 
                  Plus[ x, 
                    power[ \[Omega], -1]]]], 
              power[ \[Omega], -1], 
              power[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    power[ \[Omega], -1]]], -1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Calculating power series: f="\[InvisibleSpace]\(\
\(-x\) + Log[x + 1\/\[Omega]]\)\/\(\[Omega]\ Log[Log[x] + 1\/\[Omega]]\)\),
          SequenceForm[ "Calculating power series: f=", 
            Times[ 
              Plus[ 
                Times[ -1, x], 
                log[ 
                  Plus[ x, 
                    power[ \[Omega], -1]]]], 
              power[ \[Omega], -1], 
              power[ 
                log[ 
                  Plus[ 
                    log[ x], 
                    power[ \[Omega], -1]]], -1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          RowBox[{"\<\"Series expansion: \"\>", "\[InvisibleSpace]", 
            InterpretationBox[
              RowBox[{
              "1", "+", \(\((\(-\(x\/2\)\) - Log[x]\/x)\)\ \[Omega]\), "+", 
                InterpretationBox[\(O[\[Omega]]\^2\),
                  SeriesData[ \[Omega], 0, {}, 0, 2, 1],
                  Editable->False]}],
              SeriesData[ \[Omega], 0, {1, 
                Plus[ 
                  Times[ 
                    Rational[ -1, 2], x], 
                  Times[ -1, 
                    Power[ x, -1], 
                    Log[ x]]]}, 0, 2, 1],
              Editable->False]}],
          SequenceForm[ "Series expansion: ", 
            SeriesData[ \[Omega], 0, {1, 
              Plus[ 
                Times[ 
                  Rational[ -1, 2], x], 
                Times[ -1, 
                  Power[ x, -1], 
                  Log[ x]]]}, 0, 2, 1]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Down: f="\[InvisibleSpace]1\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-Log[x]\)\),
          SequenceForm[ "Scale Down: f=", 1, " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ x]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Scale Down: f="\[InvisibleSpace]1\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-Log[Log[x]]\)\),
          SequenceForm[ "Scale Down: f=", 1, " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant term: "\[InvisibleSpace]\[Omega]\^0\
\[InvisibleSpace]" , \
\[Omega]="\[InvisibleSpace]\[ExponentialE]\^\(-Log[Log[x]]\)\),
          SequenceForm[ "Dominant term: ", 
            power[ \[Omega], 0], " , \[Omega]=", 
            power[ E, 
              Times[ -1, 
                log[ 
                  log[ x]]]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[\("Dominant asymptotic: "\[InvisibleSpace]1\
\[InvisibleSpace]\((\[ExponentialE]\^\(-Log[Log[x]]\))\)\^0\),
          SequenceForm[ "Dominant asymptotic: ", 1, 
            power[ 
              power[ E, 
                Times[ -1, 
                  log[ 
                    log[ x]]]], 0]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    TagBox[
      AdjustmentBox[
        InterpretationBox[
          
          RowBox[{"\<\"Leave Level \"\>", "\[InvisibleSpace]", "1", 
            "\[InvisibleSpace]", "\<\" Call \"\>", "\[InvisibleSpace]", 
            
            TagBox[\(MrvLimitInf[\(Log[x]\ \((\(-Log[Log[x]]\) + Log[Log[x] + \
Log[Log[x]]])\)\)\/Log[Log[x] + Log[Log[Log[x]]]], x, 
                  Debug \[Rule] \[Infinity]] \[Equal] 1\),
              HoldForm]}],
          SequenceForm[ "Leave Level ", 1, " Call ", 
            HoldForm[ 
              Equal[ 
                MrvLimitInf[ 
                  Times[ 
                    log[ x], 
                    Plus[ 
                      Times[ -1, 
                        log[ 
                          log[ x]]], 
                      log[ 
                        Plus[ 
                          log[ x], 
                          log[ 
                            log[ x]]]]], 
                    power[ 
                      log[ 
                        Plus[ 
                          log[ x], 
                          log[ 
                            log[ 
                              log[ x]]]]], -1]], x, Debug -> DirectedInfinity[
                   1]], 1]]],
          Editable->False],
        BoxMargins->{{0, 0}, {0, 0}}],
      DisplayForm]], "Print",
  CellLabel->"From In[59]:="],

Cell[BoxData[
    \(1\)], "Output",
  CellLabel->"Out[59]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["MrvSet Examples", "Section"],

Cell["Examples partially taken from [Gru96] chapter 3.3 page 41", "Text"],

Cell[BoxData[
    \(\(MrvSet[f_, x_] := 
        MrvLimit`Private`MrvSet[ToInternal[f, x], x];\)\)], "Input",
  CellLabel->"In[60]:="],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((x + 1/x)\), x]\)], "Input",
  CellLabel->"In[61]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(x + 1\/x\), 7, \[Infinity]]}\)], "Output",
  CellLabel->"Out[61]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((\(-E^x\))\), x]\)], "Input",
  CellLabel->"In[62]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(-\[ExponentialE]\^x\), 7, 0]}\)], "Output",
  CellLabel->"Out[62]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((x + E^\(-x\))\), x]\)], "Input",
  CellLabel->"In[63]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(-x\), 5, 0], 
      MrvF[\[ExponentialE]\^\(x + \[ExponentialE]\^\(-x\)\), 
        9, \[Infinity]]}\)], "Output",
  CellLabel->"Out[63]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((x + E^\((\(-x^2\))\))\), x]\)], "Input",
  CellLabel->"In[64]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(-x\^2\), 7, 0]}\)], "Output",
  CellLabel->"Out[64]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((1/x + E^\(-x\))\), x]\)], "Input",
  CellLabel->"In[65]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(-x\), 5, 0]}\)], "Output",
  CellLabel->"Out[65]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^\((x^2)\) + x\ E^x + Log[x]^x/x, x]\)], "Input",
  CellLabel->"In[66]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(x\^2\), 5, \[Infinity]]}\)], "Output",
  CellLabel->"Out[66]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[E^x \((E^\((1/2 + E^\(-x\))\) - E^\((1/x)\))\), x]\)], "Input",
  CellLabel->"In[67]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^x, 3, \[Infinity]], 
      MrvF[\[ExponentialE]\^\(-x\), 5, 0]}\)], "Output",
  CellLabel->"Out[67]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[Log[x^2 + 2  E^\(E^\((3  x^3  Log[x])\)\)], x]\)], "Input",
  CellLabel->"In[68]:="],

Cell[BoxData[
    \({MrvF[\[ExponentialE]\^\(\[ExponentialE]\^\(3\ Log[x]\ x\^3\)\), 
        11, \[Infinity]]}\)], "Output",
  CellLabel->"Out[68]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(MrvSet[Log[x - Log[x]]/Log[x], x]\)], "Input",
  CellLabel->"In[69]:="],

Cell[BoxData[
    \({MrvF[x, 1, \[Infinity]]}\)], "Output",
  CellLabel->"Out[69]="]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "Section"],

Cell[TextData[{
  "Most samples from the diploma thesis \"Automatische Berechnung von \
Grenzwerten und Implementierung in Mathematica\" by Udo Richter.\n\n[Gru96] \
is:\n D. Gruntz: On Computing Limits in a Symbolic Manipulation System\nDiss. \
ETH 11432, Swiss Federal Institute of Technology, Z\[UDoubleDot]rich (1996)",
  StyleBox["\n\n[RSSH96] is:\n",
    FontFamily->"Arial",
    FontSize->10],
  "D. Richardson, B. Salvy, J. Schackell, J. v. d. Hoeven:\nAsymptotic \
Expansions of exp-log Functions\nProceedings of the International Symposium \
on Symbolic and Algebraic Computation (1996)"
}], "Text"]
}, Open  ]]
},
FrontEndVersion->"5.0 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 887}},
WindowSize->{1079, 831},
WindowMargins->{{7, Automatic}, {11, Automatic}},
CellLabelAutoDelete->False,
StyleDefinitions -> "ArticleModern.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 24, 0, 63, "Section"],
Cell[1803, 55, 238, 4, 46, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[2078, 64, 31, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[2134, 68, 84, 2, 45, "Input"],
Cell[2221, 72, 233, 4, 97, "Print"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2503, 82, 29, 0, 63, "Section"],
Cell[2535, 84, 55, 0, 27, "Text"],

Cell[CellGroupData[{
Cell[2615, 88, 281, 6, 65, "Input"],
Cell[2899, 96, 204, 4, 65, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3140, 105, 94, 2, 45, "Input"],
Cell[3237, 109, 120, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3394, 117, 77, 2, 45, "Input"],
Cell[3474, 121, 456, 7, 91, "Output"]
}, Open  ]],
Cell[3945, 131, 149, 3, 45, "Input"],

Cell[CellGroupData[{
Cell[4119, 138, 108, 2, 45, "Input"],
Cell[4230, 142, 1255, 34, 61, "Print"],
Cell[5488, 178, 899, 25, 61, "Print"],
Cell[6390, 205, 873, 24, 61, "Print"],
Cell[7266, 231, 974, 27, 49, "Print"],
Cell[8243, 260, 315, 9, 40, "Print"],
Cell[8561, 271, 423, 11, 40, "Print"],
Cell[8987, 284, 504, 13, 45, "Print"],
Cell[9494, 299, 491, 14, 45, "Print"],
Cell[9988, 315, 1485, 41, 88, "Print"],
Cell[11476, 358, 458, 12, 40, "Print"],
Cell[11937, 372, 353, 10, 40, "Print"],
Cell[12293, 384, 1301, 35, 82, "Print"],
Cell[13597, 421, 355, 9, 40, "Print"],
Cell[13955, 432, 586, 17, 45, "Print"],
Cell[14544, 451, 3213, 79, 117, "Print"],
Cell[17760, 532, 428, 11, 40, "Print"],
Cell[18191, 545, 312, 9, 40, "Print"],
Cell[18506, 556, 2762, 68, 120, "Print"],
Cell[21271, 626, 396, 10, 40, "Print"],
Cell[21670, 638, 318, 9, 40, "Print"],
Cell[21991, 649, 2734, 66, 134, "Print"],
Cell[24728, 717, 2552, 63, 95, "Print"],
Cell[27283, 782, 961, 25, 56, "Print"],
Cell[28247, 809, 505, 14, 40, "Print"],
Cell[28755, 825, 431, 12, 40, "Print"],
Cell[29189, 839, 1343, 36, 61, "Print"],
Cell[30535, 877, 59, 2, 44, "Output"]
}, Open  ]],
Cell[30609, 882, 89, 2, 45, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[30735, 889, 29, 0, 63, "Section"],
Cell[30767, 891, 91, 2, 27, "Text"],

Cell[CellGroupData[{
Cell[30883, 897, 142, 4, 45, "Input"],
Cell[31028, 903, 166, 4, 57, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[31231, 912, 109, 2, 45, "Input"],
Cell[31343, 916, 1220, 34, 55, "Print"],
Cell[32566, 952, 873, 25, 53, "Print"],
Cell[33442, 979, 877, 25, 53, "Print"],
Cell[34322, 1006, 502, 14, 43, "Print"],
Cell[34827, 1022, 396, 12, 41, "Print"],
Cell[35226, 1036, 479, 12, 41, "Print"],
Cell[35708, 1050, 477, 13, 41, "Print"],
Cell[36188, 1065, 319, 9, 40, "Print"],
Cell[36510, 1076, 1049, 29, 93, "Print"],
Cell[37562, 1107, 789, 24, 59, "Print"],
Cell[38354, 1133, 1922, 55, 64, "Print"],
Cell[40279, 1190, 1063, 29, 64, "Print"],
Cell[41345, 1221, 769, 23, 51, "Print"],
Cell[42117, 1246, 773, 23, 51, "Print"],
Cell[42893, 1271, 420, 12, 40, "Print"],
Cell[43316, 1285, 316, 9, 40, "Print"],
Cell[43635, 1296, 424, 11, 40, "Print"],
Cell[44062, 1309, 397, 10, 40, "Print"],
Cell[44462, 1321, 319, 9, 40, "Print"],
Cell[44784, 1332, 965, 27, 93, "Print"],
Cell[45752, 1361, 783, 24, 59, "Print"],
Cell[46538, 1387, 1319, 37, 64, "Print"],
Cell[47860, 1426, 839, 23, 64, "Print"],
Cell[48702, 1451, 612, 18, 51, "Print"],
Cell[49317, 1471, 616, 18, 51, "Print"],
Cell[49936, 1491, 709, 20, 55, "Print"],
Cell[50648, 1513, 1178, 32, 88, "Print"],
Cell[51829, 1547, 316, 9, 40, "Print"],
Cell[52148, 1558, 424, 11, 40, "Print"],
Cell[52575, 1571, 564, 15, 51, "Print"],
Cell[53142, 1588, 600, 17, 44, "Print"],
Cell[53745, 1607, 1453, 39, 103, "Print"],
Cell[55201, 1648, 397, 10, 40, "Print"],
Cell[55601, 1660, 319, 9, 40, "Print"],
Cell[55923, 1671, 979, 25, 95, "Print"],
Cell[56905, 1698, 797, 22, 60, "Print"],
Cell[57705, 1722, 1081, 29, 56, "Print"],
Cell[58789, 1753, 745, 22, 56, "Print"],
Cell[59537, 1777, 822, 24, 56, "Print"],
Cell[60362, 1803, 552, 17, 56, "Print"],
Cell[60917, 1822, 556, 17, 56, "Print"],
Cell[61476, 1841, 392, 11, 40, "Print"],
Cell[61871, 1854, 697, 19, 76, "Print"],
Cell[62571, 1875, 827, 23, 76, "Print"],
Cell[63401, 1900, 316, 9, 40, "Print"],
Cell[63720, 1911, 424, 11, 40, "Print"],
Cell[64147, 1924, 397, 10, 40, "Print"],
Cell[64547, 1936, 319, 9, 40, "Print"],
Cell[64869, 1947, 812, 21, 89, "Print"],
Cell[65684, 1970, 615, 17, 55, "Print"],
Cell[66302, 1989, 892, 23, 54, "Print"],
Cell[67197, 2014, 498, 14, 53, "Print"],
Cell[67698, 2030, 528, 15, 53, "Print"],
Cell[68229, 2047, 607, 17, 54, "Print"],
Cell[68839, 2066, 1024, 29, 56, "Print"],
Cell[69866, 2097, 1295, 35, 55, "Print"],
Cell[71164, 2134, 60, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[71273, 2142, 29, 0, 63, "Section"],
Cell[71305, 2144, 66, 0, 27, "Text"],

Cell[CellGroupData[{
Cell[71396, 2148, 16533, 350, 865, "Input"],
Cell[87932, 2500, 9834, 174, 1292, "Output"]
}, Open  ]],
Cell[97781, 2677, 197, 5, 46, "Text"],
Cell[97981, 2684, 1213, 20, 425, "Input"],

Cell[CellGroupData[{
Cell[99219, 2708, 105, 2, 45, "Input"],
Cell[99327, 2712, 194, 4, 40, "Print"],
Cell[99524, 2718, 194, 4, 40, "Print"],
Cell[99721, 2724, 194, 4, 40, "Print"],
Cell[99918, 2730, 194, 4, 40, "Print"],
Cell[100115, 2736, 194, 4, 40, "Print"],
Cell[100312, 2742, 194, 4, 40, "Print"],
Cell[100509, 2748, 194, 4, 40, "Print"],
Cell[100706, 2754, 194, 4, 40, "Print"],
Cell[100903, 2760, 194, 4, 40, "Print"],
Cell[101100, 2766, 196, 4, 40, "Print"],
Cell[101299, 2772, 196, 4, 40, "Print"],
Cell[101498, 2778, 196, 4, 40, "Print"],
Cell[101697, 2784, 196, 4, 40, "Print"],
Cell[101896, 2790, 196, 4, 40, "Print"],
Cell[102095, 2796, 208, 5, 40, "Print"],
Cell[102306, 2803, 196, 4, 40, "Print"],
Cell[102505, 2809, 196, 4, 40, "Print"],
Cell[102704, 2815, 196, 4, 40, "Print"],
Cell[102903, 2821, 196, 4, 40, "Print"],
Cell[103102, 2827, 190, 4, 29, "Message"],
Cell[103295, 2833, 212, 5, 40, "Print"],
Cell[103510, 2840, 196, 4, 40, "Print"],
Cell[103709, 2846, 196, 4, 40, "Print"],
Cell[103908, 2852, 196, 4, 40, "Print"],
Cell[104107, 2858, 196, 4, 40, "Print"],
Cell[104306, 2864, 196, 4, 40, "Print"],
Cell[104505, 2870, 196, 4, 40, "Print"],
Cell[104704, 2876, 196, 4, 40, "Print"],
Cell[104903, 2882, 196, 4, 40, "Print"],
Cell[105102, 2888, 196, 4, 40, "Print"],
Cell[105301, 2894, 196, 4, 40, "Print"],
Cell[105500, 2900, 196, 4, 40, "Print"],
Cell[105699, 2906, 196, 4, 40, "Print"],
Cell[105898, 2912, 17533, 428, 1394, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[123480, 3346, 30, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[123535, 3350, 159, 4, 45, "Input"],
Cell[123697, 3356, 1969, 49, 84, "Print"],
Cell[125669, 3407, 1540, 41, 84, "Print"],
Cell[127212, 3450, 1544, 41, 84, "Print"],
Cell[128759, 3493, 1305, 35, 57, "Print"],
Cell[130067, 3530, 975, 27, 53, "Print"],
Cell[131045, 3559, 979, 27, 53, "Print"],
Cell[132027, 3588, 1182, 34, 57, "Print"],
Cell[133212, 3624, 280, 8, 40, "Print"],
Cell[133495, 3634, 1301, 36, 57, "Print"],
Cell[134799, 3672, 1276, 35, 67, "Print"],
Cell[136078, 3709, 280, 8, 40, "Print"],
Cell[136361, 3719, 1416, 38, 67, "Print"],
Cell[137780, 3759, 1022, 28, 57, "Print"],
Cell[138805, 3789, 888, 26, 53, "Print"],
Cell[139696, 3817, 975, 26, 53, "Print"],
Cell[140674, 3845, 967, 26, 53, "Print"],
Cell[141644, 3873, 1932, 51, 77, "Print"],
Cell[143579, 3926, 1538, 43, 77, "Print"],
Cell[145120, 3971, 1542, 43, 77, "Print"],
Cell[146665, 4016, 394, 11, 40, "Print"],
Cell[147062, 4029, 2196, 59, 96, "Print"],
Cell[149261, 4090, 329, 10, 40, "Print"],
Cell[149593, 4102, 426, 11, 40, "Print"],
Cell[150022, 4115, 399, 10, 40, "Print"],
Cell[150424, 4127, 319, 9, 40, "Print"],
Cell[150746, 4138, 2164, 56, 127, "Print"],
Cell[152913, 4196, 1980, 53, 88, "Print"],
Cell[154896, 4251, 67, 2, 44, "Output"]
}, Open  ]],
Cell[154978, 4256, 535, 9, 156, "Input"],

Cell[CellGroupData[{
Cell[155538, 4269, 97, 2, 45, "Input"],
Cell[155638, 4273, 196, 4, 40, "Print"],
Cell[155837, 4279, 616, 16, 93, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[156502, 4301, 30, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[156557, 4305, 114, 2, 45, "Input"],
Cell[156674, 4309, 1290, 35, 58, "Print"],
Cell[157967, 4346, 944, 27, 54, "Print"],
Cell[158914, 4375, 948, 27, 54, "Print"],
Cell[159865, 4404, 420, 12, 40, "Print"],
Cell[160288, 4418, 316, 9, 40, "Print"],
Cell[160607, 4429, 424, 11, 40, "Print"],
Cell[161034, 4442, 397, 10, 40, "Print"],
Cell[161434, 4454, 319, 9, 40, "Print"],
Cell[161756, 4465, 1143, 31, 96, "Print"],
Cell[162902, 4498, 959, 27, 61, "Print"],
Cell[163864, 4527, 3814, 110, 87, "Print"],
Cell[167681, 4639, 1002, 28, 53, "Print"],
Cell[168686, 4669, 771, 23, 53, "Print"],
Cell[169460, 4694, 775, 23, 53, "Print"],
Cell[170238, 4719, 547, 16, 40, "Print"],
Cell[170788, 4737, 437, 14, 40, "Print"],
Cell[171228, 4753, 520, 14, 40, "Print"],
Cell[171751, 4769, 527, 15, 40, "Print"],
Cell[172281, 4786, 319, 9, 40, "Print"],
Cell[172603, 4797, 930, 27, 91, "Print"],
Cell[173536, 4826, 625, 18, 57, "Print"],
Cell[174164, 4846, 2066, 62, 66, "Print"],
Cell[176233, 4910, 948, 28, 49, "Print"],
Cell[177184, 4940, 625, 19, 49, "Print"],
Cell[177812, 4961, 629, 19, 49, "Print"],
Cell[178444, 4982, 392, 11, 40, "Print"],
Cell[178839, 4995, 719, 21, 69, "Print"],
Cell[179561, 5018, 734, 21, 68, "Print"],
Cell[180298, 5041, 316, 9, 40, "Print"],
Cell[180617, 5052, 424, 11, 40, "Print"],
Cell[181044, 5065, 397, 10, 40, "Print"],
Cell[181444, 5077, 319, 9, 40, "Print"],
Cell[181766, 5088, 710, 19, 87, "Print"],
Cell[182479, 5109, 526, 15, 53, "Print"],
Cell[183008, 5126, 434, 13, 56, "Print"],
Cell[183445, 5141, 190, 4, 29, "Message"],
Cell[183638, 5147, 1386, 37, 58, "Print"],
Cell[185027, 5186, 212, 5, 40, "Print"],
Cell[185242, 5193, 618, 17, 60, "Output"]
}, Open  ]],
Cell[185875, 5213, 334, 7, 116, "Input"],

Cell[CellGroupData[{
Cell[186234, 5224, 97, 2, 45, "Input"],
Cell[186334, 5228, 196, 4, 40, "Print"],
Cell[186533, 5234, 611, 17, 60, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[187193, 5257, 30, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[187248, 5261, 113, 2, 45, "Input"],
Cell[187364, 5265, 1057, 28, 51, "Print"],
Cell[188424, 5295, 739, 20, 47, "Print"],
Cell[189166, 5317, 743, 20, 47, "Print"],
Cell[189912, 5339, 1078, 29, 51, "Print"],
Cell[190993, 5370, 715, 20, 47, "Print"],
Cell[191711, 5392, 790, 20, 47, "Print"],
Cell[192504, 5414, 796, 21, 47, "Print"],
Cell[193303, 5437, 1610, 43, 69, "Print"],
Cell[194916, 5482, 3744, 96, 105, "Print"],
Cell[198663, 5580, 1758, 45, 61, "Print"],
Cell[200424, 5627, 1862, 46, 65, "Print"],
Cell[202289, 5675, 541, 8, 31, "Message"],
Cell[202833, 5685, 1116, 29, 51, "Print"],
Cell[203952, 5716, 210, 5, 40, "Print"],
Cell[204165, 5723, 849, 22, 59, "Output"]
}, Open  ]],
Cell[205029, 5748, 88, 2, 27, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[205154, 5755, 30, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[205209, 5759, 114, 2, 45, "Input"],
Cell[205326, 5763, 1039, 28, 55, "Print"],
Cell[206368, 5793, 719, 21, 51, "Print"],
Cell[207090, 5816, 723, 21, 51, "Print"],
Cell[207816, 5839, 1111, 29, 40, "Print"],
Cell[208930, 5870, 379, 12, 40, "Print"],
Cell[209312, 5884, 462, 12, 40, "Print"],
Cell[209777, 5898, 458, 12, 40, "Print"],
Cell[210238, 5912, 764, 23, 59, "Print"],
Cell[211005, 5937, 2006, 55, 95, "Print"],
Cell[213014, 5994, 458, 12, 40, "Print"],
Cell[213475, 6008, 319, 9, 40, "Print"],
Cell[213797, 6019, 1432, 38, 100, "Print"],
Cell[215232, 6059, 1185, 31, 65, "Print"],
Cell[216420, 6092, 561, 16, 58, "Print"],
Cell[216984, 6110, 318, 5, 31, "Message"],
Cell[217305, 6117, 1117, 30, 55, "Print"],
Cell[218425, 6149, 212, 5, 40, "Print"],
Cell[218640, 6156, 667, 19, 58, "Output"]
}, Open  ]],
Cell[219322, 6178, 88, 2, 27, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[219447, 6185, 40, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[219512, 6189, 81, 2, 45, "Input"],
Cell[219596, 6193, 108, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[219753, 6201, 29, 0, 63, "Section"],
Cell[219785, 6203, 101, 2, 48, "Input"],

Cell[CellGroupData[{
Cell[219911, 6209, 222, 4, 45, "Input"],
Cell[220136, 6215, 238, 4, 83, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[220411, 6224, 115, 2, 45, "Input"],
Cell[220529, 6228, 339, 5, 92, "Output"]
}, Open  ]],
Cell[220883, 6236, 70, 2, 27, "Text"],
Cell[220956, 6240, 102, 2, 45, "Input"],

Cell[CellGroupData[{
Cell[221083, 6246, 108, 2, 45, "Input"],
Cell[221194, 6250, 416, 7, 58, "Message"],
Cell[221613, 6259, 412, 7, 58, "Message"],
Cell[222028, 6268, 421, 7, 92, "Output"]
}, Open  ]],
Cell[222464, 6278, 35, 0, 27, "Text"],
Cell[222502, 6280, 201, 4, 68, "Input"],

Cell[CellGroupData[{
Cell[222728, 6288, 132, 3, 45, "Input"],
Cell[222863, 6293, 2868, 73, 124, "Print"],
Cell[225734, 6368, 2380, 66, 124, "Print"],
Cell[228117, 6436, 2670, 71, 84, "Print"],
Cell[230790, 6509, 2543, 66, 80, "Print"],
Cell[233336, 6577, 431, 13, 40, "Print"],
Cell[233770, 6592, 543, 14, 40, "Print"],
Cell[234316, 6608, 1109, 28, 76, "Print"],
Cell[235428, 6638, 1249, 33, 76, "Print"],
Cell[236680, 6673, 4828, 124, 148, "Print"],
Cell[241511, 6799, 1054, 28, 76, "Print"],
Cell[242568, 6829, 1241, 33, 76, "Print"],
Cell[243812, 6864, 5034, 130, 181, "Print"],
Cell[248849, 6996, 585, 16, 40, "Print"],
Cell[249437, 7014, 699, 20, 40, "Print"],
Cell[250139, 7036, 4226, 111, 250, "Print"],
Cell[254368, 7149, 512, 14, 40, "Print"],
Cell[254883, 7165, 319, 9, 40, "Print"],
Cell[255205, 7176, 3574, 93, 122, "Print"],
Cell[258782, 7271, 3275, 85, 108, "Print"],
Cell[262060, 7358, 2639, 69, 84, "Print"],
Cell[264702, 7429, 2939, 76, 84, "Print"],
Cell[267644, 7507, 2638, 68, 84, "Print"],
Cell[270285, 7577, 2642, 68, 84, "Print"],
Cell[272930, 7647, 392, 11, 40, "Print"],
Cell[273325, 7660, 3532, 89, 108, "Print"],
Cell[276860, 7751, 316, 9, 40, "Print"],
Cell[277179, 7762, 424, 11, 40, "Print"],
Cell[277606, 7775, 397, 10, 40, "Print"],
Cell[278006, 7787, 319, 9, 40, "Print"],
Cell[278328, 7798, 3512, 85, 153, "Print"],
Cell[281843, 7885, 3330, 82, 112, "Print"],
Cell[285176, 7969, 3161, 81, 57, "Print"],
Cell[288340, 8052, 714, 11, 59, "Message"],
Cell[289057, 8065, 3036, 75, 124, "Print"],
Cell[292096, 8142, 438, 7, 92, "Output"]
}, Open  ]],
Cell[292549, 8152, 146, 5, 27, "Text"],

Cell[CellGroupData[{
Cell[292720, 8161, 130, 3, 45, "Input"],
Cell[292853, 8166, 78, 2, 45, "Output"]
}, Open  ]],
Cell[292946, 8171, 35, 0, 27, "Text"],
Cell[292984, 8173, 275, 6, 88, "Input"],

Cell[CellGroupData[{
Cell[293284, 8183, 108, 2, 45, "Input"],
Cell[293395, 8187, 175, 4, 14, "Message"],
Cell[293573, 8193, 421, 7, 92, "Output"]
}, Open  ]],
Cell[294009, 8203, 44, 0, 27, "Text"],
Cell[294056, 8205, 288, 6, 88, "Input"],

Cell[CellGroupData[{
Cell[294369, 8215, 132, 3, 45, "Input"],
Cell[294504, 8220, 2868, 73, 124, "Print"],
Cell[297375, 8295, 2380, 66, 124, "Print"],
Cell[299758, 8363, 2501, 69, 124, "Print"],
Cell[302262, 8434, 856, 24, 40, "Print"],
Cell[303121, 8460, 431, 13, 40, "Print"],
Cell[303555, 8475, 543, 14, 40, "Print"],
Cell[304101, 8491, 585, 16, 40, "Print"],
Cell[304689, 8509, 699, 20, 40, "Print"],
Cell[305391, 8531, 3535, 96, 153, "Print"],
Cell[308929, 8629, 512, 14, 40, "Print"],
Cell[309444, 8645, 319, 9, 40, "Print"],
Cell[309766, 8656, 2905, 78, 167, "Print"],
Cell[312674, 8736, 2608, 71, 124, "Print"],
Cell[315285, 8809, 2486, 68, 124, "Print"],
Cell[317774, 8879, 2791, 75, 124, "Print"],
Cell[320568, 8956, 2494, 69, 124, "Print"],
Cell[323065, 9027, 2498, 69, 124, "Print"],
Cell[325566, 9098, 859, 24, 40, "Print"],
Cell[326428, 9124, 3959, 104, 158, "Print"],
Cell[330390, 9230, 316, 9, 40, "Print"],
Cell[330709, 9241, 424, 11, 40, "Print"],
Cell[331136, 9254, 848, 23, 41, "Print"],
Cell[331987, 9279, 841, 23, 41, "Print"],
Cell[332831, 9304, 4460, 118, 156, "Print"],
Cell[337294, 9424, 397, 10, 40, "Print"],
Cell[337694, 9436, 319, 9, 40, "Print"],
Cell[338016, 9447, 3425, 88, 210, "Print"],
Cell[341444, 9537, 3243, 85, 162, "Print"],
Cell[344690, 9624, 11726, 280, 199, "Print"],
Cell[356419, 9906, 947, 14, 121, "Message"],
Cell[357369, 9922, 3036, 75, 124, "Print"],
Cell[360408, 9999, 438, 7, 92, "Output"]
}, Open  ]],
Cell[360861, 10009, 131, 5, 27, "Text"],

Cell[CellGroupData[{
Cell[361017, 10018, 145, 3, 45, "Input"],
Cell[361165, 10023, 173, 3, 75, "Output"]
}, Open  ]],
Cell[361353, 10029, 35, 0, 27, "Text"],
Cell[361391, 10031, 293, 6, 88, "Input"],

Cell[CellGroupData[{
Cell[361709, 10041, 145, 3, 45, "Input"],
Cell[361857, 10046, 173, 3, 75, "Output"]
}, Open  ]],
Cell[362045, 10052, 36, 0, 27, "Text"],
Cell[362084, 10054, 288, 6, 88, "Input"],

Cell[CellGroupData[{
Cell[362397, 10064, 130, 3, 45, "Input"],
Cell[362530, 10069, 60, 2, 44, "Output"]
}, Open  ]],
Cell[362605, 10074, 31, 0, 27, "Text"],
Cell[362639, 10076, 265, 6, 88, "Input"],

Cell[CellGroupData[{
Cell[362929, 10086, 130, 3, 45, "Input"],
Cell[363062, 10091, 591, 9, 50, "Message"],
Cell[363656, 10102, 353, 6, 92, "Output"]
}, Open  ]],
Cell[364024, 10111, 141, 5, 27, "Text"],

Cell[CellGroupData[{
Cell[364190, 10120, 189, 4, 46, "Input"],
Cell[364382, 10126, 60, 2, 44, "Output"]
}, Open  ]],
Cell[364457, 10131, 42, 0, 27, "Text"]
}, Open  ]],

Cell[CellGroupData[{
Cell[364536, 10136, 51, 0, 63, "Section"],

Cell[CellGroupData[{
Cell[364612, 10140, 219, 4, 45, "Input"],
Cell[364834, 10146, 1289, 37, 55, "Print"],
Cell[366126, 10185, 878, 28, 55, "Print"],
Cell[367007, 10215, 882, 28, 55, "Print"],
Cell[367892, 10245, 392, 11, 40, "Print"],
Cell[368287, 10258, 874, 25, 75, "Print"],
Cell[369164, 10285, 947, 26, 76, "Print"],
Cell[370114, 10313, 316, 9, 40, "Print"],
Cell[370433, 10324, 424, 11, 40, "Print"],
Cell[370860, 10337, 397, 10, 40, "Print"],
Cell[371260, 10349, 319, 9, 40, "Print"],
Cell[371582, 10360, 925, 25, 106, "Print"],
Cell[372510, 10387, 741, 21, 70, "Print"],
Cell[373254, 10410, 1106, 30, 53, "Print"],
Cell[374363, 10442, 458, 13, 40, "Print"],
Cell[374824, 10457, 488, 14, 40, "Print"],
Cell[375315, 10473, 531, 15, 40, "Print"],
Cell[375849, 10490, 494, 14, 41, "Print"],
Cell[376346, 10506, 1368, 38, 55, "Print"],
Cell[377717, 10546, 60, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[377826, 10554, 34, 0, 63, "Section"],
Cell[377863, 10556, 73, 0, 27, "Text"],
Cell[377939, 10558, 134, 3, 45, "Input"],

Cell[CellGroupData[{
Cell[378098, 10565, 84, 2, 45, "Input"],
Cell[378185, 10569, 112, 2, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[378334, 10576, 85, 2, 45, "Input"],
Cell[378422, 10580, 113, 2, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[378572, 10587, 89, 2, 45, "Input"],
Cell[378664, 10591, 184, 4, 47, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[378885, 10600, 97, 2, 45, "Input"],
Cell[378985, 10604, 99, 2, 51, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[379121, 10611, 91, 2, 45, "Input"],
Cell[379215, 10615, 96, 2, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[379348, 10622, 102, 2, 45, "Input"],
Cell[379453, 10626, 108, 2, 51, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[379598, 10633, 115, 2, 45, "Input"],
Cell[379716, 10637, 145, 3, 44, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[379898, 10645, 111, 2, 45, "Input"],
Cell[380012, 10649, 150, 3, 54, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[380199, 10657, 91, 2, 45, "Input"],
Cell[380293, 10661, 84, 2, 44, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[380426, 10669, 29, 0, 63, "Section"],
Cell[380458, 10671, 609, 11, 194, "Text"]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

